<?php

/************************************************************************/
/* PHP-NUKE: Web Portal System                                          */
/* ===========================                                          */
/*                                                                      */
/* Copyright (c) 2006 by Francisco Burzi                                */
/* http://phpnuke.org                                                   */
/*                                                                      */
/* PHP-Nuke Cache 2.1.0 for PHP-Nuke                                    */
/* Copyright (c) 2006 by Stephen Bishop (perfect-games), (dadaBIT)      */
/* http://dadanuke.org                                                  */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/

/*
  jpcache
  Copyright 2001 - 2003 Jean-Pierre Deckers <jp@jpcache.com>

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*

  Credits:
  Based upon and inspired by:
  phpCache        <nathan@0x00.org> (http://www.0x00.org/phpCache)
  gzdoc.php       <catoc@163.net> and <jlim@natsoft.com.my> 
  jr-cache.php    <jr-jrcache@quo.to>
  More info on http://www.jpcache.com/

 */
 
if ( !defined('ADMIN_FILE') )
{
	die("Illegal File Access");
}

global $prefix, $db, $admin_file;

$aid = substr("$aid", 0,25);
$row = $db->sql_fetchrow($db->sql_query("SELECT radminsuper FROM " . $prefix . "_authors WHERE aid='$aid'"));
if ($row['radminsuper'] == 1) {
 
// Load required lang file
$nuke_config = $db->sql_fetchrow($db->sql_query("SELECT * FROM `".$prefix."_config`"));
if(!isset($lang)) { $lang = $nuke_config['language']; }
if (!stristr("$lang", ".") AND file_exists($lang_dir."language/cache/lang-$lang.php")) {
  @require_once($lang_dir."language/cache/lang-$lang.php");
} else {
  @require_once($lang_dir."language/cache/lang-english.php");
}
 
function cache() {
    global $admin, $bgcolor1, $bgcolor2, $prefix, $db, $multilingual, $admin_file;
    include ("header.php");
    Opentable();
    echo "<center><b>"._CACHEADMIN."</b>&nbsp;&nbsp;-&nbsp;&nbsp;<a href='".$admin_file.".php'><I><b>"._ADMINISTRATION."</b></I></a></CENTER>";
    Closetable();
    echo "<br>";
    OpenTable();
    $value = $db->sql_query("SELECT * from ".$prefix."_cache_config");
    list($timeuser,$timevisit, $debug, $domain, $onoff, $usegzip, $post, $gc, $gziplevel, $cleankeys, $version) = $db->sql_fetchrow($value);
    echo "<center><table border=\"0\" width=\"100%\" bgcolor=\"$bgcolor1\">";
    echo "<tr><td align='center' class='option' colspan='11'><b>"._CACHEVALUE."</b><BR>";
    if ($onoff==1) { echo "<FONT COLOR='green'><h3>"._CACTIF."</h3></FONT>";} ELSE { echo "<font color='red'><h3>"._CINACTIF."</h3></font>";}
    echo "<BR></td></tr></table></center>";
    echo "<table border=\"1\" width=\"100%\" bgcolor=\"$bgcolor1\">";	
    echo "<tr><td bgcolor=\"$bgcolor2\" align=\"center\">&nbsp;<b>"._TIMEUSER."</b>&nbsp;</td>";
    echo "<td bgcolor=\"$bgcolor2\" align=\"center\">&nbsp;<b>"._TIMEVISIT."</b>&nbsp;</td>";
    echo "<td bgcolor=\"$bgcolor2\" align=\"center\">&nbsp;<b>"._DEBUG."</b>&nbsp;</td>";
    echo "<td bgcolor=\"$bgcolor2\" align=\"center\">&nbsp;<b>"._DOMAIN."</b>&nbsp;</td>";
    echo "<td bgcolor=\"$bgcolor2\" align=\"center\">&nbsp;<b>"._ONOFF."</b>&nbsp;</td>";
    echo "<td bgcolor=\"$bgcolor2\" align=\"center\">&nbsp;<b>"._UGZIP."</b>&nbsp;</td>";
    echo "<td bgcolor=\"$bgcolor2\" align=\"center\">&nbsp;<b>"._POST."</b>&nbsp;</td>";
    echo "<td bgcolor=\"$bgcolor2\" align=\"center\">&nbsp;<b>"._GC."</b>&nbsp;</td>";
    echo "<td bgcolor=\"$bgcolor2\" align=\"center\">&nbsp;<b>"._LGZIP."</b>&nbsp;</td>";
    echo "<td bgcolor=\"$bgcolor2\" align=\"center\">&nbsp;<b>"._CLEAN."</b>&nbsp;</td>";
    echo "<td bgcolor=\"$bgcolor2\" align=\"center\">&nbsp;<b>"._VERSION."</b>&nbsp;</td></tr>";
    echo "<form action=\"".$admin_file.".php\" method=\"post\">";
    echo "<tr><td align=\"center\" width=\"10%\">
    <input type=\"text\" name=\"timeuser\" value=\"$timeuser\" size=\"5\" maxlength=\"5\"></td>";
    echo "<td align=\"center\" width=\"10%\">
    <input type=\"text\" name=\"timevisit\" value=\"$timevisit\" size=\"5\" maxlength=\"5\"></td>";
    echo "<td align=\"center\" width=\"10%\">
    <input type=\"text\" name=\"debug\" value=\"$debug\" size=\"1\" maxlength=\"1\"></td>";
    echo "<td align=\"center\" width=\"10%\">
    <input type=\"text\" name=\"domain\" value=\"$domain\" size=\"1\" maxlength=\"1\"></td>";
    echo "<td align=\"center\" width=\"10%\">
    <input type=\"text\" name=\"onoff\" value=\"$onoff\" size=\"1\" maxlength=\"1\"></td>";
    echo "<td align=\"center\" width=\"10%\">
    <input type=\"text\" name=\"usegzip\" value=\"$usegzip\" size=\"1\" maxlength=\"1\"></td>";
    echo "<td align=\"center\" width=\"10%\">
    <input type=\"text\" name=\"post\" value=\"$post\" size=\"1\" maxlength=\"1\"></td>";
    echo "<td align=\"center\" width=\"10%\">
    <input type=\"text\" name=\"gc\" value=\"$gc\" size=\"1\" maxlength=\"1\"></td>";
    echo "<td align=\"center\" width=\"10%\">
    <input type=\"text\" name=\"gziplevel\" value=\"$gziplevel\" size=\"1\" maxlength=\"1\"></td>";
    echo "<td align=\"center\" width=\"10%\">
    <input type=\"text\" name=\"cleankeys\" value=\"$cleankeys\" size=\"1\" maxlength=\"1\"></td>";
    echo "<td align=\"center\" name=\"version\" width=\"10%\"><b>$version</b></td></tr>";
    echo "<input type=\"hidden\" name=\"op\" value=\"updatecache\">";
    echo "</table><BR>";
    echo "<table align=\"center\"><td><br><input type=\"submit\" value=\""._SAVECHANGES."\"></td></form></table><br><br>";

    echo "&nbsp;&nbsp;&nbsp;&nbsp;<u>"._HELP."</u>:";
    echo "<BLOCKQUOTE><LI>"._TIMEUSER.": <i>"._TIMEUSEREXP."</i>";
    echo "<LI>"._TIMEVISIT.": <i>"._TIMEVISITEXP."</i>";
    echo "<LI>"._DEBUG.": <i>"._DEBUGEXP."</i>";
    echo "<LI>"._DOMAIN.": <i>"._DOMAINEXP."</i>";
    echo "<LI>"._ONOFF.": <i>"._ONOFFEXP."</i>";
    echo "<LI>"._UGZIP.": <i>"._UGZIPEXP."</i>";
    echo "<LI>"._POST.": <i>"._POSTEXP."</i>";
    echo "<LI>"._GC.": <i>"._GCEXP."</i>";
    echo "<LI>"._LGZIP.": <i>"._LGZIPEXP."</i>";
    echo "<LI>"._CLEAN.": <i>"._CLEANEXP."</i>";
    echo "<LI>"._VERSION.": <i>"._VERSIONEXP."</i></BLOCKQUOTE>";
    CloseTable();
    echo "<br>";
    OpenTable();
    echo "<br>";	
    echo "<FORM action=\"".$admin_file.".php?op=FlushCache\" method='post'>";
    echo "<TABLE WIDTH=100% CELLSPACING=2 CELLPADDING=2 BORDER=0><TR><TD CLASS=\"HEADER\">\n";
    echo "<TD>";
    echo "<center><input class=\"BOUTON_STANDARD\" type='submit' value=\""._CACHEEMPTYBASE_BUTTON."\"></center>";
    echo "<input type='hidden' name='op' value='FlushCache'>";
    echo "</TD></TR></TABLE>\n";
    echo "</FORM>";
		CloseTable();
    cachemenufooter();
    include ("footer.php");
}

function FlushCache() {

        global $prefix, $db, $admin_file;
        $db->sql_query("TRUNCATE ".$prefix."_cache_data");
        echo "Flushing MySQL Cache<br>";

     //die();
        Header("Location: ".$admin_file.".php?op=cache");

       // break;

}

function updatecache($timeuser, $timevisit, $debug, $domain, $onoff, $usegzip, $post, $gc, $gziplevel, $cleankeys, $version) {
    global $prefix, $db, $admin_file;
    $result = $db->sql_query("update ".$prefix."_cache_config set timeuser='$timeuser', timevisit='$timevisit', debug='$debug', domain='$domain', onoff='$onoff', usegzip='$usegzip', post='$post', gc='$gc', gziplevel='$gziplevel', cleankeys='$cleankeys', version='2.1'");
    Header("Location: ".$admin_file.".php?op=cache");
}

function cachemenufooter() {
    global $prefix, $db;
    echo "<br>";
    OpenTable();
    echo "<center>Powered By Jpcache</center>";
    CloseTable();
    echo "<br>";
}

switch ($op){
    case "cache":
    cache();
    break;

    case "FlushCache":
    FlushCache();
    break;

    case "updatecache":
    updatecache($timeuser, $timevisit, $debug, $domain, $onoff, $usegzip, $post, $gc, $gziplevel, $cleankeys, $version);
    break;

    case "cachemenufooter":
    cachemenufooter();
    break;
}
} else {
    echo "Access Denied";
}
?>
