<?php
if (stristr(htmlentities($_SERVER['PHP_SELF']), "cache-config.php")) {
    Header("Location: ../../index.php");
    die();
}

/************************************************************************/
/* PHP-NUKE: Web Portal System                                          */
/* ===========================                                          */
/*                                                                      */
/* Copyright (c) 2006 by Francisco Burzi                                */
/* http://phpnuke.org                                                   */
/*                                                                      */
/* PHP-Nuke Cache 2.1.0 for PHP-Nuke                                    */
/* Copyright (c) 2006 by Stephen Bishop (perfect-games), (dadaBIT)      */
/* http://dadanuke.org                                                  */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/

/*
  jpcache
  Copyright 2001 - 2003 Jean-Pierre Deckers <jp@jpcache.com>

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*

  Credits:
  Based upon and inspired by:
  phpCache        <nathan@0x00.org> (http://www.0x00.org/phpCache)
  gzdoc.php       <catoc@163.net> and <jlim@natsoft.com.my> 
  jr-cache.php    <jr-jrcache@quo.to>
  More info on http://www.jpcache.com/

 */

require_once ('config.php');
$CACHE_TYPE = $cache_type;
$value = $db->sql_query("SELECT * from ".$prefix."_cache_config");
list($timeuser,$timevisit, $debug, $domain, $onoff, $usegzip, $post, $gc, $gziplevel, $cleankeys, $version) = $db->sql_fetchrow($value);

// checks cache type is set
if (!isset($CACHE_TYPE))
    {
        exit("[cache-config.php] No CACHE_TYPE has been set!");
    }
	
    $CACHE_TIME         =   $timeuser;
    $CACHE_TIME2        =   $timevisit;
    $CACHE_DEBUG        =   $debug;
    $CACHE_IGNORE_DOMAIN=   $domain;
    $CACHE_ON           =   $onoff;
    $CACHE_USE_GZIP     =   $usegzip;
    $CACHE_POST         =   $post;
    $CACHE_GC           =   $gc;
    $CACHE_GZIP_LEVEL   =   $gziplevel;
    $CACHE_CLEANKEYS    =   $cleankeys;
	$real_path = realpath ("includes/cache");
	$CACHE_FILEPREFIX   = "c-";
    $CACHE_DB_HOST      = $dbhost;
    $CACHE_DB_DATABASE  = $dbname;
    $CACHE_DB_USERNAME  = $dbuname;
    $CACHE_DB_PASSWORD  = $dbpass;
    $CACHE_DB_TABLE     = "nuke_cache_data";
    $CACHE_OPTIMIZE     = 1;
?>