<?php
/***************************************************************************
 *                            lang_main.php [English]
 *                              -------------------
 *     begin                : Sat Dec 16 2000
 *     copyright            : (C) 2001 The phpBB Group
 *     email                : support@phpbb.com
 *
 *     $Id: lang_main.php,v 1.85.2.15 2003/06/10 00:31:19 psotfx Exp $
 *
 ****************************************************************************/
/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
//
// CONTRIBUTORS:
//	 Add your details here if wanted, e.g. Name, username, email address, website
// 2002-08-27  Philip M. White        - fixed many grammar problems
//
//
// The format of this file is ---> $lang['message'] = 'text';
//
// You should also try to set a locale and a character encoding (plus direction). The encoding and direction
// will be sent to the template. The locale may or may not work, it's dependent on OS support and the syntax
// varies ... give it your best guess!
//
$lang['ENCODING'] = 'UTF-8';
$lang['DIRECTION'] = 'ltr';
$lang['LEFT'] = 'right';
$lang['RIGHT'] = 'left';
$lang['DATE_FORMAT'] =  'd M Y'; // This should be changed to the default date format for your language, php date() format
// This is optional, if you would like a _SHORT_ message output
// along with our copyright message indicating you are the translator
// please add it here.
// $lang['TRANSLATION'] = 'آقاي شهابي نژاد - ويرايش : امير معظمي';
//
// Common, these terms are used
// extensively on several pages
//
$lang['Forum'] = 'انجمن';
$lang['Category'] = 'شاخه';
$lang['Topic'] = 'موضوع';
$lang['Topics'] = 'موضوعات';
$lang['Replies'] = 'پاسخ ها';
$lang['Views'] = 'دفعات بازديد';
$lang['Post'] = 'ارسال';
$lang['Posts'] = 'تعداد ارسالها';
$lang['points'] = 'امتياز';
$lang['Posted'] = 'ارسال شده در';
$lang['Username'] = 'نام كاربري';
$lang['Password'] = 'كلمه عبور';
$lang['Email'] = 'آدرس ايميل';
$lang['Poster'] = 'ارسال كننده';
$lang['Author'] = 'نويسنده';
$lang['Time'] = 'زمان';
$lang['Hours'] = 'ساعت';
$lang['Message'] = 'پيغام';
$lang['1_Day'] = 'يك روز گذشته';
$lang['7_Days'] = 'يك هفته گذشته';
$lang['2_Weeks'] = 'دو هفته گذشته';
$lang['1_Month'] = 'يك ماه گذشته';
$lang['3_Months'] = 'سه ماه گذشته';
$lang['6_Months'] = 'شش ماه گذشته';
$lang['1_Year'] = 'يك سال گذشته';
$lang['Go'] = 'تائيد';
$lang['Jump_to'] = 'رفتن به';
$lang['Submit'] = 'ارسال';
$lang['Reset'] = 'تكرار';
$lang['Cancel'] = 'لغو';
$lang['Preview'] = 'پيشنمايش';
$lang['Confirm'] = 'تائيد';
$lang['Spellcheck'] = 'كنترل نگارش';
$lang['Yes'] = 'بلي';
$lang['No'] = 'خير';
$lang['Enabled'] = 'فعال';
$lang['Disabled'] = 'غير فعال';
$lang['Error'] = 'خطا';
$lang['Next'] = 'بعدي';
$lang['Previous'] = 'قبلي';
$lang['Goto_page'] = 'رفتن به صفحه';
$lang['Joined'] = 'تاريخ عضويت';
$lang['IP_Address'] = 'آدرس IP';
$lang['Select_forum'] = 'انتخاب انجمن';
$lang['View_latest_post'] = 'نمايش آخرين ارسال';
$lang['View_newest_post'] = 'نمايش جديدترين مطلب';
$lang['Page_of'] = 'صفحه <b>%d</b> از <b>%d</b>'; // Replaces with: Page 1 of 2 for example
$lang['ICQ'] = 'شماره ICQ';
$lang['AIM'] = 'شناسه AIM';
$lang['MSNM'] = 'شناسه MSN';
$lang['YIM'] = 'شناسه Yahoo';
$lang['Forum_Index'] = '%s صفحه اول انجمن';  // eg. sitename Forum Index, %s can be removed if you prefer
$lang['Post_new_topic'] = 'ارسال موضوع جديد';
$lang['Reply_to_topic'] = 'پاسخ به اين موضوع';
$lang['Reply_with_quote'] = 'پاسخ همراه با اعلان';
$lang['Click_return_topic'] = ' %sبرگشت%s به موضوع'; // %s's here are for uris, do not remove!
$lang['Click_return_login'] = 'براي تلاش مجدد  %s اينجا را %s كليك كنيد';
$lang['Click_return_forum'] = ' %sبرگشت%s به انجمن';
$lang['Click_view_message'] = 'براي مشاهده موضوع ارسالي خود%sدر اين محل %s كليك كنيد';
$lang['Click_return_modcp'] = 'براي برگشت به كنترل پانل اصلاح كنندگان %sدر اين محل%s كليك كنيد';
$lang['Click_return_group'] = 'براي رويت اطلاعات گروه كاربري %sدر اين محل%sكليك كنيد .';
$lang['Admin_panel'] = 'مديريت بخش انجمنها';
$lang['Board_disable'] = 'با عرض پوزش ، اين انجمن  گفتمان در حال حاضر غير فعال است . لطفا بعدا مراجعه نمائيد .';
//
// Global Header strings
//
$lang['Registered_users'] = 'كاربران عضو :';
$lang['Browsing_forum'] = 'كاربراني كه در حال مشاهده اين انجمن هستند :';
$lang['Online_users_zero_total'] = 'مجموعا  <b>0</b> كاربر آنلاين مي باشد . :: ';
$lang['Online_users_total'] = 'مجموعا  <b>%d</b> كاربر آنلاين مي باشد . :: ';
$lang['Online_user_total'] = 'مجموعا <b>%d</b> كاربر آنلاين مي باشد . :: ';
$lang['Reg_users_zero_total'] = '0 كاربر عضو, ';
$lang['Reg_users_total'] = '%d كاربر عضو, ';
$lang['Reg_user_total'] = '%d كاربر عضو, ';
$lang['Hidden_users_zero_total'] = '0 كاربر مخفي و ';
$lang['Hidden_user_total'] = '%d كاربر مخفي و ';
$lang['Hidden_users_total'] = '%d كاربر مخفي و  ';
$lang['Guest_users_zero_total'] = '0 مهمان';
$lang['Guest_users_total'] = '%d مهمان';
$lang['Guest_user_total'] = '%d مهمان';
$lang['Record_online_users'] = 'بيشترين تعداد كاربران آنلاين  <b>%s</b> در تاريخ  %s'; // first %s = number of users, second %s is the date.
$lang['Admin_online_color'] = '%sمدير سايت%s';
$lang['Mod_online_color'] = '%sمسئول%s';
$lang['You_last_visit'] = 'آخرين بازديد شما %s'; // %s replaced by date/time
$lang['Current_time'] = 'امروز : %s'; // %s replaced by time
$lang['Search_new'] = 'نمايش مطالب ارسالي بعد از آخرين بازديد شما';
$lang['Search_your_posts'] = 'مشاهده مطالب ارسالي شما';
$lang['Search_unanswered'] = 'مشاهده مطالب ارسالي بدون پاسخ شما';
$lang['Register'] = 'عضويت در سايت';
$lang['Profile'] = 'مشخصات';
$lang['Edit_profile'] = 'ويرايش مشخصات';
$lang['Search'] = 'جستجو';
$lang['Memberlist'] = 'ليست كاربران';
$lang['FAQ'] = 'سوالات رايج مربوط به تالارهاي گفتمان';
$lang['BBCode_guide'] = 'راهنماي BBCode';
$lang['Usergroups'] = 'گروههاي كاربري';
$lang['Last_Post'] = 'آخرين ارسال';
$lang['Moderator'] = 'مسئول';
$lang['Moderators'] = 'اصلاح كنندگان';
//
// Stats block text
//
$lang['Posted_articles_zero_total'] = 'مجموع مطالب ارسال شده : <b>0</b>'; // Number of posts
$lang['Posted_articles_total'] = 'مجموع مطالب ارسال شده : <b>%d</b>'; // Number of posts
$lang['Posted_article_total'] = 'مجموع مطالب ارسال شده :<b>%d</b>'; // Number of posts
$lang['Registered_users_zero_total'] = 'اين سايت  <b>0</b> كاربر عضو دارد .'; // # registered users
$lang['Registered_users_total'] = 'اين سايت <b>%d</b> كاربر عضو دارد .'; // # registered users
$lang['Registered_user_total'] = 'اين سايت <b>%d</b> كاربر عضو دارد .'; // # registered users
$lang['Newest_user'] = 'آخرين كاربر عضو شده در سايت : <b>%s%s%s</b>'; // a href, username, /a 
$lang['No_new_posts_last_visit'] = 'از زمان آخرين بازديد شما مطلب جديدي ارسال نشده است .';
$lang['No_new_posts'] = 'مطلب جديدي ارسال نشده است .';
$lang['New_posts'] = 'مطالب جديد';
$lang['New_post'] = 'مطلب جديد';
$lang['No_new_posts_hot'] = 'مطلب جديدي ارسال نشده است  [ مطلب پربيننده ]';
$lang['New_posts_hot'] = 'مطالب جديد [ مطلب پربيننده ]';
$lang['No_new_posts_locked'] = 'مطلب جديدي ارسال نشده است  [ قفل شده ]';
$lang['New_posts_locked'] = 'مطالب جديد [ قفل شده ]';
$lang['Forum_is_locked'] = 'انجمن در حال حاضر قفل شده است ';
//
// Login
//
$lang['Enter_password'] = 'براي ورود به سيستم نام كاربري و كلمه عبور خود را وارد كنيد .';
$lang['Login'] = 'ورود به سيستم';
$lang['Logout'] = 'خروج از سيستم';
$lang['Forgotten_password'] = 'كلمه عبورم را فراموش كرده ام';
$lang['Log_me_in'] = 'ورود اتوماتيك به سيستم هنگام هر بازديد';
$lang['Error_login'] = 'نام كاربري و كلمه عبور شما مطابقت ندارد .ممكن است اشتراك شما در حال حاضر غير فعال باشد ';
//
// Index page
//
$lang['Index'] = 'صفحه اصلي';
$lang['No_Posts'] = 'مطلبي ارسال نشده است';
$lang['No_forums'] = 'اين برد فاقد انجمن مي باشد .';
$lang['Private_Message'] = 'پيغام شخصي';
$lang['Private_Messages'] = 'پيغامهاي شخصي';
$lang['Who_is_Online'] = 'بازديدكنندگان فعلي سايت';
$lang['Mark_all_forums'] = 'كليه مطالب جديد به عنوان مطالب خوانده شده علامتگذاري شود ';
$lang['Forums_marked_read'] = 'كليه مطالب انجمنها به عنوان مطالب خوانده شده علامتگذاري شد';
//
// Viewforum
//
$lang['View_forum'] = 'مشاهده انجمن';
$lang['Forum_not_exist'] = 'انجمن مورد نظر شما وجود ندارد .';
$lang['Reached_on_error'] = 'اين صفحه با خطا مواجه شده است';
$lang['Display_topics'] = 'نمايش تمامي موضوعات گذشته';
$lang['All_Topics'] = 'تمامي موضوعات';
$lang['Topic_Announcement'] = '<b>آگهي ها :</b>';
$lang['Topic_Sticky'] = '<b>مطلب جالب و ديدني :</b>';
$lang['Topic_Moved'] = '<b>منتقل شده :</b>';
$lang['Topic_Poll'] = '<b>[ همراه با نظرسنجي ]</b>';
$lang['Mark_all_topics'] = 'همه مطالب به عنوان مطالب خوانده شده علامتگذاري شود .';
$lang['Topics_marked_read'] = 'موضوعات اين انجمن به صورت خوانده شده علامتگذاري شد .';
$lang['Rules_post_can'] = 'شما مي توانيد براي اين انجمن مطلب جديد ارسال كنيد .';
$lang['Rules_post_cannot'] = 'شما نمي توانيد براي اين انجمن مطلب ارسال كنيد .';
$lang['Rules_reply_can'] = 'شما مي توانيد براي مطالب اين انجمن جوابيه بفرستيد ';
$lang['Rules_reply_cannot'] = 'شما نمي توانيد براي مطالب اين انجمن جوابيه بفرستيد ';
$lang['Rules_edit_can'] = 'شما مي توانيد مطالب ارسالي خود به اين انجمن را ويرايش كنيد .';
$lang['Rules_edit_cannot'] = 'شما نمي توانيد مطالب ارسالي خود به اين انجمن را ويرايش كنيد .';
$lang['Rules_delete_can'] = 'شما مي توانيد مطلب ارسالي خود به اين انجمن را حذف كنيد .';
$lang['Rules_delete_cannot'] = 'شما نمي توانيد مطلب ارسالي خود به اين انجمن را حذف نمائيد .';
$lang['Rules_vote_can'] = 'شما مي توانيد به نظرسنجي هاي اين انجمن راي دهيد .';
$lang['Rules_vote_cannot'] = 'شما نمي توانيد به نظرسنجي هاي اين انجمن راي دهيد .';
$lang['Rules_moderate'] = 'شما مي توانيد اين انجمن را  <b>can</b> %sاصلاح كنيد%s'; // %s replaced by a href links, do not remove! 
$lang['No_topics_post_one'] = 'در اين انجمن هيچ مطلبي طرح نشده است .<br />';
//
// Viewtopic
//
$lang['View_topic'] = 'نمايش موضوعات';
$lang['Guest'] = 'مهمان';
$lang['Post_subject'] = 'موضوع مطلب';
$lang['View_next_topic'] = 'نمايش موضوع بعدي';
$lang['View_previous_topic'] = 'نمايش موضوع قبلي';
$lang['Submit_vote'] = 'راي دهيد';
$lang['View_results'] = 'مشاهده نتايج';
$lang['No_newer_topics'] = 'موضوع جديدتري در اين انجمن وجود نداردد';
$lang['No_older_topics'] = 'موضوع قديمي تري در اين انجمن وجود ندارد .';
$lang['Topic_post_not_exist'] = 'موضوع يا مطلب مورد نظر شما وجود ندارد. ';
$lang['No_posts_topic'] = 'پيرامون اين موضوع مطلبي پست نشده است ';
$lang['Display_posts'] = 'تمامي مطالب ارسال شده';
$lang['All_Posts'] = 'تمامي مطالب';
$lang['Newest_First'] = 'ابتدا جديدترينها';
$lang['Oldest_First'] = 'ابتدا قديمي ترينها';
$lang['Back_to_top'] = 'بازگشت به بالا';
$lang['Read_profile'] = 'رويت مشخصات كاربر'; 
$lang['Send_email'] = 'ارسال ايميل به كاربر';
$lang['Visit_website'] = 'بازديد از سايت ارسال كننده مطلب';
$lang['ICQ_status'] = 'وضعيت ICQ';
$lang['Edit_delete_post'] = 'ويرايش / حذف اين مطلب';
$lang['View_IP'] = 'رويت آدرس IP ارسال كننده مطلب';
$lang['Delete_post'] = 'حذف اين مطلب';
$lang['wrote'] = 'مي نويسد'; // proceeds the username and is followed by the quoted text
$lang['Quote'] = 'اعلام'; // comes before bbcode quote output.
$lang['Code'] = 'كد'; // comes before bbcode code output.
$lang['Edited_time_total'] = 'آخرين ويرايش توسط  %s در تاريخ %s; دفعات ويرايش در مجموع : %d مرتبه'; // Last edited by me on 12 Oct 2001; edited 1 time in total
$lang['Edited_times_total'] = 'آخرين ويرايش توسط  %s در تاريخ %s; دفعات ويرايش در مجموع %d مرتبه'; // Last edited by me on 12 Oct 2001; edited 2 times in total
$lang['Lock_topic'] = 'قفل كردن اين مطلب';
$lang['Unlock_topic'] = 'باز كردن قفل اين مطلب';
$lang['Move_topic'] = 'انتقال اين مطلب';
$lang['Delete_topic'] = 'حذف اين مطلب';
$lang['Split_topic'] = 'تقسيم اين مطلب';
$lang['Stop_watching_topic'] = 'باخبرسازي شما از وضعيت اين مطلب';
$lang['Start_watching_topic'] = 'با خبر سازي شما از پاسخ هاي هاي اين مطلب';
$lang['No_longer_watching'] = 'شما ديگر از وضعيت اين موضوع با خبر نمي شويد .';
$lang['You_are_watching'] = 'شما از وضعيت اين موضوع با خبر خواهيد شد ';
$lang['Total_votes'] = 'مجموع آراء';
//
// Posting/Replying (Not private messaging!)
//
$lang['Message_body'] = 'متن پيغام';
$lang['Topic_review'] = 'مرور موضوع';
$lang['No_post_mode'] = 'حالت ارسال مطلب انتخاب نشده است'; // If posting.php is called without a mode (newtopic/reply/delete/etc, shouldn't be shown normaly)
$lang['Post_a_new_topic'] = 'ارسال مطلب جديد';
$lang['Post_a_reply'] = 'ارسال جوابيه';
$lang['Post_topic_as'] = 'ارسال مطلب به عنوان ';
$lang['Edit_Post'] = 'ويرايش مطلب';
$lang['Options'] = 'انتخاب ها';
$lang['Post_Announcement'] = 'آكهي ها';
$lang['Post_Sticky'] = 'موضوعات جالب';
$lang['Post_Normal'] = 'معمولي';
$lang['Confirm_delete'] = 'آيا از حذف اين مطلب اطمينان داريد ؟';
$lang['Confirm_delete_poll'] = 'آيا از حذف اين نظرسنجي اطمينان داريد ؟';
$lang['Flood_Error'] = 'شما مجاز به ارسال پياپي مطلب نيستيد . لطفا بعدا سعي نمائيد ';
$lang['Empty_subject'] = 'شما بايد براي مطلب ارسالي خود عنواني در نظر بگيريد .';
$lang['Empty_message'] = 'شما بايد متن مطلب مورد نظر خود را با دقت وارد نمائيد .';
$lang['Forum_locked'] = 'اين انجمن قفل شده است . شما مجاز به ارسال مطلب يا جوابيه و ويرايش مطالب نمي باشيد. ';
$lang['Topic_locked'] = 'اين مطلب قفل شده است . شما مجاز به ويرايش آن و يا ارسال جوابيه نمي باشيد .';
$lang['No_post_id'] = 'شما بايد مطلب مورد نظر را جهت ويرايش انتخاب نمائيد .';
$lang['No_topic_id'] = 'براي ارسال جوابيه بايد مطلب مورد نظر از ليست مطالب انجمن انتخاب شود .';
$lang['No_valid_mode'] = 'شما فقط مجاز به ارسال مطلب ، ارسال جوابيه و ويرايش مطلب مي باشيد لطفا مجددا سعي كنيد .';
$lang['No_such_post'] = 'چنين مطلبي يافت نشد . لطفا بعدا سعي نمائيد .';
$lang['Edit_own_posts'] = 'با عرض پوزش ، شما فقط مجاز به ويرايش مطالب ارسالي خود هستيد . ';
$lang['Delete_own_posts'] = 'با عرض پوزش ، شما فقط مجاز به حذف مطالب ارسالي خود هستيد .';
$lang['Cannot_delete_replied'] = 'با عرض پوزش ، شما مجاز به حذف مطالب داراي جوابيه نمي باشيد .';
$lang['Cannot_delete_poll'] = 'با عرض پوزش ، امكان حذف نظرسنجي فعال وجود ندارد .';
$lang['Empty_poll_title'] = 'لطفا براي نظرسنجي خود عنواني در نظر بگيريد .';
$lang['To_few_poll_options'] = 'نظرسنجي بايد حداقل داراي دو انتخاب باشد .';
$lang['To_many_poll_options'] = 'نظرسنجي مورد نظر شما حاوي انتخاب هاي متعددي است .';
$lang['Post_has_no_poll'] = 'اين مطلب نظرسنجي مرتبطي ندارد .';
$lang['Already_voted'] = 'شما قبلا به اين نظرسنجي راي داده ايد .';
$lang['No_vote_option'] = 'هنگام راي دادن بايد يكي از انتخابهاي نظرسنجي را انتخاب نمائيد .';
$lang['Add_poll'] = 'افزودن نظرسنجي';
$lang['Add_poll_explain'] = 'در صورتيكه كه قصد اضافه كردن نظرسنجي به اين مطلب نداريد فيلدهاي زير را خالي بگذاريد .';
$lang['Poll_question'] = 'سوال نظرسنجي';
$lang['Poll_option'] = 'انتخابهاي نظرسنجي';
$lang['Add_option'] = 'افزودن انتخاب';
$lang['Update'] = 'بروزرساني';
$lang['Delete'] = 'حذف';
$lang['Poll_for'] = 'مدت فعال بودن نظرسنجي';
$lang['Days'] = 'روز'; // This is used for the Run poll for ... Days + in admin_forums for pruning
$lang['Poll_for_explain'] = '[ در مورد نظرسنجي هاي نامحدود عدد صفر را وارد كنيد يا در محل چيزي ننويسيد  ]';
$lang['Delete_poll'] = 'حذف نظرسنجي';
$lang['Disable_HTML_post'] = 'غير فعال كردن HTML در اين مطلب';
$lang['Disable_BBCode_post'] = 'غير فعال كردن BBCode در اين مطلب';
$lang['Disable_Smilies_post'] = 'غير فعال كردن شكلكها در اين مطلب';
$lang['HTML_is_ON'] = 'HTML  <u>فعال است</u>';
$lang['HTML_is_OFF'] = 'HTML  <u>غيرفعال است </u>';
$lang['BBCode_is_ON'] = '%sBBCode%s  <u>فعال است </u>'; // %s are replaced with URI pointing to FAQ
$lang['BBCode_is_OFF'] = '%sBBCode%s  <u>غيرفعال است </u>';
$lang['Smilies_are_ON'] = 'شكلكها <u>فعال هستند</u>';
$lang['Smilies_are_OFF'] = 'شكلكها <u>غيرفعال هستند</u>';
$lang['Attach_signature'] = 'افزودن امضاء به مطلب ارسالي (امضاء كاربر در بخش ويرايش مشخصات كاربر قابل تغيير است .)';
$lang['Notify'] = 'پاسخ ها به اطلاع من رسانده شود .';
$lang['Delete_post'] = 'حذف اين مطلب';
$lang['Stored'] = 'پيغام مورد نظر شما با موفقيت وارد شد .';
$lang['Deleted'] = 'پيغام موردنظر شما با موفقيت حذف شد .';
$lang['Poll_delete'] = 'نظرسنجي مورد نظر شما با موفقيت حذف شد .';
$lang['Vote_cast'] = 'راي شما ثبت شد .';
$lang['Topic_reply_notification'] = 'آگاه سازي از ارسال پاسخ ها';
$lang['bbcode_b_help'] = 'متن توپر: [b]text[/b]  (alt+b)';
$lang['bbcode_i_help'] = 'متن ايتاليك: [i]text[/i]  (alt+i)';
$lang['bbcode_u_help'] = 'متن زيرخط دار: [u]text[/u]  (alt+u)';
$lang['bbcode_q_help'] = 'نقل قول : [quote]text[/quote]  (alt+q)';
$lang['bbcode_c_help'] = 'نمايش كد: [code]code[/code]  (alt+c)';
$lang['bbcode_l_help'] = 'ليست: [list]text[/list] (alt+l)';
$lang['bbcode_o_help'] = 'ليست مرتب شده: [list=]text[/list]  (alt+o)';
$lang['bbcode_p_help'] = 'وارد كردن تصوير: [img]http://image_url[/img]  (alt+p)';
$lang['bbcode_w_help'] = 'وارد كردن آدرس: [url]http://url[/url] or [url=http://url]URL text[/url]  (alt+w)';
$lang['bbcode_a_help'] = 'بستن كليه تگهاي bbCode';
$lang['bbcode_s_help'] = 'رنگ فونت: [color=red]text[/color]  Tip: you can also use color=#FF0000';
$lang['bbcode_f_help'] = 'اندازه فونت: [size=x-small]small text[/size]';
$lang['Emoticons'] = 'صورتك ها';
$lang['More_emoticons'] = 'صورتك بيشتر';
$lang['Font_color'] = 'رنگ فونت';
$lang['color_default'] = 'پيشفرض';
$lang['color_dark_red'] = 'قرمز تيره';
$lang['color_red'] = 'قرمز';
$lang['color_orange'] = 'پرتقالي';
$lang['color_brown'] = 'قهوه اي';
$lang['color_yellow'] = 'زرد';
$lang['color_green'] = 'سبز';
$lang['color_olive'] = 'زيتوني';
$lang['color_cyan'] = 'آبي';
$lang['color_blue'] = 'آبي';
$lang['color_dark_blue'] = 'آبي تيره';
$lang['color_indigo'] = 'بنفش';
$lang['color_violet'] = 'صورتي';
$lang['color_white'] = 'سفيد';
$lang['color_black'] = 'سياه';
$lang['Font_size'] = 'اندازه فونت';
$lang['font_tiny'] = 'نازك';
$lang['font_small'] = 'كوچك';
$lang['font_normal'] = 'معمولي';
$lang['font_large'] = 'بزرگ';
$lang['font_huge'] = 'خيلي بزرگ';
$lang['Close_Tags'] = 'بستن كليه تگهاي باز';
$lang['Styles_tip'] = 'نكته : قالبها سريعا به متن انتخابي اعمال مي شوند .';
//
// Private Messaging
//
$lang['Private_Messaging'] = 'پيغامهاي شخصي';
$lang['Login_check_pm'] = 'ورود به سيستم و كنترل پيغامهاي شخصي';
$lang['New_pms'] = 'شما %d پيغام شخصي جديد داريد '; // You have 2 new messages
$lang['New_pm'] = 'شما %d پيغام شخصي جديد داريد'; // You have 1 new message
$lang['No_new_pm'] = 'شما پيغام شخصي جديدي نداريد .';
$lang['Unread_pms'] = 'شما %d پيغام شخصي خوانده نشده داريد .';
$lang['Unread_pm'] = 'شما %d پيغام شخصي خوانده نشده داريد.';
$lang['No_unread_pm'] = 'شما پيغام شخصي خوانده نشده اي نداريد ';
$lang['You_new_pm'] = 'پيغام شخصي جديدي در صندوق پيغامها منتظر شماست !';
$lang['You_new_pms'] = 'پيغام شخصي جديد در صندوق پيغامها منتظر شماست ';
$lang['You_no_new_pm'] = 'پيغام شخصي جديد منتظر شما نيست';
$lang['Unread_message'] = 'پيغامهاي خوانده نشده';
$lang['Read_message'] = 'پيغامهاي خوانده شده';
$lang['Read_pm'] = 'خواندن پيغام';
$lang['Post_new_pm'] = 'ارسال پيغام';
$lang['Post_reply_pm'] = 'ارسال جوابيه';
$lang['Post_quote_pm'] = 'نقل قول پيغام';
$lang['Edit_pm'] = 'ويرايش پيغام';
$lang['Inbox'] = 'صندوق نامه هاي رسيده';
$lang['Outbox'] = 'صندوق نامه هاي صادره';
$lang['Savebox'] = 'صندوق نامه هاي ذخيره شده';
$lang['Sentbox'] = 'صندوق مكاتبات ارسال شده';
$lang['Flag'] = 'پرچم';
$lang['Subject'] = 'موضوع';
$lang['From'] = 'از ';
$lang['To'] = 'به';
$lang['Date'] = 'تاريخ';
$lang['Mark'] = 'علامت';
$lang['Sent'] = 'ارسال شده';
$lang['Saved'] = 'ذخيره شده';
$lang['Delete_marked'] = 'حذف مورد انتخاب شده';
$lang['Delete_all'] = 'حذف همه موارد';
$lang['Save_marked'] = 'ذخيره مورد انتخاب شده'; 
$lang['Save_message'] = 'ذخيره پيغام';
$lang['Delete_message'] = 'حذف پيغام';
$lang['Display_messages'] = 'نمايش پيغامهاي قبلي'; // Followed by number of days/weeks/months
$lang['All_Messages'] = 'تمامي پيغامها';
$lang['No_messages_folder'] = 'در اين شاخه پيغامي وجود ندارد';
$lang['PM_disabled'] = 'قابليت استفاده از پيغامهاي شخصي در اين برد غير فعال شده است .';
$lang['Cannot_send_privmsg'] = 'با عرض پوزش ، مدير سايت شما را از ارسال پيغام شخصي منع نموده است .';
$lang['No_to_user'] = 'نام كاربري شخصي را كه قصد ارسال پيغام به او داريد وارد كنيد ';
$lang['No_such_user'] = 'با عرض پوزش ، چنين كاربري يافت نشد .';
$lang['Disable_HTML_pm'] = 'غير فعال كردن HTML در اين پيغام';
$lang['Disable_BBCode_pm'] = 'غير فعال كردن BBCode در اين پيغام';
$lang['Disable_Smilies_pm'] = 'غير فعال كردن شكلكها در اين پيغام';
$lang['Message_sent'] = 'پيغام شما با موفقيت ارسال شد .';
$lang['Click_return_inbox'] = 'براي برگشت به صندوق نامه هاي رسيده  %sدر اين محل%s كليك كنيد ';
$lang['Click_return_index'] = 'براي برگشت به صندوق نامه هاي رسيده  %sدر اين محل%s كليك كنيد ';
$lang['Send_a_new_message'] = 'ارسال پيغام خصوصي جديد';
$lang['Send_a_reply'] = 'ارسال پاسخ به پيغام شخصي';
$lang['Edit_message'] = 'ويرايش پيغام شخصي';
$lang['Notification_subject'] = 'پيغام شخصي جديدي دريافت شد !';
$lang['Find_username'] = 'جستجوي يك كاربر';
$lang['Find'] = 'جستجو';
$lang['No_match'] = 'موردي پيدا نشد .';
$lang['No_post_id'] = 'شماره مطلب مشخص نشده است .';
$lang['No_such_folder'] = 'چنين شاخه اي وجود ندارد';
$lang['No_folder'] = 'شاخه اي تعيين نشده است ';
$lang['Mark_all'] = 'علامتگذاري همه';
$lang['Unmark_all'] = 'لغو علامتگذاري فيلدها';
$lang['Confirm_delete_pm'] = 'آيا از حذف اين پيغام اطمينان داريد ؟';
$lang['Confirm_delete_pms'] = 'آيا از حذف اين پيغامها اطمينان داريد ؟';
$lang['Inbox_size'] = 'صندوق نامه هاي رسيده شما  %d%% پر شده است .'; // eg. Your Inbox is 50% full
$lang['Sentbox_size'] = 'صندوق نامه هاي ارسالي شما %d%% پر شده است '; 
$lang['Savebox_size'] = 'صندوق نامه هاي ذخيره شده شما %d%% پر شده است .'; 
$lang['Click_view_privmsg'] = 'براي رويت صندوق نامه هاي رسيده خود  %sدر اين محل%s كليك نمائيد .';
//
// Profiles/Registration
//
$lang['Viewing_user_profile'] = 'نمايش مشخصات  :: %s'; // %s is username 
$lang['About_user'] = 'كليه اطلاعات مربوط به %s'; // %s is username
$lang['Preferences'] = 'تنظيمات';
$lang['Items_required'] = 'مواردي كه با علامت * علامتگذاري شده اند ضروري مي باشند .';
$lang['Registration_info'] = 'اطلاعات عضويت';
$lang['Profile_info'] = 'مشخصات كاربر';
$lang['Profile_info_warn'] = 'اين اطلاعات براي همگان نمايش مي يابد';
$lang['Avatar_panel'] = 'انتخاب سمبل و شكلك ';
$lang['Avatar_gallery'] = 'آلبوم شكلكها';
$lang['Website'] = 'سايت اينترنتي';
$lang['Location'] = 'محل سكونت';
$lang['Contact'] = 'مشخصات تماس';
$lang['Email_address'] = 'آدرس ايميل';
$lang['Email'] = 'ايميل';
$lang['Send_private_message'] = 'ارسال پيغام شخصي';
$lang['Hidden_email'] = '[ پنهادن ]';
$lang['Search_user_posts'] = 'جستجوي مطالب ارسالي اين كاربر';
$lang['Interests'] = 'علائق';
$lang['Occupation'] = 'شغل'; 
$lang['Poster_rank'] = 'گروه ارسال كننده';
$lang['Total_posts'] = 'مجموع ارسالها';
$lang['User_post_pct_stats'] = '%.2f%% از مجموع'; // 1.25% of total
$lang['User_post_day_stats'] = '%.2f ارسال در روز'; // 1.5 posts per day
$lang['Search_user_posts'] = 'جستجوي تمام مطالب ارسالي توسط %s'; // Find all posts by username
$lang['No_user_id_specified'] = 'با عرض پوزش ، كاربر مورد نظر يافت نشد .';
$lang['Wrong_Profile'] = 'امكان ويرايش مشخصات كاربران ديگر توسط شما وجود ندارد .';
$lang['Only_one_avatar'] = 'فقط يك شكلك قابل انتخاب است ';
$lang['File_no_data'] = 'فايلي را كه وارد نموده ايد فاقد اطلاعا ت است .';
$lang['No_connection_URL'] = 'امكان ارتباط با آدرس مورد نظر شما وجود ندارد';
$lang['Incomplete_URL'] = 'آدرسي را كه وارد نموده ايد كامل نيست .';
$lang['Wrong_remote_avatar_format'] = 'آدرس مورد نظر شما صحيح نمي باشد';
$lang['No_send_account_inactive'] = 'با عرض پوزش امكان بازيابي كلمه عبور شما وجود ندارد زير اشتراك شما در حال حاض غير  فعال است . براي اطلاعات بيشتر با مدير سايت تماس بگيريد .';
$lang['Always_smile'] = 'استفاده از شكلكها هميشه فعال باشيد';
$lang['Always_html'] = 'استفاده از كدهاي HTML هميشه فعال باشد.';
$lang['Always_bbcode'] = 'قابليت استفاده از كدهاي BBCode همواره فعال باشد.';
$lang['Always_add_sig'] = 'امضاء همواره پيوست شود .';
$lang['Always_notify'] = 'جوابيه ها همواره به اطلاع رسانده شود .';
$lang['Always_notify_explain'] = 'هنگام ارسال جوابيه به مطالب ارسالي من مورد توسط ايميل به اطلاع من رسانده شود . اين حالت را مي توان بعدا غير فعال نمود .';
$lang['Board_style'] = 'قالب بورد';
$lang['Board_lang'] = 'زبان پيشفرض';
$lang['No_themes'] = 'قالبي در بانك اطلاعاتي وجود ندارد.';
$lang['Timezone'] = 'وقت محلي';
$lang['Date_format'] = 'فرمت نمايش تاريخ';
$lang['Date_format_explain'] = 'كد استفاده شده مشابه با تابع  <a href=\'http://www.php.net/date\' target=\'_other\'>date()</a> مي باشد .';
$lang['Signature'] = 'امضاء';
$lang['Signature_explain'] = 'اين متن به انتهاي نوشته ها و مطالب شما پيوست مي شود .  حداكثر %d حرف';
$lang['Public_view_email'] = 'ايميل من همواره نمايش مي يابد ';
$lang['Current_password'] = 'كلمه عبور فعلي';
$lang['New_password'] = 'كلمه عبور جديد';
$lang['Confirm_password'] = 'تكرار كلمه عبور';
$lang['Confirm_password_explain'] = 'در صورتي كه قصد تغيير كلمه عبور خود را داريد بايد آنرا تائيد كنيد .';
$lang['password_if_changed'] = 'در صورتي نياز به ثبت كلمه عبور داريد كه قصد تغيير آنرا داشته باشيد .';
$lang['password_confirm_if_changed'] = 'لطفا كلمه عبور جديد خود را مجددا وارد نمائيد .';
$lang['Avatar'] = 'شكلك';
$lang['Avatar_explain'] = 'شكلك انتخابي شما در زير تمامي مطالب ارسالي شما نمايش مي يابد . امكان نمايش همزمان فقط براي يك شكلك وجود دارد . حدااكثر عرض آن %d پيكسل و , حداكثر ارتفاع آن  %d پيكسل مي باشد .حداكثر اندازه فايل  %d كيلوبايت است .';
$lang['Upload_Avatar_file'] = 'ارسال شكلك دلخواه شما از كامپيوتر شخصيتان';
$lang['Upload_Avatar_URL'] = 'ارسال شكلك از يك آدرس اينترنتي';
$lang['Upload_Avatar_URL_explain'] = 'آدرس شكلك انتخابي خود را وارد كنيد . اين شكلك به اين سايت انتقال مي يابد ';
$lang['Pick_local_Avatar'] = 'انتخاب شكلك از آلبوم شكلكها';
$lang['Link_remote_Avatar'] = 'پيوند به شكلك';
$lang['Link_remote_Avatar_explain'] = 'آدرس محل قرارگيري شكلك را وارد كنيد .';
$lang['Avatar_URL'] = 'آدرس فايل شكلك';
$lang['Select_from_gallery'] = 'انتخاب شكلك از آلبوم';
$lang['View_avatar_gallery'] = 'نمايش آلبوم';
$lang['Select_avatar'] = 'انتخاب شكلك';
$lang['Return_profile'] = 'لغو شكلك';
$lang['Select_category'] = 'انتخاب شاخه';
$lang['Delete_Image'] = 'حذف تصوير';
$lang['Current_Image'] = 'شكلك فعلي';
$lang['Notify_on_privmsg'] = 'آگاه سازي از پيغامهاي خصوصي جديد';
$lang['Popup_on_privmsg'] = 'بازشدن پنجره جديد هنگام دريافت پيغامهاي خصوصي جديد'; 
$lang['Popup_on_privmsg_explain'] = 'هنگام دريافت پيغامهاي خصوصي جديد پنجره اي جهت آگاه سازي شما باز مي شود .';
$lang['Hide_user'] = 'پنهان كردن وضعيت حضور در سايت';
$lang['Profile_updated'] = 'مشخصات شما تغيير نمود';
$lang['Profile_updated_inactive'] = 'مشخصات شما تغيير پيدا كرد . اما به دليل تغيير مشخصات اساسي اشراك شما هم اينك غير فعال است . لطفا ايميل خود را براي فعال سازي مجدد اشتراكتان كنترل كنيد . ممكن است نياز به تائيد عضويت شما توسط مدير سايت وجود داشته باشد .';
$lang['Password_mismatch'] = 'كلمه عبور شما مطابقت ندارد.';
$lang['Current_password_mismatch'] = 'كلمه عبور شما با كلمه عبور موجود در بانك اطلاعاتي مطابقت ندارد.';
$lang['Password_long'] = 'حداكثر طول كلمه عبور 32 حرف است .';
$lang['Too_many_registers'] = 'تعداد دفعات تلاش شما براي عضويت در سايت زياد است . لطفا بعدا اقدام كنيد .';
$lang['Username_taken'] = 'با عرض پوزش ، اين شناسه كاربري قبلا استفاده شده است .';
$lang['Username_invalid'] = 'با عرض پوزش نام كاربري شما حاوي كاركترهاي غير مجاز است . مثلا \'.';
$lang['Username_disallowed'] = 'با عرض پوزش ، استفاده از اين نام كاربري مجاز نمي باشد . ';
$lang['Email_taken'] = 'با عرض پوزش ، اين ايميل قبلا براي شخصي ديگر ثبت شده است .';
$lang['Email_banned'] = 'با عرض پوزش ، اين آدرس ايميل توسط مديريت سايت بلوك شده است .';
$lang['Email_invalid'] = 'با عرض پوزش ، آدرس ايميل مورد نظر شما غير معتبر است .';
$lang['Signature_too_long'] = 'امضاي انتخابي شما خيلي طولاني است .';
$lang['Fields_empty'] = 'كليه فيلدهاي ضروري بايد تكميل شوند .';
$lang['Avatar_filetype'] = 'نوع فايل شكلك فقط مي تواند شامل اين فرمتها باشد : .jpg-.gif-.png';
$lang['Avatar_filesize'] = 'حجم فايل شكلك بايد كمتر از  %d كيلوبايت باشد .'; // The avatar image file size must be less than 6 KB
$lang['Avatar_imagesize'] = 'حداكثر طول شكلك %d پيكسل و حداكثر ارتفاع آن  %d پيكسل مي باشد .';
$lang['Welcome_subject'] = 'به بخش انجمنهاي مباحثه سايت  %s خوش آمديد'; // Welcome to my.com forums
$lang['New_account_subject'] = 'عضويت كاربر جديد';
$lang['Account_activated_subject'] = 'اشتراك عضويت فعال شد ';
$lang['Account_added'] = 'از ثبت نام در اين سايت سپاسگزاريم . اشتراك عضويت شما با موفقيت ايجاد شد . اينك مي توانيد با استفاده از نام كاربري و كلمه عبور خود به سيستم وارد شويد .';
$lang['Account_inactive'] = 'اشتراك شما با موفقيت ايجاد شد . اما  اشتراك در اين انجمن نياز به فعال سازي دارد . كد مخصوصي جهت فعال سازي به آدرس ايميل شما ارسال شده است . لطفا لطفا ايميل خود را جهت اطلاعات بيشتر كنترل نمائيد .';
$lang['Account_inactive_admin'] = 'اشتراك شما با موفقيت ايجاد شد . اما اشتراك شما در اين سايت نياز به تائيد توسط مديريت سايت دارد . به محض تائيد اشتراك شما توسط مدير سايت مورد از طريق ايميل به اطلاع شما رسانده خواهد شد .';
$lang['Account_active'] = 'اشتراك شما با موفقيت فعال شد . از توجهتان به اين سايت سپاسگزاريم .';
$lang['Account_active_admin'] = 'اشتراك هم اينك فعال شد ';
$lang['Reactivate'] = 'فعال سازي مجدد اشتراك';
$lang['Already_activated'] = 'اشتراك شما قبلا فعال شده است ';
$lang['COPPA'] = 'اشتراك شما ايجاد شد . اين اشتراك نياز به تائيد دارد . ايميل خود را براي كسب اطلاعات بيشتر در اين مورد كنترل نمائيد .';
$lang['Registration'] = 'قوانين عضويت در سايت';
$lang['Reg_agreement'] = 'با اينكه صاحبان سايت و مديران و مسئولان قابليت پاك كردن يا تغيير دادن هر موضوعي را دارند، چك كردن تمام پست ها امري غيرممكن است. بنا بر اين شما مي بايست در جريان باشيد كه مسئوليت هر نوشته‌اي مستقيما به نويسنده آن مربوط ميشود ، نه به صاحبان يا مديران سايت و هيچ مسوليتي مورد قبول واقع نميشود ! شما موافق هستيد كه هيچ وقت پست هايي از قبيل : دشنام . فحش‌‌ ، زشت و ناپسند ، ركيك و مبتذل ، بدگويانه و افترا آميز، منفور و تهديد آميز ، درزمينه جنسي و سكس و يا هرگونه چيزي كه برخلاف قانون باشد. انجام دادن هركدام از اين قبيل كارها برابر است با محروميت سريع و ابدي از كل سايت ميشود (‌و همينطور تامين كننده اينترنت شما نيز در جريان قرار خواهد گرفت ). آدرس اينترنتي شما (آي-پي) نيز در تمامي پست هاي شما براي سهولت تحت تعقيب قرار دادن شما ذخيره ميشود . شما همچنين موافق هستيد كه رييس سايت ، مديران و مسولان سايت ميتوانند در هرزمان كه صلاح ديدند، هرموضوعي را در هر زماني پاك، تصحيح يا جابه جا و يا ببندند. به عنوان يك كاربر تمامي اطلاعات گرفته شده از شما داخل بانك اطلاعاتي ما ذخيره ميشود. درحالي كه اطلاعات شما به هيچ وجه بدون اجازه شما و يا مسولان سايت در اختيار كسي قرار نميگيرد ، ما هيچ گونه مسوليتي در قبال فعاليت هاي دزدي نخواهيم كرد ! در سيستم اين كلوپ ، ما از كوكي براي ذخيره اطلاعات استفاده ميكنيم اما اين كوكي ها به هيچ وجه شامل اطلاعات ذكر شده از طرف شما نيست و براي سهولت در نگاه كردن سايت ميباشد. پست الكترونيكي ذكر شده نيز فقط براي تاييد ثبت نام شما و همچنين زمان فراموش كردن كلمه رمز شما مورد استفاده قرار ميگيرد. با كليك كردن برروي ثبت نام در پايين ، حد و حدود فعاليت شما و ما كه در بالا ذكر شد مشخص شده است.'; 
$lang['Agree_under_13'] = 'ضمن موافقت با متن قرارداد تائيد مي كنم كه من كمتر از 13 سال سن دارم .';
$lang['Agree_over_13'] = 'ضمن موافقت با قرارداد تائيد مي كنم كه من <b>13 سال </b> يا  <b>بيش از 13 سال </b> سن دارم .';
$lang['Agree_not'] = 'با اين قرارداد موافق نيستم';
$lang['Wrong_activation'] = 'كد فعال سازي شما با كد موجود در بانك اطلاعاتي مطابقت ندارد.';
$lang['Send_password'] = 'براي من كلمه عبور جديد بفرست '; 
$lang['Password_updated'] = 'كلمه عبور جديد شما ايجاد و به آدرستان ميل شد . لطفا ايميل خود را براي اطلاعات بيشتر در مورد نحوه فعال سازي اين كلمه عبور كنترل نمائيد .';
$lang['No_email_match'] = 'ايميلي را كه شما وارد نموده ايد با ايميل كاربر مورد نظرتان مطابقت ندارد.';
$lang['New_password_activation'] = 'فعال سازي كلمه عبور جديد';
$lang['Password_activated'] = 'اشتراك شما مجددا فعال شد . براي ورود از كلمه عبوري كه برايتان ميل شده استفاده نمائيد .';
$lang['Send_email_msg'] = 'ارسال يك ايميل';
$lang['No_user_specified'] = 'كاربري انتخاب نشده است ';
$lang['User_prevent_email'] = 'اين كاربر تمايلي به دريافت ايميل ندارد . شما مي توانيد براي او پيغام خصوصي ارسال كنيد .';
$lang['User_not_exist'] = 'چنين كاربري وجود ندارد.';
$lang['CC_email'] = 'ارسال يك كپي از ايميل به آدرس خودتان';
$lang['Email_message_desc'] = 'اين پيغام بصورت متن ساده ارسال خواهد شد . لذا از بكار بردن كدهاي HTML يا BBCode در آن خودداري نمائيد <br> آدرس ايميل پيشفرض براي ارسال جوابيه توسط گيرنده آدرس ايميل شما خواهد بود .';
$lang['Flood_email_limit'] = 'شما اجازه ارسال ايميل ديگري نداريد . لطفا بعدا سعي كنيد .';
$lang['Recipient'] = 'گيرنده';
$lang['Email_sent'] = 'ايميل شما با موفقيت ارسال شد .';
$lang['Send_email'] = 'ارسال ايميل';
$lang['Empty_subject_email'] = 'شما بايد براي ايميل خود موضوعي در نظر بگيريد .';
$lang['Empty_message_email'] = 'شما بايد پيغامي را جهت ايميل خود وارد نمائيد .';
//
// Visual confirmation system strings
//
$lang['Confirm_code_wrong'] = 'كد تائيديه اشتباه وارد شده است .';
$lang['Too_many_registers'] = 'شما چندين بار براي انجام اين عمل تلاش نموده ايد . لطفا بعدا سعي كنيد .';
$lang['Confirm_code_impaired'] = 'If you are visually impaired or cannot otherwise read this code please contact the %sAdministrator%s for help.';
$lang['Confirm_code'] = 'كد تائيديه';
$lang['Confirm_code_explain'] = 'لطفا كد تائيده را دقيقا مانند آنچه مي بينيد وارد نمائيد . ايك كد به بزرگي و كوچكي حروف حساس مي باشد .';
//
// Memberslist
//
$lang['Select_sort_method'] = 'انتخاب نحوه مرتب سازي';
$lang['Sort'] = 'مرتب سازي';
$lang['Sort_Top_Ten'] = 'ده ارسال كننده برتر';
$lang['Sort_Joined'] = 'تاريخ عضويت';
$lang['Sort_Username'] = 'نام كاربري';
$lang['Sort_Location'] = 'محل سكونت';
$lang['Sort_Posts'] = 'جمع ارسالها';
$lang['Sort_Email'] = 'آدرس ايميل';
$lang['Sort_Website'] = 'آدرس اينترنتي';
$lang['Sort_Ascending'] = 'صعودي';
$lang['Sort_Descending'] = 'نزولي';
$lang['Order'] = 'ترتيب';
//
// Group control panel
//
$lang['Group_Control_Panel'] = 'مديريت گروههاي كاربري';
$lang['Group_member_details'] = 'جزئيات عضويت در گروهها';
$lang['Group_member_join'] = 'ملحق شدن به يك گروه';
$lang['Group_Information'] = 'اطلاعات گروه';
$lang['Group_name'] = 'نام گروه';
$lang['Group_description'] = 'شرح گروه';
$lang['Group_membership'] = 'عضويت در گروه';
$lang['Group_Members'] = 'اعضاء گروه';
$lang['Group_Moderator'] = 'مسئول  گروه';
$lang['Pending_members'] = 'كاربران منتظر تائيد';
$lang['Group_type'] = 'نوع گروه';
$lang['Group_open'] = 'فعال كردن گروه';
$lang['Group_closed'] = 'غير فعال كردن گروه';
$lang['Group_hidden'] = 'پنهان ساختن گروه';
$lang['Current_memberships'] = 'اعضاي جديد';
$lang['Non_member_groups'] = 'گروههاي بدون عضو';
$lang['Memberships_pending'] = 'انتظار تائيد عضويت';
$lang['No_groups_exist'] = 'گروهي وجود ندارد';
$lang['Group_not_exist'] = 'اين گروه كاربري وجود ندارد';
$lang['Join_group'] = 'ملحق شدن به گروه';
$lang['No_group_members'] = 'اين گروه عضوي ندارد';
$lang['Group_hidden_members'] = 'اين گروه پنهان است . شما نمي توانيد اعضاي آنرا ببينيد .';
$lang['No_pending_group_members'] = 'در اين گروه كاربر منتظر تائيد وجود ندارد.';
$lang['Group_joined'] = 'شما با موفقيت به اين گروه ملحق شديد<br />پس از تائيد عضويت شما توسط مسئول گروه ، بصورت اتوماتيك از طريق ايميل مطلع خواهيد شد .';
$lang['Group_request'] = 'تقاضاي عضويت شما در اين گروه با موفقيت ثبت شد .';
$lang['Group_approved'] = 'تقاضاي شما بزودي بررسي و تائيد خواهد شد .';
$lang['Group_added'] = 'شما به اين گروه كاربري اضافه شده ايد .'; 
$lang['Already_member_group'] = 'شما از قبل عضوي از اين گروه هستيد .';
$lang['User_is_member_group'] = 'كاربر از قبل عضو اين گروه است ';
$lang['Group_type_updated'] = 'نوع گروه با موفقيت تغيير نمود .';
$lang['Could_not_add_user'] = 'كاربر مورد نظر شما يافت نشد .';
$lang['Could_not_anon_user'] = 'كاربر عضو گروه نمي تواند به عنوان مهمان لحاظ شود .';
$lang['Confirm_unsub'] = 'ايا از لغو عضويت خود در اين گروه اطمينان داريد ؟';
$lang['Confirm_unsub_pending'] = 'تقاضاي عضويت شما در اين گروه تاكنون تائيد نشده است . آيا از لغو عضويتتان در اين گروه اطمينان داريد ؟';
$lang['Unsub_success'] = 'عضويت شما در اين گروه لغو شد .';
$lang['Approve_selected'] = 'تائيد كاربر انتخاب شده ';
$lang['Deny_selected'] = 'رد تقاضاي كاربر انتخاب شده';
$lang['Not_logged_in'] = 'براي ملحق شدن به يك گروه بايد به سيستم وارد شويد .';
$lang['Remove_selected'] = 'حذف كاربر انتخاب شده';
$lang['Add_member'] = 'افزودن كاربر عضو';
$lang['Not_group_moderator'] = 'شما مسئول  اين گروه نيستيد . لذا اجازه انجام اين امر را نداريد .';
$lang['Login_to_join'] = 'براي ملحق شده به گروه يا عضويت در گروه به سيستم وارد شويد .';
$lang['This_open_group'] = 'عضويت اين گروه براي همگان آزاد است . جهت تقاضاي عضويت در اين محل كليك كنيد .';
$lang['This_closed_group'] = 'عضويت در اين گروه بسته شده است . عضو جديد قبول نمي شود ';
$lang['This_hidden_group'] = 'اين گروه پنهان است . عضويت خودكار در اين گروه ممكن نيست';
$lang['Member_this_group'] = 'شما عضوي از اين گروه هستيد ';
$lang['Pending_this_group'] = 'عضويت شما در اين گروه منتظر تائيد است .';
$lang['Are_group_moderator'] = 'شما مسئول  گروه هستيد .';
$lang['None'] = 'هيچكدام';
$lang['Subscribe'] = 'عضويت';
$lang['Unsubscribe'] = 'لغو عضويت';
$lang['View_Information'] = 'مشاهده اطلاعات';
//
// Search
//
$lang['Search_query'] = 'جستجو در انجمنها';
$lang['Search_options'] = 'انتخابهاي جستجو';
$lang['Search_keywords'] = 'جستجوي كلمات كليدي';
$lang['Search_keywords_explain'] = "روش جستجوي ترکيبي: بين کلماتي که حتما بايد در نتيجه جستجو وجود داشته باشند کلمه And و بين کلماتي که ممکن است در نتيجه جستجو وجود داشته باشند کلمه OR وارد کنيد. قبل از کلماتي که نميخواهيد در نتيجه جستجو وجود داشته باشد کلمه NOT را وارد کنيد. از * براي جستجوي عمومي استفاده کنيد. بعنوان مثال: *چرا* تمام ترکيبات کلمه چرا را جستجو خواهد کرد.";
$lang['Search_author'] = 'جستجوي نويسنده';
$lang['Search_author_explain'] = 'براي جستجوي نسبي بخشي از كلمه از علامت * استفاده كنيد .';
$lang['Search_for_any'] = 'جستجوي هر كلمه اي يا عبارت وارد شده در فرم جستجو';
$lang['Search_for_all'] = 'جستجوي تمامي اصطلاحات';
$lang['Search_title_msg'] = 'جستجو در عنوان مطالب و متن پيغامها';
$lang['Search_msg_only'] = 'فقط جستجو در متن پيغامها';
$lang['Return_first'] = 'گزارش اوليه '; // followed by xxx characters in a select box
$lang['characters_posts'] = 'حرف از مطلب';
$lang['Search_previous'] = 'جستجو در'; // followed by days, weeks, months, year, all in a select box
$lang['Sort_by'] = 'مرتب سازي بر اساس';
$lang['Sort_Time'] = 'زمان ارسال';
$lang['Sort_Post_Subject'] = 'موضوع مطلب';
$lang['Sort_Topic_Title'] = 'عنوان مطلب';
$lang['Sort_Author'] = 'نويسنده';
$lang['Sort_Forum'] = 'انجمن';
$lang['Display_results'] = 'گزارش نتايج بصورت ';
$lang['All_available'] = 'تمامي موارد موجود';
$lang['No_searchable_forums'] = 'شما اجازه جستجو در انجمنهاي اين سايت را نداريد .';
$lang['No_search_match'] = 'نتيجه اي براي عبارت مورد جستجوي شما در مطالب و ارسالها يافت نشد .';
$lang['Found_search_match'] = ' %d مورد يافت شد .'; // eg. Search found 1 match
$lang['Found_search_matches'] = ' %d مورد يافت شد .'; // eg. Search found 24 matches
$lang['Close_window'] = 'بستن پنجره';
//
// Auth related entries
//
// Note the %s will be replaced with one of the following 'user' arrays
$lang['Sorry_auth_announce'] = 'با عرض پوزش ، فقط %s مي توانند در اين انجمن آگهي ارائه كنند .';
$lang['Sorry_auth_sticky'] = 'با عرض پوزش ، فقط %s مي توانند مطالب داغ و جالب به اين انجمن ارسال نمايند .'; 
$lang['Sorry_auth_read'] = 'با عرض پوزش ، فقط  %s اجازه خواندن مطالب اين انجمن را دارند .'; 
$lang['Sorry_auth_post'] = 'با عرض پوزش ، فقط  %s اجازه ارسال مطلب به اين انجمن دارند .'; 
$lang['Sorry_auth_reply'] = 'با عرض پوزش ، فقط  %s مجاز به ارسال جوابيه به مطالب اين انجمن مي باشند .';
$lang['Sorry_auth_edit'] = 'با عرض پوزش ، فقط  %s اجازه ويرايش مطالب اين انجمن را دارند .'; 
$lang['Sorry_auth_delete'] = 'با عرض پوزش ، فقط  %s اجازه حذف مطالب اين انجمن را دارا مي باشند .';
$lang['Sorry_auth_vote'] = 'با عرض پوزش ، فقط %s اجازه راي دادن به نظرسنجي هاي اين انجمن را دارند .';
// These replace the %s in the above strings
$lang['Auth_Anonymous_Users'] = '<b>كاربران مهمان</b>';
$lang['Auth_Registered_Users'] = '<b>كاربران عضو</b>';
$lang['Auth_Users_granted_access'] = '<b>كاربراني كه سطح دسترسي مخصوص دارند</b>';
$lang['Auth_Moderators'] = '<b>اصلاح كنندگان</b>';
$lang['Auth_Administrators'] = '<b>مديران سايت</b>';
$lang['Not_Moderator'] = 'شما مسئول اين انجمن نيستيد ';
$lang['Not_Authorised'] = 'اجازه ندايد';
$lang['You_been_banned'] = 'شما براي استفاده از اين انجمن بلوك شده ايد <br /> لطفا براي كسب اطلاعات بيشتر با مدير سايت تماس بگيريد .';
//
// Viewonline
//
$lang['Reg_users_zero_online'] = '0 كاربر عضو و'; // There are 5 Registered and
$lang['Reg_users_online'] = 'در حال حاضر  %d كاربر عضو و  '; // There are 5 Registered and
$lang['Reg_user_online'] = 'در حال حاضر %d كاربر عضو و '; // There is 1 Registered and
$lang['Hidden_users_zero_online'] = '0 كاربر پنهان در سايت حضور دارد .'; // 6 Hidden users online
$lang['Hidden_users_online'] = '%d كاربر پنهان در سايت حضور دارد'; // 6 Hidden users online
$lang['Hidden_user_online'] = '%d كاربر پنهان در سايت حضور دارد'; // 6 Hidden users online
$lang['Guest_users_online'] = 'در حال حاضر %d كاربر مهمان آنلاين مي باشد .'; // There are 10 Guest users online
$lang['Guest_users_zero_online'] = 'در حال حاضر 0 بازديد كننده مهمان آنلاين مي باشد .'; // There are 10 Guest users online
$lang['Guest_user_online'] = 'در حال حاضر  %d بازديد كننده مهمان آنلاين مي باشد .'; // There is 1 Guest user online
$lang['No_users_browsing'] = 'در حال حاضر هيچ كاربري اين انجمن را بازديد نمي كند .';
$lang['Online_explain'] = 'اين اطلاعات بر اساس فعاليت كاربران طي 5 دقيقه اخير مي باشد .';
$lang['Forum_Location'] = 'مكان انجمن';
$lang['Last_updated'] = 'آخرين بروزرساني';
$lang['Forum_index'] = 'صفحه اول انجمنها';
$lang['Logging_on'] = 'ورود به سيستم';
$lang['Posting_message'] = 'ارسال يك پيغام';
$lang['Searching_forums'] = 'جستجو در انجمنها';
$lang['Viewing_profile'] = 'نمايش مسخصات';
$lang['Viewing_online'] = 'نمايش بازديدكنندگان حاضر در سايت';
$lang['Viewing_member_list'] = 'نمايش ليست كاربران';
$lang['Viewing_priv_msgs'] = 'نمايش پيغامهاي خصوصي';
$lang['Viewing_FAQ'] = 'نمايش سوالات رايج';
//
// Moderator Control Panel
//
$lang['Mod_CP'] = 'كنترل پانل اصلاح كندندگان انجمنها';
$lang['Mod_CP_explain'] = 'با استفاده از فرم زير مي توانيد عمليات مختلف اصلاح شامل حذف ، انتقال ، قفل كردن و ... در مورد موضوعات انجمن انجام دهيد .';
$lang['Select'] = 'انتخاب';
$lang['Delete'] = 'حذف';
$lang['Move'] = 'انتقال';
$lang['Lock'] = 'قفل كردن';
$lang['Unlock'] = 'گشودن حالت قفل';
$lang['Topics_Removed'] = 'موضوعات انتخابي شما با موفقيت از بانك اطلاعاتي پاك شد .';
$lang['Topics_Locked'] = 'موضوعات انتخاب شده قفل شدند .';
$lang['Topics_Moved'] = 'موضوعات انتخاب شده منتقل شدند .';
$lang['Topics_Unlocked'] = 'موضوعات انتخاب شده از حالت قفل خارج شدند ';
$lang['No_Topics_Moved'] = 'موضوعي منتقل نشد ';
$lang['Confirm_delete_topic'] = 'آيا از حذف موضوع / موضوعات انتخاب شده اطمينان داريد ؟';
$lang['Confirm_lock_topic'] = 'آيا از قفل كردن موضوع / موضوعات انتخاب شده اطمينان داريد ؟';
$lang['Confirm_unlock_topic'] = 'آيا از گشودن قفل موضوع / موضوعات انتخاب شده اطمينان داريد ؟';
$lang['Confirm_move_topic'] = 'آيا از انتقال موضوع / موضوعات انتخاب شده اطمينان داريد ؟';
$lang['Move_to_forum'] = 'انتقال به انجمن';
$lang['Leave_shadow_topic'] = 'نشانه اي از وجود اين تاپيک باقي بماند در انجمن اوليه.';
$lang['Split_Topic'] = 'Split Topic Control Panel';
$lang['Split_Topic_explain'] = 'Using the form below you can split a topic in two, either by selecting the posts individually or by splitting at a selected post';
$lang['Split_title'] = 'عنوان مطلب جديد';
$lang['Split_forum'] = 'انجمن براي موضوع جديد';
$lang['Split_posts'] = 'انشعاب مطالب انتخاب شده';
$lang['Split_after'] = 'منشعب از مطلب انتخاب شده';
$lang['Topic_split'] = 'مطلب انتخابي شما با موفقيت منشعب شد .';
$lang['Too_many_error'] = 'شما تعداد زيادي مطلب را براي انشعاب انتخاب نموده ايد . براي انشعاب فقط مي توان يك مطلب را انتخاب نمود .';
$lang['None_selected'] = 'شما براي انجام اين عمليات موضوعي را انتخاب ننموده ايد . لطفا حداقل يك موضوع را انتخاب نمائيد .';
$lang['New_forum'] = 'انجمن جديد';
$lang['This_posts_IP'] = 'آدرس IP ثبت شده براي اين مطلب';
$lang['Other_IP_this_user'] = 'ساير آدرسهاي IP كه اين كاربر از آنها اقدام به ارسال مطلب نموده است .';
$lang['Users_this_IP'] = 'كاربراني كه با اين آدرس IP اقدام به ارسال مطلب نموده اند.';
$lang['IP_info'] = 'اطلاعات IP';
$lang['Lookup_IP'] = 'جستجوي آدرس IP';
// Memberlist Online/Offline 
$lang['Online'] = "انلاين"; 
$lang['Offline'] = "افلاين"; 
$lang['Online Status'] = "وضعيت كاربر"; 
//
// Timezones ... for display on each page
//
$lang['All_times'] = 'زمان پيشفرض سايت: %s'; // eg. All times are ساعت گرينويچ - 12 ساعت (times from next block)
$lang['-12'] = 'ساعت گرينويچ - 12 ساعت';
$lang['-11'] = 'ساعت گرينويچ - 11 ساعت';
$lang['-10'] = 'ساعت گرينويچ - 10 ساعت';
$lang['-9'] = 'ساعت گرينويچ - 9 ساعت';
$lang['-8'] = 'ساعت گرينويچ - 8 ساعت';
$lang['-7'] = 'ساعت گرينويچ - 7 ساعت';
$lang['-6'] = 'ساعت گرينويچ - 6 ساعت';
$lang['-5'] = 'ساعت گرينويچ - 5 ساعت';
$lang['-4'] = 'ساعت گرينويچ - 4 ساعت';
$lang['-3.5'] = 'ساعت گرينويچ - 3.5 ساعت';
$lang['-3'] = 'ساعت گرينويچ - 3 ساعت';
$lang['-2'] = 'ساعت گرينويچ - 2 ساعت';
$lang['-1'] = 'ساعت گرينويچ - 1 ساعت';
$lang['0'] = 'ساعت گرينويچ';
$lang['1'] = 'ساعت گرينويچ + 1 Hour';
$lang['2'] = 'ساعت گرينويچ + 2 ساعت';
$lang['3'] = 'ساعت گرينويچ + 3 ساعت';
$lang['3.5'] = 'ساعت گرينويچ + 3.5 ساعت';
$lang['4'] = 'ساعت گرينويچ + 3.5 ساعت';
$lang['4.5'] = 'ساعت گرينويچ + 4.5 ساعت';
$lang['5'] = 'ساعت گرينويچ + 5 ساعت';
$lang['5.5'] = 'ساعت گرينويچ + 5.5 ساعت';
$lang['6'] = 'ساعت گرينويچ + 6 ساعت';
$lang['6.5'] = 'ساعت گرينويچ + 6.5 ساعت';
$lang['7'] = 'ساعت گرينويچ + 7 ساعت';
$lang['8'] = 'ساعت گرينويچ + 8 ساعت';
$lang['9'] = 'ساعت گرينويچ + 9 ساعت';
$lang['9.5'] = 'ساعت گرينويچ + 9.5 ساعت';
$lang['10'] = 'ساعت گرينويچ + 10 ساعت';
$lang['11'] = 'ساعت گرينويچ + 11 ساعت';
$lang['12'] = 'ساعت گرينويچ + 12 ساعت';
$lang['13'] = 'ساعت گرينويچ + 13 ساعت';
// These are displayed in the timezone select box
$lang['tz']['-12'] = 'ساعت گرينويچ  - 12 ساعت';
$lang['tz']['-11'] = 'ساعت گرينويچ - 11 ساعت';
$lang['tz']['-10'] = 'ساعت گرينويچ - 10 ساعت';
$lang['tz']['-9'] = 'ساعت گرينويچ - 9 ساعت';
$lang['tz']['-8'] = 'ساعت گرينويچ - 8 ساعت';
$lang['tz']['-7'] = 'ساعت گرينويچ - 7 ساعت';
$lang['tz']['-6'] = 'ساعت گرينويچ - 6 ساعت';
$lang['tz']['-5'] = 'ساعت گرينويچ - 5 ساعت';
$lang['tz']['-4'] = 'ساعت گرينويچ - 4 ساعت';
$lang['tz']['-3.5'] = 'ساعت گرينويچ - 3.5 ساعت';
$lang['tz']['-3'] = 'ساعت گرينويچ - 3 ساعت';
$lang['tz']['-2'] = 'ساعت گرينويچ - 2 ساعت';
$lang['tz']['-1'] = 'ساعت گرينويچ - 1 ساعت';
$lang['tz']['0'] = 'ساعت گرينويچ';
$lang['tz']['1'] = 'ساعت گرينويچ + 1 Hour';
$lang['tz']['2'] = 'ساعت گرينويچ + 2 ساعت';
$lang['tz']['3'] = 'ساعت گرينويچ + 3 ساعت';
$lang['tz']['3.5'] = 'ساعت گرينويچ + 3.5 ساعت';
$lang['tz']['4'] = 'ساعت گرينويچ + 3.5 ساعت';
$lang['tz']['4.5'] = 'ساعت گرينويچ + 4.5 ساعت';
$lang['tz']['5'] = 'ساعت گرينويچ + 5 ساعت';
$lang['tz']['5.5'] = 'ساعت گرينويچ + 5.5 ساعت';
$lang['tz']['6'] = 'ساعت گرينويچ + 6 ساعت';
$lang['tz']['6.5'] = 'ساعت گرينويچ + 6.5 ساعت';
$lang['tz']['7'] = 'ساعت گرينويچ + 7 ساعت';
$lang['tz']['8'] = 'ساعت گرينويچ + 8 ساعت';
$lang['tz']['9'] = 'ساعت گرينويچ + 9 ساعت';
$lang['tz']['9.5'] = 'ساعت گرينويچ + 9.5 ساعت';
$lang['tz']['10'] = 'ساعت گرينويچ + 10 ساعت';
$lang['tz']['11'] = 'ساعت گرينويچ + 11 ساعت';
$lang['tz']['12'] = 'ساعت گرينويچ + 12 ساعت';
$lang['tz']['13'] = 'ساعت گرينويچ + 13 ساعت';
$lang['datetime']['Sunday'] = 'يكشنبه';
$lang['datetime']['Monday'] = 'دوشنبه';
$lang['datetime']['Tuesday'] = 'سه شنبه';
$lang['datetime']['Wednesday'] = 'چهارشنبه';
$lang['datetime']['Thursday'] = 'پنجشنبه';
$lang['datetime']['Friday'] = 'جمعه';
$lang['datetime']['Saturday'] = 'شنبه';
$lang['datetime']['Sun'] = 'Sun';
$lang['datetime']['Mon'] = 'Mon';
$lang['datetime']['Tue'] = 'Tue';
$lang['datetime']['Wed'] = 'Wed';
$lang['datetime']['Thu'] = 'Thu';
$lang['datetime']['Fri'] = 'Fri';
$lang['datetime']['Sat'] = 'Sat';
$lang['datetime']['January'] = 'ژانويه';
$lang['datetime']['February'] = 'فوريه';
$lang['datetime']['March'] = 'مارث';
$lang['datetime']['April'] = 'آوريل';
$lang['datetime']['May'] = 'مي';
$lang['datetime']['June'] = 'ژوئن';
$lang['datetime']['July'] = 'ژولاي';
$lang['datetime']['August'] = 'آگوست';
$lang['datetime']['September'] = 'سپتامبر';
$lang['datetime']['October'] = 'اكتبر';
$lang['datetime']['November'] = 'نوامبر';
$lang['datetime']['December'] = 'دسامبر';
$lang['datetime']['Jan'] = 'Jan';
$lang['datetime']['Feb'] = 'Feb';
$lang['datetime']['Mar'] = 'Mar';
$lang['datetime']['Apr'] = 'Apr';
$lang['datetime']['May'] = 'May';
$lang['datetime']['Jun'] = 'Jun';
$lang['datetime']['Jul'] = 'Jul';
$lang['datetime']['Aug'] = 'Aug';
$lang['datetime']['Sep'] = 'Sep';
$lang['datetime']['Oct'] = 'Oct';
$lang['datetime']['Nov'] = 'Nov';
$lang['datetime']['Dec'] = 'Dec';
//
// Errors (not related to a
// specific failure on a page)
//
$lang['vb_menu_l_profile'] = 'نمايش مشخصات کاربري';
$lang['vb_menu_l_pm'] = 'ارسال پيغام شخصي';
$lang['vb_menu_l_email'] = 'ارسال ايميل';
$lang['vb_menu_l_search'] = 'پيدا کردن ديگر پست ها';
$lang['vb_menu_l_www1'] = 'مشاهده';
$lang['vb_menu_l_www2'] = 'صفحه شخصي';
$lang['Information'] = 'اطلاعات';
$lang['Critical_Information'] = 'اطلاعات حياتي';
$lang['General_Error'] = 'خطاهاي رايج';
$lang['Critical_Error'] = 'خطاي اساسي';
$lang['An_error_occured'] = 'بروز يك خطا';
$lang['A_critical_error'] = 'يك خطاي اساسي اتفاق افتاده است ';
$lang['Admin_reauthenticate'] = 'براي ورود مجدد به مديريت فورم ميبايستي شما دوباره لاگين شويد';
$lang['Login_attempts_exceeded'] = 'مجموع دفعاتت ورود  %s به پايان رسيده است لطفا %s دقيقه ديگر مجدد تلاش کنيد';
$lang['Please_remove_install_contrib'] = 'لطفا از حذف پوشه هاي contrib و install مطمئن شويد';
$lang['Quick_Reply'] = 'پاسخ سريع';
$lang['Quick_quote'] = 'نقل قول آخرين پيغام';
$j_month_name = array("","فروردين","ارديبهشت","خرداد","تير","مرداد","شهريور","مهر","آبان","آذر","دي","بهمن","اسفند");
$j_week_name = array("","شنبه","يكشنبه","دوشنبه","سه شنبه","چهارشنبه","پنجشنبه","جمعه");
// اميوارم از اين ويرايش فارسي لذت ببريد . با تشكر منصور شهابي نژاد - كرمان
// That's all, Folks!
// -------------------------------------------------
// Begin Thanks Mod
$lang['thankful'] = 'تشکرهاي ثبت شده از ايجاد کننده تاپيک :';
$lang['thanks_to'] = 'تشکر';
$lang['thanks_end'] = 'از اين تاپيک';
$lang['thanks_alt'] = 'ارسال تشکر';
$lang['thanked_before'] = 'شما از قبل تشکري ارسال کرده ايد';
$lang['thanks_add'] = 'تشکر شما از تاپيک موجود با موفقيت ثبت شد';
$lang['thanks_not_logged'] = 'شما نيازمند ورود به سيستم براي ارسال تشکر هستيد';
// End Thanks Mod
$lang['Subforums'] = '';
$lang['Thanks_title'] = 'تشکر از کاربر براي پست';
$lang['Thanks_text'] = 'تشکر از اين کاربر براي اين پست';
$lang['Thanks_thanked_by1'] = 'کاربرانی که برای این ارسال از';
$lang['Thanks_thanked_by2'] = 'تشکر کرده اند ';
$lang['Noone_thanked'] = '';

$lang['Thanks_thanks'] = 'تشکر کرده';
$lang['Thanks_thanked_1'] = 'تشکر شده';
$lang['Thanks_thanked_2'] = 'بار در';
$lang['Thanks_thanked_3'] = 'پست';

$lang['Thanks_not_logged_in'] = 'براي ارسال تشکر بايد با نام کاربري خود وارد شويد';
$lang['Thanks_no_post_specified'] = 'پستي انتخاب نشده است.';
$lang['Thanks_no_such_post'] = 'پست وجود ندارد.';
$lang['Thanks_anonymous'] = 'ارسال تشکر براي پست هايي که توسط مهمان نوشته شده مقدور نمي باشد!';
$lang['Thanks_self'] = 'شما نمي توانيد از پستي که توسط خودتان ارسال شده تشکر نماييد!';
$lang['Thanks_already_thanked'] = 'شما قبلا از اين پست تشکر کرده ايد';
$lang['Thanks_success_1'] = 'نويسنده مطلب';
$lang['Thanks_success_2'] = 'در بخش';
$lang['Thanks_success_3'] = 'تشکر شما با موفقيت ثبت شد';
$lang['Links_Allowed_For_Registered_Only'] = 'تنها کاربران عضو سايت قادر به مشاهده لينک ها هستند.';$lang['Thanks_success_redirect'] = '.شما تا 5 ثانيه ديگر به تاپيک باز خواهيد گشت';
?>
