<?php
/***************************************************************************
 *                               viewtopic.php
 *                            -------------------
 *   begin                : Saturday, Feb 13, 2001
 *   copyright            : (C) 2001 The phpBB Group
 *   email                : support@phpbb.com
 *
 *   $Id: viewtopic.php,v 1.186.2.45 2005/10/05 17:42:04 grahamje Exp $
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
if ( !defined('MODULE_FILE') )
{
	die("You can't access this file directly...");
}
if (!(isset($popup)) OR ($popup != "1"))
    {
        $module_name = basename(dirname(__FILE__));
        require("modules/".$module_name."/nukebb.php");
    }
    else
    {
        $phpbb_root_path = 'modules/Forums/';
    }

define('IN_PHPBB', true);
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);
include_once("includes/bbcode.php");

//
// Start initial var setup
//
$topic_id = $post_id = 0;
if ( isset($HTTP_GET_VARS[POST_TOPIC_URL]) )
{
        $topic_id = intval($HTTP_GET_VARS[POST_TOPIC_URL]);
}
else if ( isset($HTTP_GET_VARS['topic']) )
{
        $topic_id = intval($HTTP_GET_VARS['topic']);
}

if ( isset($HTTP_GET_VARS[POST_POST_URL]))
{
        $post_id = intval($HTTP_GET_VARS[POST_POST_URL]);
}

$start = ( isset($HTTP_GET_VARS['start']) ) ? intval($HTTP_GET_VARS['start']) : 0;

if (!$topic_id && !$post_id)
{
        message_die(GENERAL_MESSAGE, 'Topic_post_not_exist');
}

//
// Find topic id if user requested a newer
// or older topic
//
if ( isset($HTTP_GET_VARS['view']) && empty($HTTP_GET_VARS[POST_POST_URL]) )
{
        if ( $HTTP_GET_VARS['view'] == 'newest' )
        {
                $header_location = ( @preg_match('/Microsoft|WebSTAR|Xitami/', $_SERVER['SERVER_SOFTWARE']) ) ? 'Refresh: 0; URL=' : 'Location: ';

                if ( isset($HTTP_COOKIE_VARS[$board_config['cookie_name'] . '_sid']) || isset($HTTP_GET_VARS['sid']) )
                {
                        $session_id = isset($HTTP_COOKIE_VARS[$board_config['cookie_name'] . '_sid']) ? $HTTP_COOKIE_VARS[$board_config['cookie_name'] . '_sid'] : $HTTP_GET_VARS['sid'];
                        if (!preg_match('/^[A-Za-z0-9]*$/', $session_id))
                        {
                        $session_id = '';
                        }
                        if ( $session_id )
                        {
                                $sql = "SELECT p.post_id
                                        FROM " . POSTS_TABLE . " p, " . SESSIONS_TABLE . " s,  " . USERS_TABLE . " u
                                        WHERE s.session_id = '$session_id'
                                                AND u.user_id = s.session_user_id
                                                AND p.topic_id = '$topic_id'
                                                AND p.post_time >= u.user_lastvisit
                                        ORDER BY p.post_time ASC
                                        LIMIT 1";
                                if ( !($result = $db->sql_query($sql)) )
                                {
                                        message_die(GENERAL_ERROR, 'Could not obtain newer/older topic information', '', __LINE__, __FILE__, $sql);
                                }

                                if ( !($row = $db->sql_fetchrow($result)) )
                                {
                                        message_die(GENERAL_MESSAGE, 'No_new_posts_last_visit');
                                }

                                $post_id = $row['post_id'];
                                header($header_location . append_sid("viewtopic.$phpEx?" . POST_POST_URL . "=$post_id#$post_id", true));
                                exit;
                        }
                }

                header($header_location . append_sid("viewtopic.$phpEx?" . POST_TOPIC_URL . "=$topic_id", true));
                exit;
        }
        else if ( $HTTP_GET_VARS['view'] == 'next' || $HTTP_GET_VARS['view'] == 'previous' )
        {
                $sql_condition = ( $HTTP_GET_VARS['view'] == 'next' ) ? '>' : '<';
                $sql_ordering = ( $HTTP_GET_VARS['view'] == 'next' ) ? 'ASC' : 'DESC';

                $sql = "SELECT t.topic_id
			FROM " . TOPICS_TABLE . " t, " . TOPICS_TABLE . " t2
			WHERE
				t2.topic_id = '$topic_id'
				AND t.forum_id = t2.forum_id
				AND t.topic_moved_id = 0
				AND t.topic_last_post_id $sql_condition t2.topic_last_post_id
			ORDER BY t.topic_last_post_id $sql_ordering
                        LIMIT 1";
                if ( !($result = $db->sql_query($sql)) )
                {
                        message_die(GENERAL_ERROR, "Could not obtain newer/older topic information", '', __LINE__, __FILE__, $sql);
                }

                if ( $row = $db->sql_fetchrow($result) )
                {
                        $topic_id = intval($row['topic_id']);
                }
                else
                {
                        $message = ( $HTTP_GET_VARS['view'] == 'next' ) ? 'No_newer_topics' : 'No_older_topics';
                        message_die(GENERAL_MESSAGE, $message);
                }
        }
}

//
// This rather complex gaggle of code handles querying for topics but
// also allows for direct linking to a post (and the calculation of which
// page the post is on and the correct display of viewtopic)
//
$join_sql_table = (!$post_id) ? '' : ", " . POSTS_TABLE . " p, " . POSTS_TABLE . " p2 ";
$join_sql = (!$post_id) ? "t.topic_id = '$topic_id'" : "p.post_id = '$post_id' AND t.topic_id = p.topic_id AND p2.topic_id = p.topic_id AND p2.post_id <= '$post_id'";
$count_sql = (!$post_id) ? '' : ", COUNT(p2.post_id) AS prev_posts";

$order_sql = (!$post_id) ? '' : "GROUP BY p.post_id, t.topic_id, t.topic_title, t.topic_status, t.topic_replies, t.topic_time, t.topic_type, t.topic_vote, t.topic_last_post_id, f.forum_name, f.forum_status, f.forum_id, f.auth_view, f.auth_read, f.auth_post, f.auth_reply, f.auth_edit, f.auth_delete, f.auth_sticky, f.auth_announce, f.auth_pollcreate, f.auth_vote, f.auth_attachments ORDER BY p.post_id ASC";

$sql = "SELECT t.topic_id, t.topic_title, t.topic_status, t.topic_replies, t.topic_time, t.topic_type, t.topic_vote, t.topic_last_post_id, f.forum_name, f.forum_status, f.forum_id, f.auth_view, f.auth_read, f.auth_post, f.auth_reply, f.auth_edit, f.auth_delete, f.auth_sticky, f.auth_announce, f.auth_pollcreate, f.auth_vote, f.auth_attachments" . $count_sql . "
        FROM " . TOPICS_TABLE . " t, " . FORUMS_TABLE . " f" . $join_sql_table . "
        WHERE $join_sql
                AND f.forum_id = t.forum_id
                $order_sql";
                attach_setup_viewtopic_auth($order_sql, $sql);
if ( !($result = $db->sql_query($sql)) )
{
        message_die(GENERAL_ERROR, "Could not obtain topic information", '', __LINE__, __FILE__, $sql);
}

if ( !($forum_topic_data = $db->sql_fetchrow($result)) )
{
        message_die(GENERAL_MESSAGE, 'Topic_post_not_exist');
}

$forum_id = intval($forum_topic_data['forum_id']);

// Begin Thanks Mod

	// Check if the Thanks feature is active for this forum
$sql = "SELECT `thank` 
		FROM " . FORUMS_TABLE . " 
		WHERE  `forum_id` = '" . $forum_id . "' ";
if ( !($result = $db->sql_query($sql)) )
{
	message_die(GENERAL_ERROR, "Could not obtain forum information", '', __LINE__, __FILE__, $sql);
}
if ( !($forum_thank_result = $db->sql_fetchrow($result)) )
{
	message_die(GENERAL_MESSAGE, 'Forum "thanks" information doesn\'t exists');
}
$forum_thank_result = $forum_thank_result['thank'];
	// Setting if feature is active or not 
switch($forum_thank_result) 
{
	case "1":
		$show_thanks = 1;
	break;

	default:
		$show_thanks = 0;
	break;

}

// End Thanks Mod
//
// Start session management
//
$userdata = session_pagestart($user_ip, $forum_id, $nukeuser);
init_userprefs($userdata);
//
// End session management
//

//
// Start auth check
//
$is_auth = array();
$is_auth = auth(AUTH_ALL, $forum_id, $userdata, $forum_topic_data);

if( !$is_auth['auth_view'] || !$is_auth['auth_read'] )
{
        if ( !$userdata['session_logged_in'] )
        {
		$redirect = ($post_id) ? POST_POST_URL . "=$post_id" : POST_TOPIC_URL . "=$topic_id";
		$redirect .= ($start) ? "&start=$start" : '';
                $header_location = ( @preg_match("/Microsoft|WebSTAR|Xitami/", $_SERVER["SERVER_SOFTWARE"]) ) ? "Refresh: 0; URL=" : "Location: ";
                header($header_location . append_sid("login.$phpEx?redirect=viewtopic.$phpEx&$redirect", true));
                exit;
        }

        $message = ( !$is_auth['auth_view'] ) ? $lang['Topic_post_not_exist'] : sprintf($lang['Sorry_auth_read'], $is_auth['auth_read_type']);

        message_die(GENERAL_MESSAGE, $message);
}
//
// End auth check
//

$forum_name = $forum_topic_data['forum_name'];
$topic_title = $forum_topic_data['topic_title'];
$topic_id = intval($forum_topic_data['topic_id']);
$topic_time = $forum_topic_data['topic_time'];

if ($post_id)
{
        $start = floor(($forum_topic_data['prev_posts'] - 1) / intval($board_config['posts_per_page'])) * intval($board_config['posts_per_page']);
}

//
// Is user watching this thread?
//
if( $userdata['session_logged_in'] )
{
        $can_watch_topic = TRUE;

        $sql = "SELECT notify_status
                FROM " . TOPICS_WATCH_TABLE . "
                WHERE topic_id = '$topic_id'
                        AND user_id = " . $userdata['user_id'];
        if ( !($result = $db->sql_query($sql)) )
        {
                message_die(GENERAL_ERROR, "Could not obtain topic watch information", '', __LINE__, __FILE__, $sql);
        }

        if ( $row = $db->sql_fetchrow($result) )
        {
                if ( isset($HTTP_GET_VARS['unwatch']) )
                {
                        if ( $HTTP_GET_VARS['unwatch'] == 'topic' )
                        {
                                $is_watching_topic = 0;

                                $sql_priority = (SQL_LAYER == "mysql") ? "LOW_PRIORITY" : '';
                                $sql = "DELETE $sql_priority FROM " . TOPICS_WATCH_TABLE . "
                                        WHERE topic_id = '$topic_id'
                                                AND user_id = " . $userdata['user_id'];
                                if ( !($result = $db->sql_query($sql)) )
                                {
                                        message_die(GENERAL_ERROR, "Could not delete topic watch information", '', __LINE__, __FILE__, $sql);
                                }
                        }

                        $template->assign_vars(array(
                                'META' => '<meta http-equiv="refresh" content="3;url=' . append_sid("viewtopic.$phpEx?" . POST_TOPIC_URL . "=$topic_id&amp;start=$start") . '">')
                        );

                        $message = $lang['No_longer_watching'] . '<br /><br />' . sprintf($lang['Click_return_topic'], '<a href="' . append_sid("viewtopic.$phpEx?" . POST_TOPIC_URL . "=$topic_id&amp;start=$start") . '">', '</a>');
                        message_die(GENERAL_MESSAGE, $message);
                }
                else
                {
                        $is_watching_topic = TRUE;

                        if ( $row['notify_status'] )
                        {
                                $sql_priority = (SQL_LAYER == "mysql") ? "LOW_PRIORITY" : '';
                                $sql = "UPDATE $sql_priority " . TOPICS_WATCH_TABLE . "
                                        SET notify_status = '0'
                                        WHERE topic_id = '$topic_id'
                                                AND user_id = " . $userdata['user_id'];
                                if ( !($result = $db->sql_query($sql)) )
                                {
                                        message_die(GENERAL_ERROR, "Could not update topic watch information", '', __LINE__, __FILE__, $sql);
                                }
                        }
                }
        }
        else
        {
                if ( isset($HTTP_GET_VARS['watch']) )
                {
                        if ( $HTTP_GET_VARS['watch'] == 'topic' )
                        {
                                $is_watching_topic = TRUE;

                                $sql_priority = (SQL_LAYER == "mysql") ? "LOW_PRIORITY" : '';
                                $sql = "INSERT $sql_priority INTO " . TOPICS_WATCH_TABLE . " (user_id, topic_id, notify_status)
                                        VALUES (" . $userdata['user_id'] . ", '$topic_id', '0')";
                                if ( !($result = $db->sql_query($sql)) )
                                {
                                        message_die(GENERAL_ERROR, "Could not insert topic watch information", '', __LINE__, __FILE__, $sql);
                                }
                        }

                        $template->assign_vars(array(
                                'META' => '<meta http-equiv="refresh" content="3;url=' . append_sid("viewtopic.$phpEx?" . POST_TOPIC_URL . "=$topic_id&amp;start=$start") . '">')
                        );

                        $message = $lang['You_are_watching'] . '<br /><br />' . sprintf($lang['Click_return_topic'], '<a href="' . append_sid("viewtopic.$phpEx?" . POST_TOPIC_URL . "=$topic_id&amp;start=$start") . '">', '</a>');
                        message_die(GENERAL_MESSAGE, $message);
                }
                else
                {
                        $is_watching_topic = 0;
                }
        }
}
else
{
        if ( isset($HTTP_GET_VARS['unwatch']) )
        {
                if ( $HTTP_GET_VARS['unwatch'] == 'topic' )
                {
                        $header_location = ( @preg_match("/Microsoft|WebSTAR|Xitami/", $_SERVER["SERVER_SOFTWARE"]) ) ? "Refresh: 0; URL=" : "Location: ";
                        header($header_location . append_sid("login.$phpEx?redirect=viewtopic.$phpEx&" . POST_TOPIC_URL . "=$topic_id&unwatch=topic", true));
                        exit;
                }
        }
        else
        {
                $can_watch_topic = 0;
                $is_watching_topic = 0;
        }
}

//
// Generate a 'Show posts in previous x days' select box. If the postdays var is POSTed
// then get it's value, find the number of topics with dates newer than it (to properly
// handle pagination) and alter the main query
//
$previous_days = array(0, 1, 7, 14, 30, 90, 180, 364);
$previous_days_text = array($lang['All_Posts'], $lang['1_Day'], $lang['7_Days'], $lang['2_Weeks'], $lang['1_Month'], $lang['3_Months'], $lang['6_Months'], $lang['1_Year']);

if( !empty($HTTP_POST_VARS['postdays']) || !empty($HTTP_GET_VARS['postdays']) )
{
        $post_days = ( !empty($HTTP_POST_VARS['postdays']) ) ? intval($HTTP_POST_VARS['postdays']) : intval($HTTP_GET_VARS['postdays']);
        $min_post_time = time() - (intval($post_days) * 86400);

        $sql = "SELECT COUNT(p.post_id) AS num_posts
                FROM " . TOPICS_TABLE . " t, " . POSTS_TABLE . " p
                WHERE t.topic_id = '$topic_id'
                        AND p.topic_id = t.topic_id
                        AND p.post_time >= '$min_post_time'";
        if ( !($result = $db->sql_query($sql)) )
        {
                message_die(GENERAL_ERROR, "Could not obtain limited topics count information", '', __LINE__, __FILE__, $sql);
        }

        $total_replies = ( $row = $db->sql_fetchrow($result) ) ? intval($row['num_posts']) : 0;

        $limit_posts_time = "AND p.post_time >= $min_post_time ";

        if ( !empty($HTTP_POST_VARS['postdays']))
        {
                $start = 0;
        }
}
else
{
        $total_replies = intval($forum_topic_data['topic_replies']) + 1;

        $limit_posts_time = '';
        $post_days = 0;
}

$select_post_days = '<select name="postdays">';
for($i = 0; $i < count($previous_days); $i++)
{
        $selected = ($post_days == $previous_days[$i]) ? ' selected="selected"' : '';
        $select_post_days .= '<option value="' . $previous_days[$i] . '"' . $selected . '>' . $previous_days_text[$i] . '</option>';
}
$select_post_days .= '</select>';

//
// Decide how to order the post display
//
if ( !empty($HTTP_POST_VARS['postorder']) || !empty($HTTP_GET_VARS['postorder']) )
{
	$post_order = (!empty($HTTP_POST_VARS['postorder'])) ? htmlspecialchars($HTTP_POST_VARS['postorder']) : htmlspecialchars($HTTP_GET_VARS['postorder']);
        $post_time_order = ($post_order == "asc") ? "ASC" : "DESC";
}
else
{
        $post_order = 'asc';
        $post_time_order = 'ASC';
}

$select_post_order = '<select name="postorder">';
if ( $post_time_order == 'ASC' )
{
        $select_post_order .= '<option value="asc" selected="selected">' . $lang['Oldest_First'] . '</option><option value="desc">' . $lang['Newest_First'] . '</option>';
}
else
{
        $select_post_order .= '<option value="asc">' . $lang['Oldest_First'] . '</option><option value="desc" selected="selected">' . $lang['Newest_First'] . '</option>';
}
$select_post_order .= '</select>';

//
// Go ahead and pull all data for this topic
//
$sql = "SELECT u.username, u.user_id, u.user_posts, u.user_from, u.user_website, u.user_email, u.user_icq, u.user_aim, u.user_yim, u.user_regdate, u.user_msnm, u.user_viewemail, u.user_rank, u.user_sig, u.user_sig_bbcode_uid, u.user_avatar, u.user_avatar_type, u.user_allowavatar, u.user_allowsmile,u.user_allow_viewonline, u.user_session_time, u.points, p.*,  pt.post_text, pt.post_subject, pt.bbcode_uid
        FROM " . POSTS_TABLE . " p, " . USERS_TABLE . " u, " . POSTS_TEXT_TABLE . " pt
        WHERE p.topic_id = '$topic_id'
                $limit_posts_time
                AND pt.post_id = p.post_id
                AND u.user_id = p.poster_id
        ORDER BY p.post_time $post_time_order
        LIMIT $start, ".$board_config['posts_per_page'];
if ( !($result = $db->sql_query($sql)) )
{
        message_die(GENERAL_ERROR, "Could not obtain post/user information.", '', __LINE__, __FILE__, $sql);
}

$postrow = array();
if ($row = $db->sql_fetchrow($result))
{
        do
        {
                $postrow[] = $row;
        }
        while ($row = $db->sql_fetchrow($result));
        $db->sql_freeresult($result);

        $total_posts = count($postrow);
}
else
{
   include("modules/Forums/includes/functions_admin.php");
   sync('topic', $topic_id);

   message_die(GENERAL_MESSAGE, $lang['No_posts_topic']);
}


$resync = FALSE;
if ($forum_topic_data['topic_replies'] + 1 < $start + count($postrow))
{
   $resync = TRUE;
}
elseif ($start + $board_config['posts_per_page'] > $forum_topic_data['topic_replies'])
{
   $row_id = intval($forum_topic_data['topic_replies']) % intval($board_config['posts_per_page']);
   if ($postrow[$row_id]['post_id'] != $forum_topic_data['topic_last_post_id'] || $start + count($postrow) < $forum_topic_data['topic_replies'])
   {
      $resync = TRUE;
   }
}
elseif (count($postrow) < $board_config['posts_per_page'])
{
   $resync = TRUE;
}

if ($resync)
{
   include("includes/functions_admin.php");
   sync('topic', $topic_id);

   $result = $db->sql_query('SELECT COUNT(post_id) AS total FROM ' . POSTS_TABLE . ' WHERE topic_id = ' . $topic_id);
   $row = $db->sql_fetchrow($result);
   $total_replies = $row['total'];
}

$sql = "SELECT *
        FROM " . RANKS_TABLE . "
        ORDER BY rank_special, rank_min";
if ( !($result = $db->sql_query($sql)) )
{
        message_die(GENERAL_ERROR, "Could not obtain ranks information.", '', __LINE__, __FILE__, $sql);
}

$ranksrow = array();
while ( $row = $db->sql_fetchrow($result) )
{
        $ranksrow[] = $row;
}
$db->sql_freeresult($result);

//
// Define censored word matches
//
$orig_word = array();
$replacement_word = array();
obtain_word_list($orig_word, $replacement_word);

//
// Censor topic title
//
if ( count($orig_word) )
{
        $topic_title = preg_replace($orig_word, $replacement_word, $topic_title);
}

//
// Was a highlight request part of the URI?
//
$highlight_match = $highlight = '';
if (isset($HTTP_GET_VARS['highlight']))
{
        // Split words and phrases
        $words = explode(' ', trim(htmlspecialchars($HTTP_GET_VARS['highlight'])));

        for($i = 0; $i < sizeof($words); $i++)
        {
                if (trim($words[$i]) != '')
                {
                        $highlight_match .= (($highlight_match != '') ? '|' : '') . str_replace('*', '\w*', preg_quote($words[$i], '#'));
                }
        }
        unset($words);

	$highlight = urlencode($HTTP_GET_VARS['highlight']);
        $highlight_match = phpbb_rtrim($highlight_match, "\\");
}

//
// Post, reply and other URL generation for
// templating vars
//
$new_topic_url = append_sid("posting.$phpEx?mode=newtopic&amp;" . POST_FORUM_URL . "=$forum_id");
$reply_topic_url = append_sid("posting.$phpEx?mode=reply&amp;" . POST_TOPIC_URL . "=$topic_id");
// Begin Thanks Mod
$thank_topic_url = append_sid("posting.$phpEx?mode=thank&amp;" . POST_TOPIC_URL . "=$topic_id");
// End Thanks Mod
$view_forum_url = append_sid("viewforum.$phpEx?" . POST_FORUM_URL . "=$forum_id");
$view_prev_topic_url = append_sid("viewtopic.$phpEx?" . POST_TOPIC_URL . "=$topic_id&amp;view=previous");
$view_next_topic_url = append_sid("viewtopic.$phpEx?" . POST_TOPIC_URL . "=$topic_id&amp;view=next");

//
// Mozilla navigation bar
//
$nav_links['prev'] = array(
        'url' => $view_prev_topic_url,
        'title' => $lang['View_previous_topic']
);
$nav_links['next'] = array(
        'url' => $view_next_topic_url,
        'title' => $lang['View_next_topic']
);
$nav_links['up'] = array(
        'url' => $view_forum_url,
        'title' => $forum_name
);

$reply_img = ( $forum_topic_data['forum_status'] == FORUM_LOCKED || $forum_topic_data['topic_status'] == TOPIC_LOCKED ) ? $images['reply_locked'] : $images['reply_new'];
$reply_alt = ( $forum_topic_data['forum_status'] == FORUM_LOCKED || $forum_topic_data['topic_status'] == TOPIC_LOCKED ) ? $lang['Topic_locked'] : $lang['Reply_to_topic'];
$post_img = ( $forum_topic_data['forum_status'] == FORUM_LOCKED ) ? $images['post_locked'] : $images['post_new'];
$post_alt = ( $forum_topic_data['forum_status'] == FORUM_LOCKED ) ? $lang['Forum_locked'] : $lang['Post_new_topic'];
// Begin Thanks Mod
$thank_img = $images['thanks'];
$thank_alt = $lang['thanks_alt'];
$thank_img = ( $show_thanks == 1 ) ? '<a href="' . $thank_topic_url . '"><img src="' . $thank_img . '"  alt="' . $thank_alt . '" border="0" align="middle">' : '';
// End Thanks Mod
//
// Set a cookie for this topic
//
if ( $userdata['session_logged_in'] )
{
        $tracking_topics = ( isset($HTTP_COOKIE_VARS[$board_config['cookie_name'] . '_t']) ) ? unserialize($HTTP_COOKIE_VARS[$board_config['cookie_name'] . '_t']) : array();
        $tracking_forums = ( isset($HTTP_COOKIE_VARS[$board_config['cookie_name'] . '_f']) ) ? unserialize($HTTP_COOKIE_VARS[$board_config['cookie_name'] . '_f']) : array();

        if ( !empty($tracking_topics[$topic_id]) && !empty($tracking_forums[$forum_id]) )
        {
                $topic_last_read = ( $tracking_topics[$topic_id] > $tracking_forums[$forum_id] ) ? $tracking_topics[$topic_id] : $tracking_forums[$forum_id];
        }
        else if ( !empty($tracking_topics[$topic_id]) || !empty($tracking_forums[$forum_id]) )
        {
                $topic_last_read = ( !empty($tracking_topics[$topic_id]) ) ? $tracking_topics[$topic_id] : $tracking_forums[$forum_id];
        }
        else
        {
                $topic_last_read = $userdata['user_lastvisit'];
        }

        if ( count($tracking_topics) >= 150 && empty($tracking_topics[$topic_id]) )
        {
                asort($tracking_topics);
                unset($tracking_topics[key($tracking_topics)]);
        }

        $tracking_topics[$topic_id] = time();

        setcookie($board_config['cookie_name'] . '_t', serialize($tracking_topics), 0, $board_config['cookie_path'], $board_config['cookie_domain'], $board_config['cookie_secure']);
}

//
// Load templates
//
$template->set_filenames(array(
        'body' => 'viewtopic_body.tpl')
);
// Begin Simple Subforums MOD
$all_forums = array();
make_jumpbox_ref('viewforum.'.$phpEx, $forum_id, $all_forums);

$parent_id = 0;
for( $i = 0; $i < count($all_forums); $i++ )
{
	if( $all_forums[$i]['forum_id'] == $forum_id )
	{
		$parent_id = $all_forums[$i]['forum_parent'];
	}
}

if( $parent_id )
{
	for( $i = 0; $i < count($all_forums); $i++ )
	{
		if( $all_forums[$i]['forum_id'] == $parent_id )
		{
			$template->assign_vars(array(
				'PARENT_FORUM'			=> 1,
				'U_VIEW_PARENT_FORUM'	=> append_sid("viewforum.$phpEx?" . POST_FORUM_URL .'=' . $all_forums[$i]['forum_id']),
				'PARENT_FORUM_NAME'		=> $all_forums[$i]['forum_name'],
				));
		}
	}
}
// End Simple Subforums MOD


//
// Output page header
//
$page_title = $lang['View_topic'] .' - ' . $topic_title;
include("modules/Forums/includes/page_header.php");

//
// User authorisation levels output
//
$s_auth_can = ( ( $is_auth['auth_post'] ) ? $lang['Rules_post_can'] : $lang['Rules_post_cannot'] ) . '<br />';
$s_auth_can .= ( ( $is_auth['auth_reply'] ) ? $lang['Rules_reply_can'] : $lang['Rules_reply_cannot'] ) . '<br />';
$s_auth_can .= ( ( $is_auth['auth_edit'] ) ? $lang['Rules_edit_can'] : $lang['Rules_edit_cannot'] ) . '<br />';
$s_auth_can .= ( ( $is_auth['auth_delete'] ) ? $lang['Rules_delete_can'] : $lang['Rules_delete_cannot'] ) . '<br />';
$s_auth_can .= ( ( $is_auth['auth_vote'] ) ? $lang['Rules_vote_can'] : $lang['Rules_vote_cannot'] ) . '<br />';
attach_build_auth_levels($is_auth, $s_auth_can);

$topic_mod = '';

if ( $is_auth['auth_mod'] )
{
        $s_auth_can .= sprintf($lang['Rules_moderate'], '<a href="' . append_sid("modcp.$phpEx?" . POST_FORUM_URL . "=$forum_id") . '">', '</a>');

        $topic_mod .= '<a href="' . append_sid("modcp.$phpEx?" . POST_TOPIC_URL . "=$topic_id&amp;mode=delete") . '"><img src="' . $images['topic_mod_delete'] . '" alt="' . $lang['Delete_topic'] . '" title="' . $lang['Delete_topic'] . '" border="0" /></a>&nbsp;';

        $topic_mod .= '<a href="' . append_sid("modcp.$phpEx?" . POST_TOPIC_URL . "=$topic_id&amp;mode=move"). '"><img src="' . $images['topic_mod_move'] . '" alt="' . $lang['Move_topic'] . '" title="' . $lang['Move_topic'] . '" border="0" /></a>&nbsp;';

        $topic_mod .= ( $forum_topic_data['topic_status'] == TOPIC_UNLOCKED ) ? '<a href="' . append_sid("modcp.$phpEx?" . POST_TOPIC_URL . "=$topic_id&amp;mode=lock") . '"><img src="' . $images['topic_mod_lock'] . '" alt="' . $lang['Lock_topic'] . '" title="' . $lang['Lock_topic'] . '" border="0" /></a>&nbsp;' : '<a href="' . append_sid("modcp.$phpEx?" . POST_TOPIC_URL . "=$topic_id&amp;mode=unlock") . '"><img src="' . $images['topic_mod_unlock'] . '" alt="' . $lang['Unlock_topic'] . '" title="' . $lang['Unlock_topic'] . '" border="0" /></a>&nbsp;';

        $topic_mod .= '<a href="' . append_sid("modcp.$phpEx?" . POST_TOPIC_URL . "=$topic_id&amp;mode=split") . '"><img src="' . $images['topic_mod_split'] . '" alt="' . $lang['Split_topic'] . '" title="' . $lang['Split_topic'] . '" border="0" /></a>&nbsp;';
}

//
// Topic watch information
//
$s_watching_topic = '';
if ( $can_watch_topic )
{
        if ( $is_watching_topic )
        {
                $s_watching_topic = '<a href="' . append_sid("viewtopic.$phpEx?" . POST_TOPIC_URL . "=$topic_id&amp;unwatch=topic&amp;start=$start") . '">' . $lang['Stop_watching_topic'] . '</a>';
                $s_watching_topic_img = ( isset($images['Topic_un_watch']) ) ? '<a href="' . append_sid("viewtopic.$phpEx?" . POST_TOPIC_URL . "=$topic_id&amp;unwatch=topic&amp;start=$start") . '"><img src="' . $images['Topic_un_watch'] . '" alt="' . $lang['Stop_watching_topic'] . '" title="' . $lang['Stop_watching_topic'] . '" border="0"></a>' : '';
        }
        else
        {
                $s_watching_topic = '<a href="' . append_sid("viewtopic.$phpEx?" . POST_TOPIC_URL . "=$topic_id&amp;watch=topic&amp;start=$start") . '">' . $lang['Start_watching_topic'] . '</a>';
                $s_watching_topic_img = ( isset($images['Topic_watch']) ) ? '<a href="' . append_sid("viewtopic.$phpEx?" . POST_TOPIC_URL . "=$topic_id&amp;watch=topic&amp;start=$start") . '"><img src="' . $images['Topic_watch'] . '" alt="' . $lang['Stop_watching_topic'] . '" title="' . $lang['Start_watching_topic'] . '" border="0"></a>' : '';
        }
}

//
// If we've got a hightlight set pass it on to pagination,
// I get annoyed when I lose my highlight after the first page.
//
$pagination = ( $highlight != '' ) ? generate_pagination("viewtopic.$phpEx?" . POST_TOPIC_URL . "=$topic_id&amp;postdays=$post_days&amp;postorder=$post_order&amp;highlight=$highlight", $total_replies, $board_config['posts_per_page'], $start) : generate_pagination("viewtopic.$phpEx?" . POST_TOPIC_URL . "=$topic_id&amp;postdays=$post_days&amp;postorder=$post_order", $total_replies, $board_config['posts_per_page'], $start);
//
// Start Thank Post by User Mod
//

// Set to 1 to use pop-ups instead of using the same window
$popup_enabled = 0;

if ($popup_enabled == 1) {

$thanks_javascript ='<SCRIPT LANGUAGE="JavaScript">
<!-- Begin
function popUp(URL) {
day = new Date();
id = day.getTime();
eval("page" + id + " = window.open(URL, \'" + id + "\', \'toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=1,width=400,height=225\');");
}
// End -->
</script>';
}

//
// End Thank Post by User Mod
//
$current_page = get_page($total_replies, $board_config['posts_per_page'], $start);
//
// Send vars to template
//
$template->assign_vars(array(
        'THANKS_JAVASCRIPT' => $thanks_javascript,
        'FORUM_ID' => $forum_id,
    'FORUM_NAME' => $forum_name,
    'TOPIC_ID' => $topic_id,
    'TOPIC_TITLE' => $topic_title,
        'PAGINATION' => $pagination,
        'PAGE_NUMBER' => sprintf($lang['Page_of'], ( floor( $start / intval($board_config['posts_per_page']) ) + 1 ), ceil( $total_replies / intval($board_config['posts_per_page']) )),
         "PAGE_TITLE" => $page_title,
        'POST_IMG' => $post_img,
        'REPLY_IMG' => $reply_img,
        'THANK_IMG' => $thank_img,
         //// Print
        'L_PRINT' => ($lang['Print_View']) ? $lang['Print_View'] : 'Printable version',
        'U_PRINT' => append_sid("printview.$phpEx?" . POST_TOPIC_URL . "=$topic_id&amp;start=$start"),
         //// Print

        'L_AUTHOR' => $lang['Author'],
        'L_MESSAGE' => $lang['Message'],
        'L_POSTED' => $lang['Posted'],
        'L_POST_SUBJECT' => $lang['Post_subject'],
        'L_VIEW_NEXT_TOPIC' => $lang['View_next_topic'],
        'L_VIEW_PREVIOUS_TOPIC' => $lang['View_previous_topic'],
        'L_POST_NEW_TOPIC' => $post_alt,
        'L_POST_REPLY_TOPIC' => $reply_alt,
        'L_BACK_TO_TOP' => $lang['Back_to_top'],
        'L_DISPLAY_POSTS' => $lang['Display_posts'],
        'L_LOCK_TOPIC' => $lang['Lock_topic'],
        'L_UNLOCK_TOPIC' => $lang['Unlock_topic'],
        'L_MOVE_TOPIC' => $lang['Move_topic'],
        'L_SPLIT_TOPIC' => $lang['Split_topic'],
        'L_DELETE_TOPIC' => $lang['Delete_topic'],
        'L_GOTO_PAGE' => $lang['Goto_page'],

        'S_TOPIC_LINK' => POST_TOPIC_URL,
        'S_SELECT_POST_DAYS' => $select_post_days,
        'S_SELECT_POST_ORDER' => $select_post_order,
        'S_POST_DAYS_ACTION' => append_sid("viewtopic.$phpEx?" . POST_TOPIC_URL . '=' . $topic_id . "&amp;start=$start"),
        'S_AUTH_LIST' => $s_auth_can,
        'S_TOPIC_ADMIN' => $topic_mod,
        'S_WATCH_TOPIC' => $s_watching_topic,
        'S_WATCH_TOPIC_IMG' => $s_watching_topic_img,

        'U_VIEW_TOPIC' => append_sid("viewtopic.$phpEx?" . POST_TOPIC_URL . "=$topic_id&amp;start=$start&amp;postdays=$post_days&amp;postorder=$post_order&amp;highlight=$highlight"),
        'U_VIEW_FORUM' => $view_forum_url,
        'U_VIEW_OLDER_TOPIC' => $view_prev_topic_url,
        'U_VIEW_NEWER_TOPIC' => $view_next_topic_url,
        'U_POST_NEW_TOPIC' => $new_topic_url,
        'U_POST_REPLY_TOPIC' => $reply_topic_url)
);

//
// Does this topic contain a poll?
//
if ( !empty($forum_topic_data['topic_vote']) )
{
        $s_hidden_fields = '';

        $sql = "SELECT vd.vote_id, vd.vote_text, vd.vote_start, vd.vote_length, vr.vote_option_id, vr.vote_option_text, vr.vote_result
                FROM " . VOTE_DESC_TABLE . " vd, " . VOTE_RESULTS_TABLE . " vr
                WHERE vd.topic_id = '$topic_id'
                        AND vr.vote_id = vd.vote_id
                ORDER BY vr.vote_option_id ASC";
        if ( !($result = $db->sql_query($sql)) )
        {
                message_die(GENERAL_ERROR, "Could not obtain vote data for this topic", '', __LINE__, __FILE__, $sql);
        }

        if ( $vote_info = $db->sql_fetchrowset($result) )
        {
                $db->sql_freeresult($result);
                $vote_options = count($vote_info);

                $vote_id = $vote_info[0]['vote_id'];
                $vote_title = $vote_info[0]['vote_text'];

                $sql = "SELECT vote_id
                        FROM " . VOTE_USERS_TABLE . "
                        WHERE vote_id = '$vote_id'
                                AND vote_user_id = " . intval($userdata['user_id']);
                if ( !($result = $db->sql_query($sql)) )
                {
                        message_die(GENERAL_ERROR, "Could not obtain user vote data for this topic", '', __LINE__, __FILE__, $sql);
                }

                $user_voted = ( $row = $db->sql_fetchrow($result) ) ? TRUE : 0;
                $db->sql_freeresult($result);

                if ( isset($HTTP_GET_VARS['vote']) || isset($HTTP_POST_VARS['vote']) )
                {
                        $view_result = ( ( ( isset($HTTP_GET_VARS['vote']) ) ? $HTTP_GET_VARS['vote'] : $HTTP_POST_VARS['vote'] ) == 'viewresult' ) ? TRUE : 0;
                }
                else
                {
                        $view_result = 0;
                }

                $poll_expired = ( $vote_info[0]['vote_length'] ) ? ( ( $vote_info[0]['vote_start'] + $vote_info[0]['vote_length'] < time() ) ? TRUE : 0 ) : 0;

                if ( $user_voted || $view_result || $poll_expired || !$is_auth['auth_vote'] || $forum_topic_data['topic_status'] == TOPIC_LOCKED )
                {
                        $template->set_filenames(array(
                                'pollbox' => 'viewtopic_poll_result.tpl')
                        );

                        $vote_results_sum = 0;

                        for($i = 0; $i < $vote_options; $i++)
                        {
                                $vote_results_sum += $vote_info[$i]['vote_result'];
                        }

                        $vote_graphic = 0;
                        $vote_graphic_max = count($images['voting_graphic']);

                        for($i = 0; $i < $vote_options; $i++)
                        {
                                $vote_percent = ( $vote_results_sum > 0 ) ? $vote_info[$i]['vote_result'] / $vote_results_sum : 0;
                                $vote_graphic_length = round($vote_percent * $board_config['vote_graphic_length']);

                                $vote_graphic_img = $images['voting_graphic'][$vote_graphic];
                                $vote_graphic = ($vote_graphic < $vote_graphic_max - 1) ? $vote_graphic + 1 : 0;

                                if ( count($orig_word) )
                                {
                                        $vote_info[$i]['vote_option_text'] = preg_replace($orig_word, $replacement_word, $vote_info[$i]['vote_option_text']);
                                }

                                $template->assign_block_vars("poll_option", array(
                                        'POLL_OPTION_CAPTION' => $vote_info[$i]['vote_option_text'],
                                        'POLL_OPTION_RESULT' => $vote_info[$i]['vote_result'],
                                        'POLL_OPTION_PERCENT' => sprintf("%.1d%%", ($vote_percent * 100)),

                                        'POLL_OPTION_IMG' => $vote_graphic_img,
                                        'POLL_OPTION_IMG_WIDTH' => $vote_graphic_length)
                                );
                        }

                        $template->assign_vars(array(
                                'L_TOTAL_VOTES' => $lang['Total_votes'],
                                'TOTAL_VOTES' => $vote_results_sum)
                        );

                }
                else
                {
                        $template->set_filenames(array(
                                'pollbox' => 'viewtopic_poll_ballot.tpl')
                        );

                        for($i = 0; $i < $vote_options; $i++)
                        {
                                if ( count($orig_word) )
                                {
                                        $vote_info[$i]['vote_option_text'] = preg_replace($orig_word, $replacement_word, $vote_info[$i]['vote_option_text']);
                                }

                                $template->assign_block_vars("poll_option", array(
                                        'POLL_OPTION_ID' => $vote_info[$i]['vote_option_id'],
                                        'POLL_OPTION_CAPTION' => $vote_info[$i]['vote_option_text'])
                                );
                        }

                        $template->assign_vars(array(
                                'L_SUBMIT_VOTE' => $lang['Submit_vote'],
                                'L_VIEW_RESULTS' => $lang['View_results'],

                                'U_VIEW_RESULTS' => append_sid("viewtopic.$phpEx?" . POST_TOPIC_URL . "=$topic_id&amp;postdays=$post_days&amp;postorder=$post_order&amp;vote=viewresult"))
                        );

                        $s_hidden_fields = '<input type="hidden" name="topic_id" value="' . $topic_id . '" /><input type="hidden" name="mode" value="vote" />';
                }

                if ( count($orig_word) )
                {
                        $vote_title = preg_replace($orig_word, $replacement_word, $vote_title);
                }

                $s_hidden_fields .= '<input type="hidden" name="sid" value="' . $userdata['session_id'] . '" />';

                $template->assign_vars(array(
                        'POLL_QUESTION' => $vote_title,

                        'S_HIDDEN_FIELDS' => $s_hidden_fields,
                        'S_POLL_ACTION' => append_sid("posting.$phpEx?mode=vote&amp;" . POST_TOPIC_URL . "=$topic_id"))
                );

                $template->assign_var_from_handle('POLL_DISPLAY', 'pollbox');
        }
}
init_display_post_attachments($forum_topic_data['topic_attachment']);
//
// Update the topic view counter
//
$sql = "UPDATE " . TOPICS_TABLE . "
        SET topic_views = topic_views + 1
        WHERE topic_id = '$topic_id'";
if ( !$db->sql_query($sql) )
{
        message_die(GENERAL_ERROR, "Could not update topic views.", '', __LINE__, __FILE__, $sql);
}
// Begin Thanks Mod
//
// Get topic thanks
//
if ($show_thanks == FORUM_THANKABLE)
{
	// Select Format for the date
   $timeformat = "d-m, G:i";
   $sql = "SELECT u.user_id, u.username, t.thanks_time
         FROM " . THANKS_TABLE . " t, " . USERS_TABLE . " u
         WHERE topic_id = $topic_id
         AND t.user_id = u.user_id";
   if ( !($result = $db->sql_query($sql)) )
   {
	message_die(GENERAL_ERROR, "Could not obtain thanks information", '', __LINE__, __FILE__, $sql);
   }
   $total_thank = $db->sql_numrows($result);
   $thanksrow = array();
   if ($fil = $db->sql_fetchrow($result))
   {
      do
      {
         $thanksrow[] = $fil;
      }
      while ($fil = $db->sql_fetchrow($result));
   }
   for($i = 0; $i < $total_thank; $i++)
   {
      $topic_thanks = $db->sql_fetchrow($result);
      $thanker_id[$i] = $thanksrow[$i]['user_id'];
      $thanker_name[$i] = $thanksrow[$i]['username'];
      $thanks_date[$i] = $thanksrow[$i]['thanks_time'];

      // Get thanks date
      $thanks_date[$i] = create_date($timeformat, $thanks_date[$i], $board_config['board_timezone']);

      // Make thanker profile link
      $thanker_profile[$i] = append_sid("profile.$phpEx?mode=viewprofile&u=$thanker_id[$i]");   
      $thanks .= '<a href="' .$thanker_profile[$i] . '">' . $thanker_name[$i] . '</a>(' . $thanks_date[$i] . '), ';
   }

	$sql = "SELECT u.topic_poster, t.user_id, t.username
			FROM " . TOPICS_TABLE . " u, " . USERS_TABLE . " t
			WHERE topic_id = $topic_id
			AND u.topic_poster = t.user_id";

	if ( !($result = $db->sql_query($sql)) )
	{
		message_die(GENERAL_ERROR, "Could not obtain user information", '', __LINE__, __FILE__, $sql);
	}
	$autor = array();
	if ($fil = $db->sql_fetchrow($result))
    {
      do
      {
         $autor[] = $fil;
      }
      while ($fil = $db->sql_fetchrow($result));
    }
	for($i = 0; $i < 1; $i++)
    {
	  $autor_name = $autor[0]['username'];
    }
//	$thanks .= "".$lang['thanks_to']." $autor_name ".$lang['thanks_end']."";
}
// End Thanks Mod

//
// Okay, let's do the loop, yeah come on baby let's do the loop
// and it goes like this ...
//
for($i = 0; $i < $total_posts; $i++)
{
        $poster_id = $postrow[$i]['user_id'];
        $poster = ( $poster_id == ANONYMOUS ) ? $lang['Guest'] : $postrow[$i]['username'];

        $post_date = create_date($board_config['default_dateformat'], $postrow[$i]['post_time'], $board_config['board_timezone']);

        $poster_posts = ( $postrow[$i]['user_id'] != ANONYMOUS ) ? $lang['Posts'] . ': ' . $postrow[$i]['user_posts'] : '';

        $poster_points = ( $postrow[$i]['user_id'] != ANONYMOUS ) ? $lang['points'] . ': ' . $postrow[$i]['points'] : '';

        $poster_from = ( $postrow[$i]['user_from'] && $postrow[$i]['user_id'] != ANONYMOUS ) ? $lang['Location'] . ': ' . $postrow[$i]['user_from'] : '';
        $poster_from = ereg_replace(".gif", "", $poster_from);
       // $poster_joined = ( $postrow[$i]['user_id'] != ANONYMOUS ) ? $lang['Joined'] . ': ' . $postrow[$i]['user_regdate'] : '';
                #########################      Start Farsi Date For MTNUKE
                $poster_joined = $postrow[$i]['user_regdate'];
                $year2 = substr($poster_joined,8,4);
		$monthname = substr($poster_joined,0,3);
		$day = substr($poster_joined,4,2);
		switch($monthname){
                case "Jan";
                $month = "01";
                break;
                case "Feb";
                $month = "02";
                break;
                case "Mar";
                $month = "03";
                break;
                case "Apr";
                $month = "04";
                break;
                case "May";
                $month = "05";
                break;
                case "Jun";
                $month = 06;
                break;
                case "Jul";
                $month = "07";
                break;
                case "Aug";
                $month = "08";
                break;
                case "Sep";
                $month = "09";
                break;
                case "Oct";
                $month = "10";
                break;
                case "Nov";
                $month = "11";
                break;
                case "Dec";
                $month = "12";
                break;
                }
                $mdate = $year2 . "-" . $month . "-" . $day;
                $poster_joined = FormalDate2Hejri1($mdate,1,4);
                #########################      Start Farsi Date For MTNUKE
	$poster_avatar = '';
	if ( $postrow[$i]['user_avatar_type'] && $poster_id != ANONYMOUS && $postrow[$i]['user_allowavatar'] )
	{
		switch( $postrow[$i]['user_avatar_type'] )
		{
			case USER_AVATAR_UPLOAD:
				$poster_avatar = ( $board_config['allow_avatar_upload'] ) ? '<img src="' . $board_config['avatar_path'] . '/' . $postrow[$i]['user_avatar'] . '" alt="" border="0" />' : '';
				break;
			case USER_AVATAR_REMOTE:
				$poster_avatar = ( $board_config['allow_avatar_remote'] ) ? '<img src="' . $postrow[$i]['user_avatar'] . '" alt="" border="0" />' : '';
				break;
			case USER_AVATAR_GALLERY:
				$poster_avatar = ( $board_config['allow_avatar_local'] ) ? '<img src="' . $board_config['avatar_gallery_path'] . '/' . $postrow[$i]['user_avatar'] . '" alt="" border="0" />' : '';
				break;
		}
	}
        $images['default_avatar'] = "modules/Forums/images/avatars/gallery/blank.gif";
        $images['guest_avatar'] = "modules/Forums/images/avatars/gallery/blank.gif";
        //
        // Default Avatar MOD - Begin
        //
        if ( empty($poster_avatar) && $poster_id != ANONYMOUS)
        {
                $poster_avatar = '<img src="'.  $images['default_avatar'] .'" alt="" border="0" />';
        }
        if ( $poster_id == ANONYMOUS )
        {
                $poster_avatar = '<img src="'.  $images['guest_avatar'] .'" alt="" border="0" />';
        }
        //
        // Default Avatar MOD - End
        //
        //
        // Define the little post icon
        //
        if ( $userdata['session_logged_in'] && $postrow[$i]['post_time'] > $userdata['user_lastvisit'] && $postrow[$i]['post_time'] > $topic_last_read )
        {
                $mini_post_img = $images['icon_minipost_new'];
                $mini_post_alt = $lang['New_post'];
        }
        else
        {
                $mini_post_img = $images['icon_minipost'];
                $mini_post_alt = $lang['Post'];
        }

        $mini_post_url = append_sid("viewtopic.$phpEx?" . POST_POST_URL . '=' . $postrow[$i]['post_id']) . '#' . $postrow[$i]['post_id'];

        //
        // Generate ranks, set them to empty string initially.
        //
        $poster_rank = '';
        $rank_image = '';
        if ( $postrow[$i]['user_id'] == ANONYMOUS )
        {
        }
        else if ( $postrow[$i]['user_rank'] )
        {
                for($j = 0; $j < count($ranksrow); $j++)
                {
                        if ( $postrow[$i]['user_rank'] == $ranksrow[$j]['rank_id'] && $ranksrow[$j]['rank_special'] )
                        {
                                $poster_rank = $ranksrow[$j]['rank_title'];
                                $rank_image = ( $ranksrow[$j]['rank_image'] ) ? '<img src="' . $ranksrow[$j]['rank_image'] . '" alt="' . $poster_rank . '" title="' . $poster_rank . '" border="0" /><br />' : '';
                        }
                }
        }
        else
        {
                for($j = 0; $j < count($ranksrow); $j++)
                {
                        if ( $postrow[$i]['user_posts'] >= $ranksrow[$j]['rank_min'] && !$ranksrow[$j]['rank_special'] )
                        {
                                $poster_rank = $ranksrow[$j]['rank_title'];
                                $rank_image = ( $ranksrow[$j]['rank_image'] ) ? '<img src="' . $ranksrow[$j]['rank_image'] . '" alt="' . $poster_rank . '" title="' . $poster_rank . '" border="0" /><br />' : '';
                        }
                }
        }

        //
        // Handle anon users posting with usernames
        //
        if ( $poster_id == ANONYMOUS && $postrow[$i]['post_username'] != '' )
        {
                $poster = $postrow[$i]['post_username'];
                $poster_rank = $lang['Guest'];
        }

        $temp_url = '';

        if ( $poster_id != ANONYMOUS )
        {
                $temp_url = append_sid("profile.$phpEx?mode=viewprofile&amp;" . POST_USERS_URL . "=$poster_id");
                $profile_img = '<a href="' . $temp_url . '"><img src="' . $images['icon_profile'] . '" alt="' . $lang['Read_profile'] . '" title="' . $lang['Read_profile'] . '" border="0" /></a>';
                $profile = '<a href="' . $temp_url . '">' . $lang['Read_profile'] . '</a>';

                $temp_url = append_sid("privmsg.$phpEx?mode=post&amp;" . POST_USERS_URL . "=$poster_id");
                if (is_active("Private_Messages")) {
                $pm_img = '<a href="' . $temp_url . '"><img src="' . $images['icon_pm'] . '" alt="' . $lang['Send_private_message'] . '" title="' . $lang['Send_private_message'] . '" border="0" /></a>';
                $pm = '<a href="' . $temp_url . '">' . $lang['Send_private_message'] . '</a>';
                $temp_url_profile = append_sid("profile.$phpEx?mode=viewprofile&amp;" . POST_USERS_URL . "=$poster_id");
                $vb_menu_profile = '<a class="vbm" href="' . $temp_url_profile . '">&nbsp;<img src="' . $images['vb_menu_profile'] . '" border="0" />&nbsp;' . $lang['vb_menu_l_profile'] . '</a>';
                 $temp_url_menu = append_sid("privmsg.$phpEx?mode=post&amp;" . POST_USERS_URL . "=$poster_id");
                $vb_menu_pm = '<a class="vbm" href="' . $temp_url_menu . '">&nbsp;<img src="' . $images['vb_menu_pm'] . '" border="0" />&nbsp;' . $lang['vb_menu_l_pm'] . '&nbsp;' . $postrow[$i]['username'] . '&nbsp;</a>';
                $vb_menu_search = '<a class="vbm" href="modules.php?name=Forums&file=search&search_author=' . $poster . '">&nbsp;<img src="' . $images['vb_menu_search'] . '" border="0" />&nbsp;' . $lang['vb_menu_l_search'] . '&nbsp;' . $postrow[$i]['username'] . '</a>';
                $vb_menu_www = ( $postrow[$i]['user_website'] ) ? '<a class="vbm" href="' . $postrow[$i]['user_website'] . '" target="_userwww">&nbsp;<img src="' . $images['vb_menu_www'] . '" border="0" />&nbsp;' . $lang['vb_menu_l_www1'] . '&nbsp;' . $postrow[$i]['username'] . '`s&nbsp;' . $lang['vb_menu_l_www2'] . '!</a>' : '';
                //$vb_menu_album = '<a class="vbm" href="album.php?user_id=' . $poster_id . '&mode=list">&nbsp;<img src="' . $images['vb_menu_album'] . '" border="0" />&nbsp;' . $lang['vb_menu_l_album'] . '&nbsp;' . $postrow[$i]['username'] . '</a>';
               $vb_menu_id = $poster_id;
                }

                if ( !empty($postrow[$i]['user_viewemail']) || $is_auth['auth_mod'] )
                {
                        $email_uri = ( $board_config['board_email_form'] ) ? append_sid("profile.$phpEx?mode=email&amp;" . POST_USERS_URL .'=' . $poster_id) : 'mailto:' . $postrow[$i]['user_email'];

                        $email_img = '<a href="' . $email_uri . '"><img src="' . $images['icon_email'] . '" alt="' . $lang['Send_email'] . '" title="' . $lang['Send_email'] . '" border="0" /></a>';
                        $email = '<a href="' . $email_uri . '">' . $lang['Send_email'] . '</a>';
                        $vb_menu_email = '<a class="vbm" href="' . $email_uri . '">&nbsp;<img src="' . $images['vb_menu_email'] . '" border="0" />&nbsp;' . $lang['vb_menu_l_email'] . '&nbsp;' . $postrow[$i]['username'] . '</a>';

                }
                else
                {
                        $email_img = '';
                        $email = '';
                        $vb_menu_email = '';
                }
                if (( $postrow[$i]['user_website'] == "http:///") || ( $postrow[$i]['user_website'] == "http://")){
                    $postrow[$i]['user_website'] =  "";
                }
                if (($postrow[$i]['user_website'] != "" ) && (substr($postrow[$i]['user_website'],0, 7) != "http://")) {
                    $postrow[$i]['user_website'] = "http://".$postrow[$i]['user_website'];
                }

                $www_img = ( $postrow[$i]['user_website'] ) ? '<a href="' . $postrow[$i]['user_website'] . '" target="_userwww"><img src="' . $images['icon_www'] . '" alt="' . $lang['Visit_website'] . '" title="' . $lang['Visit_website'] . '" border="0" /></a>' : '';
                $www = ( $postrow[$i]['user_website'] ) ? '<a href="' . $postrow[$i]['user_website'] . '" target="_userwww">' . $lang['Visit_website'] . '</a>' : '';

                if ( !empty($postrow[$i]['user_icq']) )
                {
                        $icq_status_img = '<a href="http://wwp.icq.com/' . $postrow[$i]['user_icq'] . '#pager"><img src="http://web.icq.com/whitepages/online?icq=' . $postrow[$i]['user_icq'] . '&img=5" width="18" height="18" border="0" /></a>';
                        $icq_img = '<a href="http://wwp.icq.com/scripts/search.dll?to=' . $postrow[$i]['user_icq'] . '"><img src="' . $images['icon_icq'] . '" alt="' . $lang['ICQ'] . '" title="' . $lang['ICQ'] . '" border="0" /></a>';
                        $icq =  '<a href="http://wwp.icq.com/scripts/search.dll?to=' . $postrow[$i]['user_icq'] . '">' . $lang['ICQ'] . '</a>';
                }
                else
                {
                        $icq_status_img = '';
                        $icq_img = '';
                        $icq = '';
                }

                $aim_img = ( $postrow[$i]['user_aim'] ) ? '<a href="aim:goim?screenname=' . $postrow[$i]['user_aim'] . '&amp;message=Hello+Are+you+there?"><img src="' . $images['icon_aim'] . '" alt="' . $lang['AIM'] . '" title="' . $lang['AIM'] . '" border="0" /></a>' : '';
                $aim = ( $postrow[$i]['user_aim'] ) ? '<a href="aim:goim?screenname=' . $postrow[$i]['user_aim'] . '&amp;message=Hello+Are+you+there?">' . $lang['AIM'] . '</a>' : '';

                $temp_url = append_sid("profile.$phpEx?mode=viewprofile&amp;" . POST_USERS_URL . "=$poster_id");
                $msn_img = ( $postrow[$i]['user_msnm'] ) ? '<a href="' . $temp_url . '"><img src="' . $images['icon_msnm'] . '" alt="' . $lang['MSNM'] . '" title="' . $lang['MSNM'] . '" border="0" /></a>' : '';
                $msn = ( $postrow[$i]['user_msnm'] ) ? '<a href="' . $temp_url . '">' . $lang['MSNM'] . '</a>' : '';

                $yim_img = ( $postrow[$i]['user_yim'] ) ? '<a href="http://edit.yahoo.com/config/send_webmesg?.target=' . $postrow[$i]['user_yim'] . '&amp;.src=pg"><img src="' . $images['icon_yim'] . '" alt="' . $lang['YIM'] . '" title="' . $lang['YIM'] . '" border="0" /></a>' : '';
                $yim = ( $postrow[$i]['user_yim'] ) ? '<a href="http://edit.yahoo.com/config/send_webmesg?.target=' . $postrow[$i]['user_yim'] . '&amp;.src=pg">' . $lang['YIM'] . '</a>' : '';
        }
        else
        {
                $profile_img = '';
                $profile = '';
                $pm_img = '';
                $pm = '';
                $email_img = '';
                $email = '';
                $www_img = '';
                $www = '';
                $icq_status_img = '';
                $icq_img = '';
                $icq = '';
                $aim_img = '';
                $aim = '';
                $msn_img = '';
                $msn = '';
                $yim_img = '';
                $yim = '';
                $vb_menu_profile = '';
		$vb_menu_pm = '';
		$vb_menu_search = '';
		$vb_menu_email = '';
		$vb_menu_www = '';
		//$vb_menu_album = '';
        }

        $temp_url = append_sid("posting.$phpEx?mode=quote&amp;" . POST_POST_URL . "=" . $postrow[$i]['post_id']);
        $quote_img = '<a href="' . $temp_url . '"><img src="' . $images['icon_quote'] . '" alt="' . $lang['Reply_with_quote'] . '" title="' . $lang['Reply_with_quote'] . '" border="0" /></a>';
        $quote = '<a href="' . $temp_url . '">' . $lang['Reply_with_quote'] . '</a>';

        $temp_url = append_sid("search.$phpEx?search_author=" . urlencode($postrow[$i]['username']) . "&amp;showresults=posts");
	$search_img = '<a href="' . $temp_url . '"><img src="' . $images['icon_search'] . '" alt="' . sprintf($lang['Search_user_posts'], $postrow[$i]['username']) . '" title="' . sprintf($lang['Search_user_posts'], $postrow[$i]['username']) . '" border="0" /></a>';
	$search = '<a href="' . $temp_url . '">' . sprintf($lang['Search_user_posts'], $postrow[$i]['username']) . '</a>';
         //
        // Start Thank Post by User Mod
        //

        $thanks_img = '';

        if ( ($userdata['session_logged_in']) && ($userdata['user_id'] != $poster_id) ) {

           // Posts SQL
           $sql = "SELECT thanks_from_user_id
                   FROM " . POSTS_TABLE . "
                   WHERE post_id = " . $postrow[$i]['post_id'];

           if ( !($result = $db->sql_query($sql)) ) {
              message_die(GENERAL_ERROR, "Could not obtain post information", '', __LINE__, __FILE__, $sql);
           }

           $post_row = $db->sql_fetchrow($result);
           $db->sql_freeresult($result);

           $already_thanked = 0;

           if ($post_row['thanks_from_user_id'] != null) {

              $thanked_users = explode("|",$post_row['thanks_from_user_id']);
              $thanked_count = count($thanked_users);

              // Loop through all users who thanked the post
              for ($x = 0; $x < $thanked_count; $x++) {
                 if ($thanked_users[$x] == $userdata['user_id']) {
                    $already_thanked = 1;
                 }
              }
           }

           // If the user hasn't thanked this post
           if ($already_thanked == 0) {
              $temp_url = append_sid("thanks.$phpEx?p=" . $postrow[$i]['post_id']);
              if ($popup_enabled == 1) {
                 $thanks_img = '<a href="javascript:popUp(\'' . $temp_url . '\')"><img src="' . $images['icon_thank'] . '" alt="' . $lang['Thanks_text'] . '" title="' . $lang['Thanks_text'] . '" border="0" /></a>';
              }
              else {
                 $thanks_img = '<a href="' . $temp_url . '"><img src="' . $images['icon_thank'] . '" alt="' . $lang['Thanks_text'] . '" title="' . $lang['Thanks_text'] . '" border="0" /></a>';
              }
           }
        }

        //
        // End Thank Post by User Mod
        //

        if ( ( $userdata['user_id'] == $poster_id && $is_auth['auth_edit'] ) || $is_auth['auth_mod'] )
        {
                $temp_url = append_sid("posting.$phpEx?mode=editpost&amp;" . POST_POST_URL . "=" . $postrow[$i]['post_id']);
                $edit_img = '<a href="' . $temp_url . '"><img src="' . $images['icon_edit'] . '" alt="' . $lang['Edit_delete_post'] . '" title="' . $lang['Edit_delete_post'] . '" border="0" /></a>';
                $edit = '<a href="' . $temp_url . '">' . $lang['Edit_delete_post'] . '</a>';
        }
        else
        {
                $edit_img = '';
                $edit = '';
        }

        if ( $is_auth['auth_mod'] )
        {
                $temp_url = append_sid("modcp.$phpEx?mode=ip&amp;" . POST_POST_URL . "=" . $postrow[$i]['post_id'] . "&amp;" . POST_TOPIC_URL . "=" . $topic_id);
                $ip_img = '<a href="' . $temp_url . '"><img src="' . $images['icon_ip'] . '" alt="' . $lang['View_IP'] . '" title="' . $lang['View_IP'] . '" border="0" /></a>';
                $ip = '<a href="' . $temp_url . '">' . $lang['View_IP'] . '</a>';

                $temp_url = append_sid("posting.$phpEx?mode=delete&amp;" . POST_POST_URL . "=" . $postrow[$i]['post_id']);
                $delpost_img = '<a href="' . $temp_url . '"><img src="' . $images['icon_delpost'] . '" alt="' . $lang['Delete_post'] . '" title="' . $lang['Delete_post'] . '" border="0" /></a>';
                $delpost = '<a href="' . $temp_url . '">' . $lang['Delete_post'] . '</a>';
        }
        else
        {
                $ip_img = '';
                $ip = '';

                if ( $userdata['user_id'] == $poster_id && $is_auth['auth_delete'] && $forum_topic_data['topic_last_post_id'] == $postrow[$i]['post_id'] )
                {
                        $temp_url = append_sid("posting.$phpEx?mode=delete&amp;" . POST_POST_URL . "=" . $postrow[$i]['post_id']);
                        $delpost_img = '<a href="' . $temp_url . '"><img src="' . $images['icon_delpost'] . '" alt="' . $lang['Delete_post'] . '" title="' . $lang['Delete_post'] . '" border="0" /></a>';
                        $delpost = '<a href="' . $temp_url . '">' . $lang['Delete_post'] . '</a>';
                }
                else
                {
                        $delpost_img = '';
                        $delpost = '';
                }
        }

        $post_subject = ( $postrow[$i]['post_subject'] != '' ) ? $postrow[$i]['post_subject'] : '';

        $message = $postrow[$i]['post_text'];
        $bbcode_uid = $postrow[$i]['bbcode_uid'];

        $user_sig = ( $postrow[$i]['enable_sig'] && $postrow[$i]['user_sig'] != '' && $board_config['allow_sig'] ) ? $postrow[$i]['user_sig'] : '';
        $user_sig_bbcode_uid = $postrow[$i]['user_sig_bbcode_uid'];

        //
        // Note! The order used for parsing the message _is_ important, moving things around could break any
        // output
        //

        //
        // If the board has HTML off but the post has HTML
        // on then we process it, else leave it alone
        //
	if ( !$board_config['allow_html'] || !$userdata['user_allowhtml'])
        {
                if ( $user_sig != '' )
                {
                        $user_sig = preg_replace('#(<)([\/]?.*?)(>)#is', "&lt;\\2&gt;", $user_sig);
                }

                if ( $postrow[$i]['enable_html'] )
                {
                        $message = preg_replace('#(<)([\/]?.*?)(>)#is', "&lt;\\2&gt;", $message);
                }
        }

        //
        // Parse message and/or sig for BBCode if reqd
        //
	if ($user_sig != '' && $user_sig_bbcode_uid != '')
	{
		$user_sig = ($board_config['allow_bbcode']) ? bbencode_second_pass($user_sig, $user_sig_bbcode_uid) : preg_replace("/\:$user_sig_bbcode_uid/si", '', $user_sig);
	}

	if ($bbcode_uid != '')
	{
		$message = ($board_config['allow_bbcode']) ? bbencode_second_pass($message, $bbcode_uid) : preg_replace("/\:$bbcode_uid/si", '', $message);
	}

        if ( $user_sig != '' )
        {
                $user_sig = make_clickable($user_sig);
        }
        $message = make_clickable($message);

        //
        // Parse smilies
        //
        if ( $board_config['allow_smilies'] )
        {
                if ( $postrow[$i]['user_allowsmile'] && $user_sig != '' )
                {
                        $user_sig = smilies_pass($user_sig);
                }

                if ( $postrow[$i]['enable_smilies'] )
                {
                        $message = smilies_pass($message);
                }
        }

        //
        // Highlight active words (primarily for search)
        //
        if ($highlight_match)
        {
		// This has been back-ported from 3.0 CVS
		$message = preg_replace('#(?!<.*)(?<!\w)(' . $highlight_match . ')(?!\w|[^<>]*>)#i', '<b style="color:#'.$theme['fontcolor3'].'">\1</b>', $message);
        }

        //
        // Replace naughty words
        //
        if (count($orig_word))
        {
                $post_subject = preg_replace($orig_word, $replacement_word, $post_subject);

                if ($user_sig != '')
                {
			$user_sig = str_replace('\"', '"', substr(@preg_replace('#(\>(((?>([^><]+|(?R)))*)\<))#se', "@preg_replace(\$orig_word, \$replacement_word, '\\0')", '>' . $user_sig . '<'), 1, -1));
                }

		$message = str_replace('\"', '"', substr(@preg_replace('#(\>(((?>([^><]+|(?R)))*)\<))#se', "@preg_replace(\$orig_word, \$replacement_word, '\\0')", '>' . $message . '<'), 1, -1));
        }

        //
        // Replace newlines (we use this rather than nl2br because
        // till recently it wasn't XHTML compliant)
        //
        if ( $user_sig != '' )
        {
                $user_sig = '<br />_________________<br />' . str_replace("\n", "\n<br />\n", $user_sig);
        }

        $message = str_replace("\n", "\n<br />\n", $message);

        //
        // Editing information
        //
        if ( $postrow[$i]['post_edit_count'] )
        {
                $l_edit_time_total = ( $postrow[$i]['post_edit_count'] == 1 ) ? $lang['Edited_time_total'] : $lang['Edited_times_total'];

                $l_edited_by = '<br /><br />' . sprintf($l_edit_time_total, $poster, create_date($board_config['default_dateformat'], $postrow[$i]['post_edit_time'], $board_config['board_timezone']), $postrow[$i]['post_edit_count']);
        }
        else
        {
                $l_edited_by = '';
        }

        //
        // Again this will be handled by the templating
        // code at some point
        //
        $row_color = ( !($i % 2) ) ? $theme['td_color1'] : $theme['td_color2'];
        $row_class = ( !($i % 2) ) ? $theme['td_class1'] : $theme['td_class2'];
         //User Online Hack
        if($postrow[$i]['user_session_time'] >= (time()-60)){
        if($postrow[$i]['user_allow_viewonline']){
        $status = '<b><a href="modules.php?name=Forums&file=viewonline">آنلاين</a></b>';
        }else{
        $status = "آفلاين";
        }
        }else{
        $status = "آفلاين";
       }
       //
        // Start Thank Post by User Mod
        //

        // If the user isn't anonymous
        if ($postrow[$i]['user_id'] != ANONYMOUS) {

           // From Users SQL
           $sql = "SELECT user_posts, user_thanks_given, user_thanks_received
                   FROM " . USERS_TABLE . "
                   WHERE user_id = " . $postrow[$i]['user_id'];

           if ( !($result = $db->sql_query($sql)) ) {
              message_die(GENERAL_ERROR, "Could not obtain user information", '', __LINE__, __FILE__, $sql);
           }

           $user_row = $db->sql_fetchrow($result);
           $db->sql_freeresult($result);

           // Thanked Posts SQL
           $sql = "SELECT COUNT(thanks_count) AS thanks_count
                   FROM " . POSTS_TABLE . "
                   WHERE poster_id = " . $postrow[$i]['user_id'] . "
                   AND thanks_count <> 0";

           if ( !($result = $db->sql_query($sql)) ) {
              message_die(GENERAL_ERROR, "Could not obtain posts information", '', __LINE__, __FILE__, $sql);
           }

           $thanked_post_count = $db->sql_fetchrow($result);
           $db->sql_freeresult($result);

           $thanks_given = $lang['Thanks_thanks'] . ': ' . $user_row['user_thanks_given'];
           $thanks_received = $lang['Thanks_thanked_1'] . ' ' . $user_row['user_thanks_received'] . ' ' . $lang['Thanks_thanked_2'] . ' ' . $thanked_post_count['thanks_count'] . ' ' . $lang['Thanks_thanked_3'];

        }
        else {
           $thanks_given = "";
           $thanks_received = "";
        }

        //
        // End Thank Post by User Mod
        //

	//
        // Start Thank Post by User Mod
        //
       

        if ($postrow[$i]['thanks_count'] >= 1) {
          $thanked_by_text1 = $lang['Thanks_thanked_by1'];
          $thanked_by_text2 = $lang['Thanks_thanked_by2'];
          $thanked_by_text = "$thanked_by_text1 $poster $thanked_by_text2";
          $thanked_by = "";

          $thanked_users = explode("|",$postrow[$i]['thanks_from_user_id']);
          $thanked_count = $postrow[$i]['thanks_count'];

          // Loop through all users who thanked the post
          for ($x = 0; $x < $thanked_count; $x++) {

             // Users SQL
             $sql = "SELECT user_id, username
                     FROM " . USERS_TABLE . "
                     WHERE user_id = " . $thanked_users[$x];

             if ( !($result = $db->sql_query($sql)) ) {
                message_die(GENERAL_ERROR, "Could not obtain user information", '', __LINE__, __FILE__, $sql);
             }

             $user_row = $db->sql_fetchrow($result);
             $db->sql_freeresult($result);

             if ($x > 0) { $thanked_by .= ", "; }

             // Add user to thanked by list
             $temp_url = "modules.php?name=Forums&file=profile&mode=viewprofile&u=" . $user_row['user_id'];
             $thanked_by .= '<a href="' . $temp_url . '">' . $user_row['username'] . '</a>';
          }
        }
        elseif($postrow[$i]['thanks_count'] == 0) {
          $thanked_by_text = "";
          $thanked_by = $lang['Noone_thanked'];
          }

        //
        // End Thank Post by User Mod
        //
 
        $template->assign_block_vars('postrow', array(
                'ROW_COLOR' => '#' . $row_color,
                'ROW_CLASS' => $row_class,
                'POSTER_NAME' => $poster,
                'POSTER_RANK' => $poster_rank,
                'RANK_IMAGE' => $rank_image,
                'POSTER_JOINED' => $poster_joined,
                'POSTER_POSTS' => $poster_posts,
                'poster_points' => $poster_points,
                'POSTER_STATUS' => $status,
                'POSTER_FROM' => $poster_from,
                 'POSTER_THANKS_GIVEN' => $thanks_given,
                'POSTER_THANKS_RECEIVED' => $thanks_received,
		'THANKS_TEXT' => $thanked_by_text,
                'THANKS_USERS' => $thanked_by,
                'POSTER_AVATAR' => $poster_avatar,
                'POST_DATE' => $post_date,
                'POST_SUBJECT' => $post_subject,
                'MESSAGE' => $message,
                'SIGNATURE' => $user_sig,
                'EDITED_MESSAGE' => $l_edited_by,
                'VB_MENU_PROFILE' => $vb_menu_profile,
'VB_MENU_EMAIL' => $vb_menu_email,
'VB_MENU_PM' => $vb_menu_pm,
'VB_MENU_WWW' => $vb_menu_www,
'VB_MENU_SEARCH' => $vb_menu_search,
//'VB_MENU_ALBUM' => $vb_menu_album,
'VB_MENU_ID' => $vb_menu_id,
'VB_MENU_L_PROFILE' => $vb_menu_l_profile,
'VB_MENU_L_EMAIL' => $vb_menu_l_email,
'VB_MENU_L_PM' => $vb_menu_l_pm,
'VB_MENU_L_WWW1' => $vb_menu_l_www1,
'VB_MENU_L_WWW2' => $vb_menu_l_www2,
'VB_MENU_L_SEARCH' => $vb_menu_l_search,
//'VB_MENU_L_ALBUM' => $vb_menu_l_album,

                'MINI_POST_IMG' => $mini_post_img,
                'PROFILE_IMG' => $profile_img,
                'PROFILE' => $profile,
                'SEARCH_IMG' => $search_img,
                'SEARCH' => $search,
                'PM_IMG' => $pm_img,
                'PM' => $pm,
                'EMAIL_IMG' => $email_img,
                'EMAIL' => $email,
                'WWW_IMG' => $www_img,
                'WWW' => $www,
                'ICQ_STATUS_IMG' => $icq_status_img,
                'ICQ_IMG' => $icq_img,
                'ICQ' => $icq,
                'AIM_IMG' => $aim_img,
                'AIM' => $aim,
                'MSN_IMG' => $msn_img,
                'MSN' => $msn,
                'YIM_IMG' => $yim_img,
                'YIM' => $yim,
                'EDIT_IMG' => $edit_img,
                'EDIT' => $edit,
                'THANKS_IMG' => $thanks_img,
                'QUOTE_IMG' => $quote_img,
                'QUOTE' => $quote,
                'IP_IMG' => $ip_img,
                'IP' => $ip,
                'DELETE_IMG' => $delpost_img,
                'DELETE' => $delpost,

                'L_MINI_POST_ALT' => $mini_post_alt,

                'U_MINI_POST' => $mini_post_url,
                'U_POST_ID' => $postrow[$i]['post_id'])
        );
        	// Begin Thanks Mod
	if($show_thanks == FORUM_THANKABLE && $i == 0 && $current_page == 1)
	{
		$template->assign_block_vars('postrow.thanks', array(
		'THANKFUL' => $lang['thankful'],
		'THANKS' => $thanks
		)
		);

	}
	// End Thanks Mod
        display_post_attachments($postrow[$i]['post_id'], $postrow[$i]['post_attachment']);
}

 //
// Quick Reply Mod
//
if ( ((!$is_auth['auth_reply']) or ($forum_topic_data['forum_status'] == FORUM_LOCKED) or ($forum_topic_data['topic_status'] == TOPIC_LOCKED)) and ($userdata['user_level'] != ADMIN) )
{
	if(!($forum_topic_data['forum_status'] == FORUM_LOCKED) && !($forum_topic_data['topic_status'] == TOPIC_LOCKED)){
		$quick_reply_form = "<br>
				<center>
				<form action=\"modules.php?name=Your_Account\" method=\"post\">
				نام کاربري:&nbsp;<input type=\"text\" name=\"username\" size=\"15\" maxlength=\"25\">
				&nbsp;&nbsp;&nbsp;
				کلمه عبور:&nbsp;<input type=\"password\" name=\"user_password\" size=\"15\" maxlength=\"20\">
				&nbsp;&nbsp;&nbsp;
				<input type=\"submit\" value=\"ورود\">
				<input type=\"hidden\" name=\"redirect\" value=\"$PHP_SELF?".$_SERVER["argv"][0]."#".$_GET["p"]."\">
				<input type=\"hidden\" name=\"mode\" value=>
				<input type=\"hidden\" name=\"f\" value=>
				<input type=\"hidden\" name=\"t\" value=>
				<input type=\"hidden\" name=\"op\" value=\"login\">
				</form>
				<br>~ يا ~<br><a href=\"modules.php?name=Your_Account&op=new_user\">عضويت در سايت</a>
				</center>";
	}
	else{
		$quick_reply_form = "<center><br>پاسخ سريع در دسترس نميباشد</center>";
	}
}
else
{
	if ( $can_watch_topic && $is_watching_topic )
	{
		$notify = 1;
	}
	else
	{
		$notify = $userdata['user_notify'];
	}
	//$bbcode_uid = $postrow[$total_posts - 1]['bbcode_uid'];
	//$last_poster = $postrow[$total_posts - 1]['username'];
	//$last_msg = $postrow[$total_posts - 1]['post_text'];
	//$last_msg = str_replace(":1:$bbcode_uid", "", $last_msg);
	//$last_msg = str_replace(":u:$bbcode_uid", "", $last_msg);
	//$last_msg = str_replace(":o:$bbcode_uid", "", $last_msg);
	//$last_msg = str_replace(":$bbcode_uid", "", $last_msg);
	//$last_msg = str_replace("'", "&#39;", $last_msg);
	//$last_msg = "[QUOTE=\"$last_poster\"]" . $last_msg . "[/QUOTE]";
	$quick_reply_form = "
	<script language='JavaScript' type='text/javascript'>
		function checkForm() {
			formErrors = false;
			document.post.message.value = '';
			if (document.post.input.value.length < 2) {
				formErrors = '" . $lang['Empty_message'] . "';
			}
			if (formErrors) {
				alert(formErrors);
				return false;
			} else {
//				if (document.post.quick_quote.checked) {
//					document.post.message.value = document.post.last_msg.value;
//				}
				document.post.message.value += document.post.input.value;
				return true;
			}
		}
	</script>
	<br>
	<form action='".append_sid("posting.$phpEx")."' method='post' name='post' onsubmit='return checkForm(this)'>
	<span class='genmed'><center><b><big>".$lang["Quick_Reply"].":</big></b></center><hr width=\"95%\" align=\"center\">";



	$quick_reply_form .= "<script language=\"JavaScript\" type=\"text/javascript\">
		<!--
		// bbCode control by
		// subBlue design
		// www.subBlue.com
		
		// Startup variables
		var imageTag = false;
		var theSelection = false;
		
		// Check for Browser & Platform for PC & IE specific bits
		// More details from: http://www.mozilla.org/docs/web-developer/sniffer/browser_type.html
		var clientPC = navigator.userAgent.toLowerCase(); // Get client info
		var clientVer = parseInt(navigator.appVersion); // Get browser version
		
		var is_ie = ((clientPC.indexOf(\"msie\") != -1) && (clientPC.indexOf(\"opera\") == -1));
		var is_nav  = ((clientPC.indexOf('mozilla')!=-1) && (clientPC.indexOf('spoofer')==-1)
						&& (clientPC.indexOf('compatible') == -1) && (clientPC.indexOf('opera')==-1)
						&& (clientPC.indexOf('webtv')==-1) && (clientPC.indexOf('hotjava')==-1));
		
		var is_win   = ((clientPC.indexOf(\"win\")!=-1) || (clientPC.indexOf(\"16bit\") != -1));
		var is_mac    = (clientPC.indexOf(\"mac\")!=-1);
		
		// Define the bbCode tags
		bbcode = new Array();
		bbtags = new Array('[b]','[/b]','[i]','[/i]','[u]','[/u]','[quote]','[/quote]','[code]','[/code]','[list]','[/list]','[list=]','[/list]','[img]','[/img]','[url]','[/url]');
		imageTag = false;
		
		// Replacement for arrayname.length property
		function getarraysize(thearray) {
			for (i = 0; i < thearray.length; i++) {
				if ((thearray[i] == \"undefined\") || (thearray[i] == \"\") || (thearray[i] == null))
					return i;
				}
			return thearray.length;
		}
		
		// Replacement for arrayname.push(value) not implemented in IE until version 5.5
		// Appends element to the array
		function arraypush(thearray,value) {
			thearray[ getarraysize(thearray) ] = value;
		}
		
		// Replacement for arrayname.pop() not implemented in IE until version 5.5
		// Removes and returns the last element of an array
		function arraypop(thearray) {
			thearraysize = getarraysize(thearray);
			retval = thearray[thearraysize - 1];
			delete thearray[thearraysize - 1];
			return retval;
		}
		
		function emoticon(text) {
			text = ' ' + text + ' ';
			if (document.post.input.createTextRange && document.post.input.caretPos) {
				var caretPos = document.post.input.caretPos;
				caretPos.text = caretPos.text.charAt(caretPos.text.length - 1) == ' ' ? text + ' ' : text;
				document.post.input.focus();
			} else {
			document.post.input.value  += text;
			document.post.input.focus();
			}
		}
		
		function bbfontstyle(bbopen, bbclose) {
			if ((clientVer >= 4) && is_ie && is_win) {
				theSelection = document.selection.createRange().text;
				if (!theSelection) {
					document.post.input.value += bbopen + bbclose;
					document.post.input.focus();
					return;
				}
				document.selection.createRange().text = bbopen + theSelection + bbclose;
				document.post.input.focus();
				return;
			} else {
				document.post.input.value += bbopen + bbclose;
				document.post.input.focus();
				return;
			}
			storeCaret(document.post.input);
		}
		
		
		function bbstyle(bbnumber) {
		
			donotinsert = false;
			theSelection = false;
			bblast = 0;
		
			if (bbnumber == -1) { // Close all open tags & default button names
				while (bbcode[0]) {
					butnumber = arraypop(bbcode) - 1;
					document.post.input.value += bbtags[butnumber + 1];
					buttext = eval('document.post.addbbcode' + butnumber + '.value');
					eval('document.post.addbbcode' + butnumber + '.value =\"' + buttext.substr(0,(buttext.length - 1)) + '\"');
				}
				imageTag = false; // All tags are closed including image tags :D
				document.post.input.focus();
				return;
			}
		
			if ((clientVer >= 4) && is_ie && is_win)
				theSelection = document.selection.createRange().text; // Get text selection
		
			if (theSelection) {
				// Add tags around selection
				document.selection.createRange().text = bbtags[bbnumber] + theSelection + bbtags[bbnumber+1];
				document.post.input.focus();
				theSelection = '';
				return;
			}
		
			// Find last occurance of an open tag the same as the one just clicked
			for (i = 0; i < bbcode.length; i++) {
				if (bbcode[i] == bbnumber+1) {
					bblast = i;
					donotinsert = true;
				}
			}
		
			if (donotinsert) {		// Close all open tags up to the one just clicked & default button names
				while (bbcode[bblast]) {
						butnumber = arraypop(bbcode) - 1;
						document.post.input.value += bbtags[butnumber + 1];
						buttext = eval('document.post.addbbcode' + butnumber + '.value');
						eval('document.post.addbbcode' + butnumber + '.value =\"' + buttext.substr(0,(buttext.length - 1)) + '\"');
						imageTag = false;
					}
					document.post.input.focus();
					return;
			} else { // Open tags
		
				if (imageTag && (bbnumber != 14)) {		// Close image tag before adding another
					document.post.input.value += bbtags[15];
					lastValue = arraypop(bbcode) - 1;	// Remove the close image tag from the list
					document.post.addbbcode14.value = \"Img\";	// Return button back to normal state
					imageTag = false;
				}
		
				// Open tag
				document.post.input.value += bbtags[bbnumber];
				if ((bbnumber == 14) && (imageTag == false)) imageTag = 1; // Check to stop additional tags after an unclosed image tag
				arraypush(bbcode,bbnumber+1);
				eval('document.post.addbbcode'+bbnumber+'.value += \"*\"');
				document.post.input.focus();
				return;
			}
			storeCaret(document.post.input);
		}
		
		// Insert at Claret position. Code from
		// http://www.faqts.com/knowledge_base/view.phtml/aid/1052/fid/130
		function storeCaret(textEl) {
			if (textEl.createTextRange) textEl.caretPos = document.selection.createRange().duplicate();
		}
		
		//-->
		</script>
		<center>
		
		<a href=\"javascript:emoticon(':D')\"><img src=\"modules/Forums/images/smiles/icon_biggrin.gif\" border=\"0\" alt=\"Very Happy\" title=\"Very Happy\"></a>
		<a href=\"javascript:emoticon(':)')\"><img src=\"modules/Forums/images/smiles/icon_smile.gif\" border=\"0\" alt=\"Smile\" title=\"Smile\"></a>
		<a href=\"javascript:emoticon(':(')\"><img src=\"modules/Forums/images/smiles/icon_sad.gif\" border=\"0\" alt=\"Sad\" title=\"Sad\"></a>
		<a href=\"javascript:emoticon(':o')\"><img src=\"modules/Forums/images/smiles/icon_surprised.gif\" border=\"0\" alt=\"Surprised\" title=\"Surprised\"></a>
		<a href=\"javascript:emoticon('8O')\"><img src=\"modules/Forums/images/smiles/icon_eek.gif\" border=\"0\" alt=\"Shocked\" title=\"Shocked\"></a>
		<a href=\"javascript:emoticon(':?')\"><img src=\"modules/Forums/images/smiles/icon_confused.gif\" border=\"0\" alt=\"Confused\" title=\"Confused\"></a>
		<a href=\"javascript:emoticon('8)')\"><img src=\"modules/Forums/images/smiles/icon_cool.gif\" border=\"0\" alt=\"Cool\" title=\"Cool\"></a>
		<a href=\"javascript:emoticon(':lol:')\"><img src=\"modules/Forums/images/smiles/icon_lol.gif\" border=\"0\" alt=\"Laughing\" title=\"Laughing\"></a>
		<a href=\"javascript:emoticon(':x')\"><img src=\"modules/Forums/images/smiles/icon_mad.gif\" border=\"0\" alt=\"Mad\" title=\"Mad\"></a>
		<a href=\"javascript:emoticon(':P')\"><img src=\"modules/Forums/images/smiles/icon_razz.gif\" border=\"0\" alt=\"Razz\" title=\"Razz\"></a>
		<a href=\"javascript:emoticon(':oops:')\"><img src=\"modules/Forums/images/smiles/icon_redface.gif\" border=\"0\" alt=\"Embarassed\" title=\"Embarassed\"></a>
		<a href=\"javascript:emoticon(':cry:')\"><img src=\"modules/Forums/images/smiles/icon_cry.gif\" border=\"0\" alt=\"Crying or Very sad\" title=\"Crying or Very sad\"></a>
		<a href=\"javascript:emoticon(':evil:')\"><img src=\"modules/Forums/images/smiles/icon_evil.gif\" border=\"0\" alt=\"Evil or Very Mad\" title=\"Evil or Very Mad\"></a>
		<a href=\"javascript:emoticon(':twisted:')\"><img src=\"modules/Forums/images/smiles/icon_twisted.gif\" border=\"0\" alt=\"Twisted Evil\" title=\"Twisted Evil\"></a>
		<a href=\"javascript:emoticon(':roll:')\"><img src=\"modules/Forums/images/smiles/icon_rolleyes.gif\" border=\"0\" alt=\"Rolling Eyes\" title=\"Rolling Eyes\"></a>
		<a href=\"javascript:emoticon(':wink:')\"><img src=\"modules/Forums/images/smiles/icon_wink.gif\" border=\"0\" alt=\"Wink\" title=\"Wink\"></a>
		<a href=\"javascript:emoticon(':!:')\"><img src=\"modules/Forums/images/smiles/icon_exclaim.gif\" border=\"0\" alt=\"Exclamation\" title=\"Exclamation\"></a>
		<a href=\"javascript:emoticon(':?:')\"><img src=\"modules/Forums/images/smiles/icon_question.gif\" border=\"0\" alt=\"Question\" title=\"Question\"></a>
		<a href=\"javascript:emoticon(':idea:')\"><img src=\"modules/Forums/images/smiles/icon_idea.gif\" border=\"0\" alt=\"Idea\" title=\"Idea\"></a>
		<a href=\"javascript:emoticon(':arrow:')\"><img src=\"modules/Forums/images/smiles/icon_arrow.gif\" border=\"0\" alt=\"Arrow\" title=\"Arrow\"></a>
		<hr width=\"45%\" align=\"center\">
		&nbsp;<input type=\"button\" class=\"button\" accesskey=\"b\" name=\"addbbcode0\" value=\" B \" style=\"font-weight: bold; width: 30px;\" onclick=\"bbstyle(0)\">
		&nbsp;<input type=\"button\" class=\"button\" accesskey=\"i\" name=\"addbbcode2\" value=\" i \" style=\"font-style: italic; width: 30px;\" onclick=\"bbstyle(2)\">
		&nbsp;<input type=\"button\" class=\"button\" accesskey=\"u\" name=\"addbbcode4\" value=\" u \" style=\"text-decoration: underline; width: 30px;\" onclick=\"bbstyle(4)\">
		&nbsp;<input type=\"button\" class=\"button\" accesskey=\"q\" name=\"addbbcode6\" value=\"Quote\" style=\"width: 50px;\" onclick=\"bbstyle(6)\">
		&nbsp;<input type=\"button\" class=\"button\" accesskey=\"c\" name=\"addbbcode8\" value=\"Code\" style=\"width: 40px;\" onclick=\"bbstyle(8)\">
		&nbsp;<input type=\"button\" class=\"button\" accesskey=\"l\" name=\"addbbcode10\" value=\"List\" style=\"width: 40px;\" onclick=\"bbstyle(10)\">
		&nbsp;<input type=\"button\" class=\"button\" accesskey=\"o\" name=\"addbbcode12\" value=\"List=\" style=\"width: 40px;\" onclick=\"bbstyle(12)\">
		&nbsp;<input type=\"button\" class=\"button\" accesskey=\"p\" name=\"addbbcode14\" value=\"Img\" style=\"width: 40px;\" onclick=\"bbstyle(14)\">
		&nbsp;<input type=\"button\" class=\"button\" accesskey=\"w\" name=\"addbbcode16\" value=\"URL\" style=\"text-decoration: underline; width: 40px;\" onclick=\"bbstyle(16)\">
		<hr align=\"center\">			  
		</center>
			<center><textarea name='input' rows='10' cols='70' wrap='virtual' onkeypress=FKeyPress(this); onkeydown=FKeyDown(this);  class='post'' onselect=\"storeCaret(this);\" onclick=\"storeCaret(this);\" onkeyup=\"storeCaret(this);\"></textarea></center><br /><br><center><IMG src=\"images/fa.gif\" style=\"CURSOR: hand\" onclick=change(input)></center><br />
			<center><input type='checkbox' name='attach_sig' align=\"left\" checked='checked' />".$lang["Attach_signature"]."</center><br><br>
			<input type='hidden' name='mode' value='reply' />
			<input type='hidden' name='sid' value='" . $userdata['session_id'] . "' />
			<input type='hidden' name='t' value='" . $topic_id . "' />
			<input type='hidden' name='message' value='' />
			<input type='hidden' name='notify' value=" . $notify  . " />
			<center><input type='submit' name='preview' class='liteoption' value='".$lang['Preview']."' />&nbsp;
			<input type='submit' name='post' class='mainoption' value='".$lang["Submit"]."' /></center>
			</form></span>";
}

$template->assign_vars(array(
	'QUICK_REPLY_FORM' => $quick_reply_form)
);
//
// END Quick Reply Mod
//
$template->pparse('body');

include("modules/Forums/includes/page_tail.php");

?>
