<?php

/************************************************************************/
/* PHP-NUKE: Web Portal System                                          */
/* ===========================                                          */
/*                                                                      */
/* Copyright (c) 2002 by Francisco Burzi                                */
/* http://phpnuke.org                                                   */
/*                                                                      */
/* mTutorials Copyright (c) 2005 David Karn, All rights reserved        */
/* http://www.webdever.net/                                             */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/

function format_url($comment) {
    global $nukeurl;
    unset($location);
    $comment = $comment;
    $links = array();
    $hrefs = array();
    $pos = 0;
    while (!(($pos = strpos($comment,"<",$pos)) === false)) {
	$pos++;
	$endpos = strpos($comment,">",$pos);
	$tag = substr($comment,$pos,$endpos-$pos);
	$tag = trim($tag);
	if (isset($location)) {
    	    if (!strcasecmp(strtok($tag," "),"/A")) {
        	$link = substr($comment,$linkpos,$pos-1-$linkpos);
        	$links[] = $link;
        	$hrefs[] = $location;
        	unset($location);
    	    }
	    $pos = $endpos+1;
	} else {
	    if (!strcasecmp(strtok($tag," "),"A")) {
		if (eregi("HREF[ \t\n\r\v]*=[ \t\n\r\v]*\"([^\"]*)\"",$tag,$regs));
		else if (eregi("HREF[ \t\n\r\v]*=[ \t\n\r\v]*([^ \t\n\r\v]*)",$tag,$regs));
		else $regs[1] = "";
		if ($regs[1]) {
	    	    $location = $regs[1];
		}
		$pos = $endpos+1;
		$linkpos = $pos;
	    } else {
		$pos = $endpos+1;
	    }
	}
    }
    for ($i=0; $i<sizeof($links); $i++) {
	if (!eregi("http://", $hrefs[$i])) {
	    $hrefs[$i] = $nukeurl;
	} elseif (!eregi("mailto://", $hrefs[$i])) {
	    $href = explode("/",$hrefs[$i]);
	    $href = " [$href[2]]";
	    $comment = ereg_replace(">$links[$i]</a>", "title='$hrefs[$i]'> $links[$i]</a>$href", $comment);
	}
    }
    return($comment);
}

function echotimes($str, $times){
	for ($i=0;$i<$times;$i++){
		$content .= $str;}
	return $content;}

function breadcrumbs($id, $link=1){
	global $db, $prefix, $module_name;
	$res = $db->sql_fetchrow($db->sql_query('SELECT name, id, parent FROM '.$prefix.'_mtutorials_catagories WHERE id="'.$id.'"'));
	if ($res['id'] != 1){
		return breadcrumbs($res['parent'], 1).'&gt;'.($link ? '<a href="modules.php?name='.$module_name.'&op=viewcat&id='.$res['id'].'">' : '<b>').$res['name'].($link ? '</a>' : '</b>');}
	else {
		return ($link ? '<a href="modules.php?name='.$module_name.'&op=viewcat&id='.$res['id'].'">' : '<b>').$res['name'].($link ? '</a>' : '</b>');}}

function menu(){
	global $module_name, $db, $prefix;
	OpenTable();
	$conf = $db->sql_fetchrow($db->sql_query('SELECT `value` FROM '.$prefix.'_mtconfig WHERE id="show_search_box" LIMIT 1'));
	if ($conf['value'] == 'on'){
		$conff = '<form method="post" action="modules.php">
<input type="text" name="query" />
<input type="hidden" name="name" value="mSearch" />
<input type="hidden" name="what" value="Tutorials" />
<input type="hidden" name="op" value="search" />
<input type="submit" value="جستجو" /></form>';}
	echo '<center><h2>'._MTTUTORIALS.'</h2>
'.$conff.'
[ <a href="modules.php?name='.$module_name.'">'._MTHOME.'</a> | <a href="modules.php?name='.$module_name.'&op=addtut">'._MTADDTUT.'</a> | <a href="modules.php?name='.$module_name.'&op=addcat">'._MTADDCAT.'</a> | <a href="modules.php?name='.$module_name.'&op=showfav">'._MTTOPRATED.'</a> | <a href="modules.php?name='.$module_name.'&op=showpop">'._MTPOPULAR.'</a> ]</center>';
	CloseTable();}

/*function menu(){
	global $module_name;
	OpenTable();
	echo '<center><h2>'._MTTUTORIALS.'</h2>[ <a href="modules.php?name='.$module_name.'">'._MTHOME.'</a> | <a href="modules.php?name='.$module_name.'&op=addtut">'._MTADDTUT.'</a> ]<BR><BR>

</center>';
	CloseTable();}*/

function view_cat($id){
	global $db, $prefix;
	menu();
	if ($c = show_cat($id)){
		echo '<br />';
		OpenTable();
		echo $c;
		CloseTable();}
	if ($c = show_subcat($id)){
		echo '<br />';
		OpenTable();
		echo $c;
		CloseTable();}
	if ($c = show_tutorials($id)){
		echo '<br />';
		OpenTable();
		echo $c;
		CloseTable();}}

function show_cat($id){
	global $db, $prefix;
	$conf = $db->sql_fetchrow($db->sql_query('SELECT `value` FROM '.$prefix.'_mtconfig WHERE id="show_children" LIMIT 1'));
	$res = $db->sql_fetchrow($db->sql_query('SELECT * FROM '.$prefix.'_mtutorials_catagories WHERE id="'.$id.'" LIMIT 1'));
	if ($conf['value']){
		$children = $db->sql_fetchrow($db->sql_query('SELECT count(id) AS `count` FROM '.$prefix.'_mtutorials_tutorials WHERE parent="'.$id.'"'));}
	$content .= breadcrumbs($res['id'], 0).' '.( $conf['value'] ? '('.$children['count'].')' : '' ).'<div align="right">'.$res['desc'].'</div>';
	return $content;}

function show_subcat($id){
	global $db, $prefix, $module_name;
	$conf = $db->sql_fetchrow($db->sql_query('SELECT `value` FROM '.$prefix.'_mtconfig WHERE id="show_children" LIMIT 1'));
	$res = $db->sql_query('SELECT * FROM `'.$prefix.'_mtutorials_catagories` WHERE `parent`="'.$id.'" AND `active`="1" ORDER BY name ASC');
	$num = $db->sql_numrows($res);
	if ($num){
		$content = '<b>'._MTSUBCAT.'</b><table border="0" cellspacing="10px"><tr valign="top"><td width="30%"><ul>';
		if ($num < 15){
			$height = 5;}
		else {
			$height = ($num / 3)+1;}
		for ($n = 0;$i = $db->sql_fetchrow($res);$n++){
			if ($n >= $height){
				$n = 0;
				$content .= '</ul></td><td width="30%"><ul>';}
			if ($conf['value']){
				$children = $db->sql_fetchrow($db->sql_query('SELECT count(id) AS `count` FROM '.$prefix.'_mtutorials_tutorials WHERE parent="'.$i['id'].'"'));}
			$content .= '<li><a href="modules.php?name='.$module_name.'&op=viewcat&id='.$i['id'].'">'.$i['name'].'</a> '.( $conf['value'] ? '('.$children['count'].')' : '' ).'</li>';}
		return $content.'</ul></td></tr></table>';}}

function show_tutorials($id){
	global $db, $prefix, $module_name;
	$res = $db->sql_query('SELECT * FROM '.$prefix.'_mtutorials_tutorials WHERE parent="'.$id.'" ORDER BY name ASC');
	$num = $db->sql_numrows($res);
	if ($num){
		$content = '<table border="0" cellspacing="4px" width="100%">';
		while ($i = $db->sql_fetchrow($res)){
			$content .= '<tr> <td align="right"><b>'._MTTITLE.'</b>: <a href="modules.php?name='.$module_name.'&op=viewtut&id='.$i['id'].'">'.$i['name'].'</a><br />'.$i['desc'].'<br />نويسنده: '.$i['author'].'&nbsp&nbsp&nbsp&nbsp بازديد: '.$i['reads'].'&nbsp&nbsp&nbsp&nbsp'.echotimes('* ', ($i['votes'] > 0 ? ($i['rating'] / $i['votes']) : 0)).'آرا: '.$i['votes'].' </td>'
				     .'</td><td><b></td></tr>';}
		return $content.'</table>';}}
function show_popular($id){
	global $db, $prefix, $module_name;
	$res = $db->sql_query('SELECT * FROM `'.$prefix.'_mtutorials_tutorials` ORDER BY `reads` DESC LIMIT 16');
	$num = $db->sql_numrows($res);
	if ($num){
		$content = '<table border="0" cellspacing="4px" width="100%"><tr align="center"><td width="50%"></td></tr>';
		while ($i = $db->sql_fetchrow($res)){
			$content .= '<tr align="center"><td align="right">'._MTTITLE.' : <a href="modules.php?name='.$module_name.'&op=viewtut&id='.$i['id'].'">'.$i['name'].'</a><br />'.$i['desc'].'<br /><b>نويسنده:</b> '.$i['author'].' <b>بازديد:</b> '.$i['reads'].'</td>'
				     .'</td><td><b>'.echotimes('* ', ($i['votes'] > 0 ? ($i['rating'] / $i['votes']) : 0)).'</b><br />(آرا: '.$i['votes'].' )</td></tr>';}
		return $content.'</table>';}}

function show_favorites($id){
	global $db, $prefix, $module_name;
	$res = $db->sql_query('SELECT * FROM `'.$prefix.'_mtutorials_tutorials` ORDER BY `rating`/`votes` DESC LIMIT 16');
	$num = $db->sql_numrows($res);
	if ($num){
		$content = '<tableborder="0" cellspacing="4px" width="100%"><tr align="center"></tr>';
		while ($i = $db->sql_fetchrow($res)){
			$content .= '<tr align="center"><td align="right">'._MTTITLE.' : <a href="modules.php?name='.$module_name.'&op=viewtut&id='.$i['id'].'">'.$i['name'].'</a><br />'.$i['desc'].'<br /><b>نويسنده:</b> '.$i['author'].' <b>بازديد:</b> '.$i['reads'].'</td>'
				     .'</td><td><b>'.echotimes('* ', ($i['votes'] > 0 ? ($i['rating'] / $i['votes']) : 0)).'</b><br />(آرا : '.$i['votes'].' )</td></tr>';}
		return $content.'</table>';}}

function view_tutorial($id, $page){
	global $db, $prefix, $module_name;
	$res = $db->sql_query('SELECT * FROM '.$prefix.'_mtutorials_pages WHERE parent="'.$id.'" ORDER BY id ASC LIMIT '.$page.', 1');
	$res2 = $db->sql_fetchrow($db->sql_query('SELECT count(id) AS num FROM '.$prefix.'_mtutorials_pages WHERE parent="'.$id.'"'));
	$num2 = $res2['num'];
	if ($res){
		if ($num2 > 1){
			for ($n=0;$n<$num2;$n++){
				if ($n != $page){
					$pagestr .= '<a href="modules.php?name='.$module_name.'&op=viewtut&page='.$n.'&id='.$id.'">'.($n+1).'</a> ';}
				else {
					$pagestr .= '<b>'.($n+1).'</b> ';}}}
		$i = $db->sql_fetchrow($res);
		$i2 = $db->sql_fetchrow($db->sql_query('SELECT * FROM '.$prefix.'_mtutorials_tutorials WHERE id="'.$i['parent'].'" LIMIT 1'));
		$content .= '<h2>'.stripslashes($i2['name']).'</h2><h3>'.stripslashes($i['title']).'</h3><small>'._MTBY.' '.$i2['author'].'</small><br /><br />'.stripslashes($i['body']).'<div align="right">'.$pagestr.'</div><center>[ <a href="modules.php?name='.$module_name.'&op=comment&id='.$i2['id'].'&parent=0">'._MTPOSTCOMMENT.'</a> | <a href="modules.php?name='.$module_name.'&op=rate&id='.$i2['id'].'">'._MTRATE.'</a> ]</center>';
		$db->sql_query('UPDATE '.$prefix.'_mtutorials_tutorials SET `reads`=`reads`+"1" WHERE `id`="'.$i['parent'].'" LIMIT 1');
		return $content;}}

function addcat(){
	global $db, $prefix, $module_name;
          echo "<center>   (براي تغيير زبان ميتوانيد از کليد Scroll Lock استفاده نمائيد.)</center>";
	$content = '<h3>'._MTADDCAT.'</h3>'
		    .'<form method="post" action="modules.php"><table border="0" width="70%">'
		    .'<tr><td>'._MTCATNAME.'</td><td><input onkeypress=FKeyPress(this); onkeydown=FKeyDown(this); type="text" name="title" />&nbsp</td></tr>'
		    .'<tr><td>'._MTCATDESC.'</td><td><textarea onkeypress=FKeyPress(this); onkeydown=FKeyDown(this); name="desc" style="width:100%" rows="3"></textarea><br><IMG src="images/fa.gif" align="absbottom" style="CURSOR: hand" onclick=change(desc);></td></tr>'
		    .'<tr><td>'._MTCATPARENT.'</td><td><select name="parent">';
	$res = $db->sql_query('SELECT id, name FROM '.$prefix.'_mtutorials_catagories WHERE active="1" ORDER BY `parent`');
	while ($i = $db->sql_fetchrow($res)){
		$content .= '<option value="'.$i['id'].'">'.$i['name'].'</option>';}
	$content .= '</select></td></tr>'
		   .'<tr><td align="right" colspan="2">'
		   .'<input type="hidden" name="name" value="'.$module_name.'" />'
		   .'<input type="hidden" name="op" value="faddcat" />'
		   .'<input type="submit" value="'._MTSUBMIT.'" />'
		   .'</td></tr></table></form>';
	return $content;}

function faddcat(){
	global $db, $prefix, $module_name, $admin;
	if ($db->sql_query('INSERT INTO `'.$prefix.'_mtutorials_catagories` (`id`, `name`, `desc`, `parent`, `active`) VALUES (NULL, "'.addslashes($_REQUEST['title']).'", "'.addslashes($_REQUEST['desc']).'", "'.round($_REQUEST['parent']).'", "'.(is_admin($admin) ? 1 : 0).'");')){
		return '<center>'._MTCATSUCCESS.'<br /><a href="modules.php?name='.$module_name.'">'._MTHOME.'</a></center>';}
	return '<center>'._MTCATFAILURE.'<br /><a href="modules.php?name='.$module_name.'">'._MTHOME.'</a></center>';}

function add_tutorial(){
	global $db, $prefix, $module_name;
    echo "<center>   (براي تغيير زبان ميتوانيد از کليد Scroll Lock استفاده نمائيد.)</center>";
	$content = '<h3>'._MTADDTUT.'</h3>'
		.'<form method="post" action="modules.php"><table border="0" width="70%">'
		.'<tr><td>'._MTTUTNAME.'</td><td><input onkeypress=FKeyPress(this); onkeydown=FKeyDown(this); type="text" name="title" /></td></tr>'
		.'<tr><td>'._MTTUTDESC.'</td><td><textarea onkeypress=FKeyPress(this); onkeydown=FKeyDown(this); name="desc" style="width:100%" rows="3"></textarea><br><IMG src="images/fa.gif" align="absbottom" style="CURSOR: hand" onclick=change(desc);></td></tr>'
		.'<tr><td>'._MTTUTPARENT.'</td><td><select name="parent">';
	$res = $db->sql_query('SELECT id, name FROM '.$prefix.'_mtutorials_catagories WHERE active="1" ORDER BY `parent`');
	while ($i = $db->sql_fetchrow($res)){
		$content .= '<option value="'.$i['id'].'">'.$i['name'].'</option>';}
	$content .= '</select></td></tr>'
		.'<tr><td align="right" colspan="2">'
		.'<input type="hidden" name="name" value="'.$module_name.'" />'
		.'<input type="hidden" name="op" value="addtut2" />'
		.'<input type="submit" value="'._MTSUBMIT.'" />'
		.'</td></tr></table></form>';
	return $content;}

function add_tutorial_stage2(){
	global $db, $prefix, $module_name, $admin, $user;
	if(is_user($user)) {
		$cookie = explode(":", addslashes(base64_decode($user)));
		cookiedecode($user);
		$submitter = $cookie[1];}
	$time = time();
	if ($db->sql_query('INSERT INTO `'.$prefix.'_mtutorials_temp_tutorials` (`id`, `name`, `desc`, `parent`, `author`, `date`, `reads`, `rating`, `votes`, `finished`) VALUES (NULL, "'.addslashes($_REQUEST['title']).'", "'.addslashes($_REQUEST['desc']).'", "'.round($_REQUEST['parent']).'", "'.addslashes($submitter).'", "'.round($time).'", "0", "0", "0", "0");')){
		$id = $db->sql_fetchrow($db->sql_query('SELECT id FROM `'.$prefix.'_mtutorials_temp_tutorials` WHERE `date`="'.round($time).'" AND `author`="'.addslashes($submitter).'" LIMIT 1'));

                $eid1 = wysiwyg_textarea('pbody', '', 'PHPNukeAdmin', 50, 15);
                return '<form method="post" name="frm1" action="modules.php"><table border="0" width="100%">'
			.'<tr valign="top"><td width="15%">'._MTPAGETITLE.'</td><td><input type="text" name="ptitle" onkeypress=FKeyPress(this); onkeydown=FKeyDown(this); >&nbsp<IMG src="images/fa2.gif" align="absbottom" style="CURSOR: hand" onclick=change(ptitle);></td></tr>'
			.'<tr valign="top"><td></td><td>'.$eid1.'</td></tr>'
			.'<tr valign="top"><td colspan="2" align="right">'
			.'<input type="hidden" name="name" value="'.$module_name.'" />'
			.'<input type="hidden" name="op" value="addtut3" />'
			.'<input type="hidden" name="id" value="'.$id['id'].'" />'
			.'<input type="submit" onclick="set_for_preview();" value="'._MTPREVIEW.'" />'
			.'<input type="submit" onclick="set_for_next();" value="'._MTADDPAGE.'" />'
			.'<input type="submit" onclick="set_for_finish();" value="'._MTFINISH.'" />'
			.'</td></tr></table><script>'
			.'function set_for_preview() {'
      		.'	document.frm1.target="_blank";'
      		.'	document.frm1.op.value="prevtut";}'
			.'function set_for_finish() {'
      		.'	document.frm1.target="_self";'
      		.'	document.frm1.op.value="faddtut";}'
			.'function set_for_next() {'
      		.'	document.frm1.target="_self";'
      		.'	document.frm1.op.value="addtut3";}'
			.'</script></form>';}
	return '<center>'._MTTUTFAILURE.'<br /><a href="modules.php?name='.$module_name.'">'._MTHOME.'</a></center>';}

function preview_page(){
	global $db, $prefix, $module_name, $user;
	if(is_user($user)) {
		$cookie = explode(":", addslashes(base64_decode($user)));
		cookiedecode($user);
		$submitter = $cookie[1];}
      $title = stripslashes($_REQUEST['ptitle']);
      $body = stripslashes($_REQUEST['pbody']);
      $id = round($_REQUEST['id']);
	$i2 = $db->sql_fetchrow($db->sql_query('SELECT * FROM '.$prefix.'_mtutorials_temp_tutorials WHERE id="'.$id.'" LIMIT 1'));
	$content .= '<h2>'.$i2['name'].'</h2><h3>'.$title.'</h3><small>توسط: '.$submitter.' در مورخه: '.@now_in_hejri().'</small><br /><br />'.$body;
	return $content;}

function add_tutorial_stage3(){
	global $db, $prefix, $module_name;
	if ($db->sql_query('INSERT INTO `'.$prefix.'_mtutorials_temp_pages` (`id`, `parent`, `title`, `body`) VALUES (NULL, "'.round($_REQUEST['id']).'", "'.addslashes($_REQUEST['ptitle']).'", "'.addslashes($_REQUEST['pbody']).'");')){
		$id = round($_REQUEST['id']);
             $eid1 = wysiwyg_textarea('pbody', '', 'PHPNukeAdmin', 50, 15);
		return '<form method="post" name="frm1" action="modules.php"><table border="0" width="100%">'
			.'<tr valign="top"><td width="15%">'._MTPAGETITLE.'</td><td><input onkeypress=FKeyPress(this); onkeydown=FKeyDown(this);  type="text" name="ptitle" >&nbsp<IMG src="images/fa2.gif" align="absbottom" style="CURSOR: hand" onclick=change(ptitle);></td></tr>'
			.'<tr valign="top"><td></td><td>'.$eid1.'</td></tr>'
                        .'<tr valign="top"><td colspan="2" align="right">'
			.'<input type="hidden" name="name" value="'.$module_name.'" />'
			.'<input type="hidden" name="op" value="addtut3" />'
			.'<input type="hidden" name="id" value="'.$id.'" />'
			.'<input type="submit" onclick="set_for_preview();" value="'._MTPREVIEW.'" />'
			.'<input type="submit" onclick="set_for_next();" value="'._MTADDPAGE.'" />'
			.'<input type="submit" onclick="set_for_finish();" value="'._MTFINISH.'" />'
			.'</td></tr></table><script>'
			.'function set_for_preview() {'
      		.'	document.frm1.target="_blank";'
      		.'	document.frm1.op.value="prevtut";}'
			.'function set_for_finish() {'
      		.'	document.frm1.target="_self";'
      		.'	document.frm1.op.value="faddtut";}'
			.'function set_for_next() {'
      		.'	document.frm1.target="_self";'
      		.'	document.frm1.op.value="addtut3";}'
			.'</script></form>';}
	return '<center>'._MTTUTFAILURE.'<br /><a href="modules.php?name='.$module_name.'">'._MTHOME.'</a></center>';}

function finish_tutorial(){
	global $db, $prefix, $module_name;
	if ($db->sql_query('INSERT INTO `'.$prefix.'_mtutorials_temp_pages` (`id`, `parent`, `title`, `body`) VALUES (NULL, "'.round($_REQUEST['id']).'", "'.addslashes($_REQUEST['ptitle']).'", "'.addslashes($_REQUEST['pbody']).'");')){
		$id = round($_REQUEST['id']);
		if ($db->sql_query('UPDATE `'.$prefix.'_mtutorials_temp_tutorials` SET `finished`="1" WHERE `id`="'.$id.'" LIMIT 1;')){
				send_notification($_REQUEST['id']);
				return '<center>'._MTTUTSUCCESS.'<br /><a href="modules.php?name='.$module_name.'">'._MTHOME.'</a></center>';}}
	return '<center>'._MTTUTFAILURE.'<br /><a href="modules.php?name='.$module_name.'">'._MTHOME.'</a></center>';}

function view_temp_tutorial($id, $page){
	global $db, $prefix, $module_name, $admin_file, $admin;
	$res = $db->sql_query('SELECT * FROM '.$prefix.'_mtutorials_temp_pages WHERE parent="'.$id.'" ORDER BY id ASC LIMIT '.$page.', 1');
	$res2 = $db->sql_fetchrow($db->sql_query('SELECT count(id) AS num FROM '.$prefix.'_mtutorials_temp_pages WHERE parent="'.$id.'"'));
	$num2 = $res2['num'];
	if ($res){
		if ($num2 > 1){
			for ($n=0;$n<$num2;$n++){
				if ($n != $page){
					$pagestr .= '<a href="modules.php?name='.$module_name.'&op=viewtemptut&page='.$n.'&id='.$id.'">'.($n+1).'</a> ';}
				else {
					$pagestr .= '<b>'.($n+1).'</b> ';}}}
		$i = $db->sql_fetchrow($res);
		$i2 = $db->sql_fetchrow($db->sql_query('SELECT * FROM '.$prefix.'_mtutorials_temp_tutorials WHERE id="'.$i['parent'].'" LIMIT 1'));
		$content .= '<h2>'.stripslashes($i2['name']).'</h2><h3>'.stripslashes($i['title']).'</h3><small>'._MTBY.' '.$i2['author'].' </small><br /><br />'.stripslashes($i['body']).'<div align="right">'.$pagestr.'</div>'
		.(is_admin($admin) ? '<center>[ <a href="'.$admin_file.'.php?op=mtaccepttut&id='.$i2['id'].'">'._MTACCEPT.'</a> | <a href="'.$admin_file.'.php?op=mtrejecttut&id='.$i2['id'].'">'._MTREJECT.'</a> ]</center>' : '');
		return $content;}}

function view_comments($id, $parent){
	global $db, $prefix, $module_name;
	$res = $db->sql_query('SELECT * FROM '.$prefix.'_mtutorials_comments WHERE tutorial="'.$id.'" AND parent="'.$parent.'" ORDER BY `date` ASC');
	if ($res){
		while ($i = $db->sql_fetchrow($res)){
			$content .= '<b>'.stripslashes($i['title']).'</b><br /><small>'._MTBY.' '.stripslashes($i['author']).'</small><br />'.stripslashes($i['body']).'<div align="right">[ <a href="modules.php?name='.$module_name.'&op=comment&id='.$id.'&parent='.$i['id'].'">'._MTREPLYCOMMENT.'</a> | <a href="modules.php?name='.$module_name.'&op=comment&id='.$id.'&parent=0">'._MTREPLYTUT.'</a> ]</div><div style="padding-left:10px">'.view_comments($id, round($i['id'])).'</div>';;}
		return $content;}}

function comment($id, $parent){
	global $module_name;
     echo "<center>   (براي تغيير زبان ميتوانيد از کليد Scroll Lock استفاده نمائيد.)</center><br>";
	return '<form method="post" action="modules.php"><table border="0" width="100%">'
		.'<tr valign="top"><td width="15%">'._MTCOMMENTTITLE.'</td><td><input onkeypress=FKeyPress(this); onkeydown=FKeyDown(this); type="text" name="title">&nbsp</td></tr>'
		.'<tr valign="top"><td>'._MTCOMMENTBODY.'</td><td><textarea onkeypress=FKeyPress(this); onkeydown=FKeyDown(this); name="body" style="width:100%" rows="6"></textarea><IMG src="images/fa.gif" align="absbottom" style="CURSOR: hand" onclick=change(body);></td></tr>'
		.'<tr><td colspan="2" align="right"><input type="hidden" name="name" value="'.$module_name.'" />'
		.'<input type="hidden" name="op" value="postcomment" />'
		.'<input type="hidden" name="id" value="'.$id.'" />'
		.'<input type="hidden" name="parent" value="'.$parent.'" />'
		.'<input type="submit" value="'._MTSUBMIT.'" />'
		.'</td></tr></table></form>';}

function post_comment($id, $parent){
	global $db, $prefix, $module_name, $user;
	if(is_user($user)) {
		$cookie = explode(":", addslashes(base64_decode($user)));
		cookiedecode($user);
		$submitter = $cookie[1];}
	if ($db->sql_query('INSERT INTO `'.$prefix.'_mtutorials_comments` (`id`, `title`, `body`, `author`, `date`, `tutorial`, `parent`) VALUES (NULL, "'.addslashes($_REQUEST['title']).'", "'.addslashes(nl2br(filter_text(format_url($_REQUEST['body'])))).'", "'.addslashes($submitter).'", "'.round(time()).'", "'.$id.'", "'.$parent.'");')){
		return '<center>'._MTCOMMENTSUCCESS.'<br /><a href="modules.php?name='.$module_name.'">'._MTHOME.'</a></center>';}
	return '<center>'._MTCOMMENTFAILURE.'<br /><a href="modules.php?name='.$module_name.'">'._MTHOME.'</a></center>';}

function rate(){
	global $module_name;
	return '<form method="post" action="modules.php">'
		.''._MTRATING.' <select name="rating">'
		.'<option value="5">5</option>'
		.'<option value="4">4</option>'
		.'<option value="3">3</option>'
		.'<option value="2">2</option>'
		.'<option value="1">1</option>'
		.'</select> '
		.'<input type="hidden" name="name" value="'.$module_name.'" />'
		.'<input type="hidden" name="op" value="addrating" />'
		.'<input type="hidden" name="id" value="'.$_REQUEST['id'].'" />'
		.'<input type="submit" value="'._MTSUBMIT.'" />'
		.'</form>';}

function add_rating(){
	global $db, $prefix, $module_name;
//echo 'UPDATE `'.$prefix.'_mtutorials_tutorials` SET `votes`=`votes`+1, `rating`=`rating+'.round($_REQUEST['rating']).' WHERE `id`="'.round($_REQUEST['id']).'" LIMIT 1);';
	if ($db->sql_query('UPDATE `'.$prefix.'_mtutorials_tutorials` SET `votes`=`votes`+"1", `rating`=`rating`+"'.round($_REQUEST['rating']).'" WHERE `id`="'.round($_REQUEST['id']).'" LIMIT 1;')){
		return '<center>'._MTRATINGSUCCESS.'<br /><a href="modules.php?name='.$module_name.'">'._MTHOME.'</a></center>';}
	return '<center>'._MTRATINGFAILURE.'<br /><a href="modules.php?name='.$module_name.'">'._MTHOME.'</a></center>';}

function send_notification($id){
	global $db, $prefix, $module_name, $HTTP_HOST;
	$to = $db->sql_fetchrow($db->sql_query('SELECT value FROM '.$prefix.'_mtconfig WHERE id="email_on_submission" LIMIT 1'));
	$to = $to['value'];
	if ($to != '' && $to != 'none'){
		$subject = 'New Tutorial Submission';
		$url = parse_url(str_replace('&', '&amp;', 'http://'.$HTTP_HOST.$_SERVER['REQUEST_URI']));
		$message = 'Someone has submitted a new tutorial for your site, titled, visit http://'.$url['host'].$url['path'].'?name=Tutorials&op=viewtemptut&id='.$id.' to view their submission.';
		@mail($to, $subject, $message);}}

if (!eregi("modules.php", $_SERVER['PHP_SELF'])) {
	die ("You can't access this file directly...");
}

$index = 1;
@require_once("mainfile.php");
$module_name = basename(dirname(__FILE__));
get_lang($module_name);
$pagetitle = "- "._MTTUTORIALS."";
@include('header.php');

if ($_REQUEST['op'] == 'viewtut'){
	menu();
	echo '<br />';
	OpenTable();
	echo view_tutorial(round($_REQUEST['id']), round($_REQUEST['page']));
	CloseTable();
	if ($c = view_comments(round($_REQUEST['id']), 0)){
		echo '<br />';
		OpenTable();
		echo $c;
		CloseTable();}}
else if ($_REQUEST['op'] == 'viewcat' || $_REQUEST['op'] == ''){
	if (!isset($_REQUEST['id'])){
		$_REQUEST['id'] = 1;}
	view_cat(round($_REQUEST['id']));}
else {
	menu();
	echo '<br />';
	OpenTable();
	switch($_REQUEST['op']) {
		case 'showpop':
			echo show_popular(round($_REQUEST['id']));
			break;
		case 'showfav':
			echo show_favorites(round($_REQUEST['id']));
			break;
		case 'addrating':
			echo add_rating();
			break;
		case 'rate':
			echo rate();
			break;
		case 'postcomment':
			echo post_comment(round($_REQUEST['id']), round($_REQUEST['parent']));
			break;
		case 'comment':
			echo comment(round($_REQUEST['id']), round($_REQUEST['parent']));
			break;
		case 'viewtemptut':
			echo view_temp_tutorial(round($_REQUEST['id']), round($_REQUEST['page']));
			break;
		case 'faddtut':
			echo finish_tutorial();
			break;
		case 'addtut3':
			echo add_tutorial_stage3();
			break;
		case 'prevtut':
			echo preview_page();
			break;
		case 'addtut2':
			echo add_tutorial_stage2();
			break;
		case 'addtut':
			echo add_tutorial();
			break;
		case 'faddcat':
			echo faddcat();
			break;
		case 'addcat':
			echo addcat();
			break;}
	CloseTable();}

@include('footer.php');
?>