<?php

/************************************************************************/
/* PHP-NUKE: Web Portal System                                          */
/* ===========================                                          */
/*                                                                      */
/* Copyright (c) 2002 by Francisco Burzi                                */
/* http://phpnuke.org                                                   */
/*                                                                      */
/* User Groups Module                                                   */
/* Copyright (c) 2004 David Karn                                        */
/* http://webdever.net/                                                 */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/

if ( !defined('MODULE_FILE') )
{
	die("You can't access this file directly...");
}

@require_once("mainfile.php");
$pagetitle = "- User Groups";
$index = 1;

function ugheader()
{
global $admin, $db, $admin_file, $prefix;

$query = "SELECT 1 FROM `".$prefix."_groups_info` LIMIT 0";
$exists = $db->sql_query($query);
if (!$exists)
{
$db->sql_query("CREATE TABLE `".$prefix."_groups_info` (
  `id` int(11) NOT NULL auto_increment,
  `desc` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=22 ;");

$db->sql_query("INSERT INTO `".$prefix."_groups_info` VALUES (1, 'نوشتن مطلب در وبلاگ ');");
$db->sql_query("INSERT INTO `".$prefix."_groups_info` VALUES (2, 'ارسال نظرات براي مطالب وبلاگهاي کاربران');");
$db->sql_query("INSERT INTO `".$prefix."_groups_info` VALUES (3, 'ارسال لينک براي سايت و پيشنهاد اين سايت به دوستان');");
$db->sql_query("INSERT INTO `".$prefix."_groups_info` VALUES (4, 'اخبار ارسالي توسط کاربر که مدير تائيد نموده است');");
$db->sql_query("INSERT INTO `".$prefix."_groups_info` VALUES (5, 'ارسال نظر براي اخبار');");
$db->sql_query("INSERT INTO `".$prefix."_groups_info` VALUES (6, 'ارسال اخبار سايت توسط کاربر براي ديگران');");
$db->sql_query("INSERT INTO `".$prefix."_groups_info` VALUES (7, 'راي به اخبار');");
$db->sql_query("INSERT INTO `".$prefix."_groups_info` VALUES (8, 'راي در نظرسنجي هاي سايت');");
$db->sql_query("INSERT INTO `".$prefix."_groups_info` VALUES (9, 'نظرات ارسالي براي تمامي نظرسنجي هاي فعلي و قديمي سايت');");
$db->sql_query("INSERT INTO `".$prefix."_groups_info` VALUES (10, 'ارسال مطلب جديد در انجمن ها');");
$db->sql_query("INSERT INTO `".$prefix."_groups_info` VALUES (11, 'پاسخ به مطالب انجمن ها');");
$db->sql_query("INSERT INTO `".$prefix."_groups_info` VALUES (12, 'ارسال نظرات براي بخش نقدنامه');");
$db->sql_query("INSERT INTO `".$prefix."_groups_info` VALUES (13, 'رفتن به صفحات مختلف اين سايت ');");
$db->sql_query("INSERT INTO `".$prefix."_groups_info` VALUES (14, 'پيشنهاد و رفتن به سايت هاي معرفي شده در بخش آدرس سايت ها');");
$db->sql_query("INSERT INTO `".$prefix."_groups_info` VALUES (15, 'راي به سايت هاي بخش آدرس سايت ها');");
$db->sql_query("INSERT INTO `".$prefix."_groups_info` VALUES (16, 'ارسال نظر براي لينک هاي موجود در آدرس سايت ها');");
$db->sql_query("INSERT INTO `".$prefix."_groups_info` VALUES (17, 'دريافت و دانلود فايل از سايت');");
$db->sql_query("INSERT INTO `".$prefix."_groups_info` VALUES (18, 'راي به فايل هاي بخش دريافت فايل');");
$db->sql_query("INSERT INTO `".$prefix."_groups_info` VALUES (19, 'ارسال نظرات در بخش دريافت فايل');");
$db->sql_query("INSERT INTO `".$prefix."_groups_info` VALUES (20, 'ارسال پيغام همگاني در سايت');");
$db->sql_query("INSERT INTO `".$prefix."_groups_info` VALUES (21, 'کليک بر روي هر يک از تبليغات موجود در سايت');");
}

OpenTable();
?>
<center>
[&nbsp;<a href='modules.php?name=User_Groups'>ليست گروه ها</a>&nbsp;|&nbsp;
<a href='modules.php?name=User_Groups&op=list'>امتيازات</a>&nbsp;|&nbsp;
<a href='modules.php?name=User_Groups&op=users'>برترين کاربران</a>&nbsp;]

<?php

if (is_admin($admin)) {
global $admin_file;
echo "<br>[&nbsp;<a href='modules.php?name=User_Groups&op=alist'>ويرايش شرح امتياز</a>&nbsp;|&nbsp;<a href=\"".$admin_file.".php?op=Groups\">ويرايش گروه ها</a>&nbsp;|&nbsp;&nbsp;</center>";
?>
<?php
}
echo "</center>";
CloseTable();
echo '<br>';
}

function arch()
{
global $db, $prefix;
@include('header.php');
ugheader();
OpenTable();
echo '<span class="content"><center><b>گروههاي کاربري</b></center><br />';
$query='SELECT * FROM '.$prefix.'_groups ORDER BY `points` ASC';
$result=$db->sql_query($query);
while ($h = $db->sql_fetchrow($result))
{
$description = stripslashes($h['description']);
$name = stripslashes($h['name']);
$points = stripslashes($h['points']);
$id = $h['id'];
echo "<br><a href='modules.php?name=User_Groups&op=group&id=$id'>$name</a><br />( امتياز مورد نياز : $points)<br />$description<br />";
}
CloseTable();
echo '<br />';
@include("footer.php");
}

function group()
{
global $db, $prefix, $id;
@include('header.php');
ugheader();
OpenTable();
$query='SELECT description, points, name FROM '.$prefix."_groups WHERE `id`='$id' LIMIT 1";
$result=$db->sql_query($query);
$h = $db->sql_fetchrow($result);
$description = stripslashes($h['description']);
$name = stripslashes($h['name']);
$points = intval($h['points']);
echo "<span class=\"content\"><b>$name</b><br /><br />(امتياز موزد نياز : $points)<br />$description<br /></span>";
CloseTable();
echo '<br>';
OpenTable();
echo "<span class='content'><b>کاربران اين گروه</b></span><br><br>";
$query='SELECT points FROM '.$prefix."_groups WHERE `points`>'$points' ORDER BY `points` ASC LIMIT 1";
$result=$db->sql_query($query);
$h = $db->sql_fetchrow($result);
$mpoints = intval($h['points']);
if ($mpoints)
{
$points = stripslashes($points);
$query='SELECT username, user_id, points FROM '.$prefix."_users WHERE `points`<'$mpoints' AND `points`>='$points' AND `user_id`>'1' ORDER BY `points` DESC";
} else {
$points = stripslashes($points);
$query='SELECT username, user_id, points FROM '.$prefix."_users WHERE `points`>='$points' AND `user_id`>'1' ORDER BY `points` DESC";
}
$result=$db->sql_query($query);
while ($h = $db->sql_fetchrow($result))
{
$id = stripslashes($h['user_id']);
$name = stripslashes($h['username']);
$points = intval($h['points']);
echo "<a href=\"modules.php?name=Forums&file=profile&mode=viewprofile&u=$id\">$name</a><align=right> ($points امتياز)<br><br>";
}
CloseTable();
echo '<br />';
@include("footer.php");
}

function users()
{
global $db, $prefix;
include('header.php');
ugheader();
OpenTable();
echo "<span class='content'><center><b>50 کاربر برتر</b></span><br /><br /><table width=\"200px\" cellpadding=\"1\" cellspacing=\"0\" border=\"0\"><tr><td width=\"100%\" align=\"center\"><span class=\"content\"><b>کاربر</b></span></td><td align=\"center\"><span class=\"content\"><b>امتيازات</b></span></td></tr>";
$query='SELECT username, user_id, points FROM '.$prefix."_users WHERE `user_id`>'1' ORDER BY `points` DESC LIMIT 50";
$result=$db->sql_query($query);
$i = 1;
while ($h = $db->sql_fetchrow($result))
{
$id = stripslashes($h['user_id']);
$name = stripslashes($h['username']);
$points = intval($h['points']);
echo "<tr><td align=\"right\"><span class=\"content\">$i: </span><a href=\"modules.php?name=Forums&amp;file=profile&amp;mode=viewprofile&amp;u=$id\">$name</a></td><td align=\"center\"><span class=\"content\">$points</span></td></tr>";
$i++;
}

echo '</table></center><br />';
CloseTable();
@include("footer.php");
}

function glist()
{
global $db, $prefix;
@include('header.php');
ugheader();
OpenTable();
echo '<center><span class="content"><b>مقدار امتياز</b></span></center><br />';
$query='SELECT `points` FROM '.$prefix.'_groups_points ORDER BY `id` ASC LIMIT 21';
$result=$db->sql_query($query);
$i = 1;
while ($h = $db->sql_fetchrow($result))
{
${'p'.$i.''} = intval($h['points']);
$i++;
}
$query='SELECT `desc` FROM '.$prefix.'_groups_info ORDER BY `id` ASC LIMIT 21';
$result=$db->sql_query($query);
$i = 1;
while ($h = $db->sql_fetchrow($result))
{
${'i'.$i.''} = $h['desc'];
$i++;
}
?>
<table border="0" width="100%" cellspacing="10px"><tr><td align="center" bgcolor="#FFFFFF"><b>نام</b></td><td align="center" bgcolor="#FFFFFF"><b>شرح</b></td><td align="center" bgcolor="#FFFFFF"><b>امتيازات</b></td></tr>

<tr><td><span class="content">نوشتن مطلب در وبلاگ </span></td><td><span class="content"><?=$i1;?></span></td><td><span class="content"> <?=$p1;?> </span></td></tr>

<tr><td><span class="content"> نظر در وبلاگ </span></td><td><span class="content"><?=$i2;?></span></td><td><span class="content"> <?=$p2;?> </span></td></tr>

<tr><td><span class="content">پيشنهاد به دوستان </span></td><td><span class="content"><?=$i3;?></span></td><td><span class="content"> <?=$p3;?> </span></td></tr>

<tr><td><span class="content"> ارسال خبر</span></td><td><span class="content"><?=$i4;?></span></td><td><span class="content"> <?=$p4;?> </span></td></tr>

<tr><td><span class="content"> ارسال نظر براي خبر </span></td><td><span class="content"><?=$i5;?></span></td><td><span class="content"> <?=$p5;?> </span></td></tr>

<tr><td><span class="content">ارسال خبر براي دوستان </span></td><td><span class="content"><?=$i6;?></span></td><td><span class="content"> <?=$p6;?> </span></td></tr>

<tr><td><span class="content"> راي به اخبار</span></td><td><span class="content"><?=$i7;?></span></td><td><span class="content"> <?=$p7;?> </span></td></tr>

<tr><td><span class="content"> راي در نظرسنجي </span></td><td><span class="content"><?=$i8;?></span></td><td><span class="content"> <?=$p8;?> </span></td></tr>

<tr><td><span class="content"> نظر در نظرسنجي </span></td><td><span class="content"><?=$i9;?></span></td><td><span class="content"> <?=$p9;?> </span></td></tr>

<tr><td><span class="content"> ارسال مطلب جديد در انجمن </span></td><td><span class="content"><?=$i10;?></span></td><td><span class="content"> <?=$p10;?> </span></td></tr>

<tr><td><span class="content"> پاسخ به مطالب انجمن </span></td><td><span class="content"><?=$i11;?></span></td><td><span class="content"> <?=$p11;?> </span></td></tr>

<tr><td><span class="content"> نظر در نقدنامه </span></td><td><span class="content"><?=$i12;?></span></td><td><span class="content"> <?=$p12;?> </span></td></tr>

<tr><td><span class="content"> بازديد از صفحات </span></td><td><span class="content"><?=$i13;?></span></td><td><span class="content"> <?=$p13;?> </span></td></tr>

<tr><td><span class="content"> بازديد از لينک </span></td><td><span class="content"><?=$i14;?></span></td><td><span class="content"> <?=$p14;?> </span></td></tr>

<tr><td><span class="content"> راي به لينک </span></td><td><span class="content"><?=$i15;?></span></td><td><span class="content"> <?=$p15;?> </span></td></tr>

<tr><td><span class="content">نظر براي لينک ها </span></td><td><span class="content"><?=$i16;?></span></td><td><span class="content"> <?=$p16;?> </span></td></tr>

<tr><td><span class="content"> دريافت فايل </span></td><td><span class="content"><?=$i17;?></span></td><td><span class="content"> <?=$p17;?> </span></td></tr>

<tr><td><span class="content">راي به دريافت ها </span></td><td><span class="content"><?=$i18;?></span></td><td><span class="content"> <?=$p18;?> </span></td></tr>

<tr><td><span class="content">ارسال نظر براي فايل ها </span></td><td><span class="content"><?=$i19;?></span></td><td><span class="content"> <?=$p19;?> </span></td></tr>

<tr><td><span class="content"> پيغام همگاني </span></td><td><span class="content"><?=$i20;?></span></td><td><span class="content"> <?=$p20;?> </span></td></tr>

<tr><td><span class="content">کليک بر روي بنر </span></td><td><span class="content"><?=$i21;?></span></td><td><span class="content"> <?=$p21;?> </span></td></tr></table>
<?php
CloseTable();
echo '<br />';
@include("footer.php");
}

function alist()
{
global $db, $prefix, $admin;
if (!is_admin($admin)) {
die("Access Denied");
}
@include('header.php');
ugheader();
OpenTable();
echo '<center><span class="content"><b>شرح امتيازات</b></span></center><br />';
$query='SELECT `points` FROM '.$prefix.'_groups_points ORDER BY `id` ASC LIMIT 21';
$result=$db->sql_query($query);
$i = 1;
while ($h = $db->sql_fetchrow($result))
{
${'p'.$i.''} = $h['points'];
$i++;
}
$query='SELECT `desc` FROM '.$prefix.'_groups_info ORDER BY `id` ASC LIMIT 21';   //zero
$result=$db->sql_query($query);
$i = 1;
while ($h = $db->sql_fetchrow($result))
{
${'i'.$i.''} = $h['desc'];
$i++;
}
?>
<table border="0" width="100%" cellspacing="10px"><tr><td align="center" bgcolor="#FFFFFF"><b>نام</b></td><td align="center" bgcolor="#FFFFFF"><b>شرح</b></td><td align="center" bgcolor="#FFFFFF"><b>ويرايش</b></td></tr>

<tr><form action="modules.php" method="post"><td><span class="content"> ارسال مطلب در وبلاگ </span></td><td><textarea name="text" rows="2" cols="30"><?=$i1;?></textarea></td><td align="center">&nbsp;<input type="hidden" name="name" value="User_Groups"><input type="hidden" name="op" value="updatedesc"><input type="hidden" name="id" value="1"><input type="submit" value="ثبت تغييرات"></form>&nbsp;</td></tr>

<tr><form action="modules.php" method="post"><td><span class="content">ارسال نظر براي وبلاگ </span></td><td><textarea name="text" rows="2" cols="30"><?=$i2;?></textarea></td><td align="center">&nbsp;<input type="hidden" name="name" value="User_Groups"><input type="hidden" name="op" value="updatedesc"><input type="hidden" name="id" value="2"><input type="submit" value="ثبت تغييرات"></form>&nbsp;</td></tr>

<tr><form action="modules.php" method="post"><td><span class="content"> پيشنهاد به دوستان </span></td><td><textarea name="text" rows="2" cols="30"><?=$i3;?></textarea></td><td align="center">&nbsp;<input type="hidden" name="name" value="User_Groups"><input type="hidden" name="op" value="updatedesc"><input type="hidden" name="id" value="3"><input type="submit" value="ثبت تغييرات"></form>&nbsp;</td></tr>

<tr><form action="modules.php" method="post"><td><span class="content">ارسال خبر</span></td><td><textarea name="text" rows="2" cols="30"><?=$i4;?></textarea></td><td align="center">&nbsp;<input type="hidden" name="name" value="User_Groups"><input type="hidden" name="op" value="updatedesc"><input type="hidden" name="id" value="4"><input type="submit" value="ثبت تغييرات"></form>&nbsp;</td></tr>

<tr><form action="modules.php" method="post"><td><span class="content"> ارسال نظر براي اخبار </span></td><td><textarea name="text" rows="2" cols="30"><?=$i5;?></textarea></td><td align="center">&nbsp;<input type="hidden" name="name" value="User_Groups"><input type="hidden" name="op" value="updatedesc"><input type="hidden" name="id" value="5"><input type="submit" value="ثبت تغييرات"></form>&nbsp;</td></tr>

<tr><form action="modules.php" method="post"><td><span class="content"> ارسال خبر براي ديگران </span></td><td><textarea name="text" rows="2" cols="30"><?=$i6;?></textarea></td><td align="center">&nbsp;<input type="hidden" name="name" value="User_Groups"><input type="hidden" name="op" value="updatedesc"><input type="hidden" name="id" value="6"><input type="submit" value="ثبت تغييرات"></form>&nbsp;</td></tr>

<tr><form action="modules.php" method="post"><td><span class="content"> راي به اخبار </span></td><td><textarea name="text" rows="2" cols="30"><?=$i7;?></textarea></td><td align="center">&nbsp;<input type="hidden" name="name" value="User_Groups"><input type="hidden" name="op" value="updatedesc"><input type="hidden" name="id" value="7"><input type="submit" value="ثبت تغييرات"></form>&nbsp;</td></tr>

<tr><form action="modules.php" method="post"><td><span class="content"> راي در نظر سنجي </span></td><td><textarea name="text" rows="2" cols="30"><?=$i8;?></textarea></td><td align="center">&nbsp;<input type="hidden" name="name" value="User_Groups"><input type="hidden" name="op" value="updatedesc"><input type="hidden" name="id" value="8"><input type="submit" value="ثبت تغييرات"></form>&nbsp;</td></tr>

<tr><form action="modules.php" method="post"><td><span class="content"> نظر در نظرسنجي </span></td><td><textarea name="text" rows="2" cols="30"><?=$i9;?></textarea></td><td align="center">&nbsp;<input type="hidden" name="name" value="User_Groups"><input type="hidden" name="op" value="updatedesc"><input type="hidden" name="id" value="9"><input type="submit" value="ثبت تغييرات"></form>&nbsp;</td></tr>

<tr><form action="modules.php" method="post"><td><span class="content">ارسال جديد در انجمن </span></td><td><textarea name="text" rows="2" cols="30"><?=$i10;?></textarea></td><td align="center">&nbsp;<input type="hidden" name="name" value="User_Groups"><input type="hidden" name="op" value="updatedesc"><input type="hidden" name="id" value="10"><input type="submit" value="ثبت تغييرات"></form>&nbsp;</td></tr>

<tr><form action="modules.php" method="post"><td><span class="content">ارسال پاسخ در انجمن </span></td><td><textarea name="text" rows="2" cols="30"><?=$i11;?></textarea></td><td align="center">&nbsp;<input type="hidden" name="name" value="User_Groups"><input type="hidden" name="op" value="updatedesc"><input type="hidden" name="id" value="11"><input type="submit" value="ثبت تغييرات"></form>&nbsp;</td></tr>

<tr><form action="modules.php" method="post"><td><span class="content"> ارسال نظر در نقدنامه </span></td><td><textarea name="text" rows="2" cols="30"><?=$i12;?></textarea></td><td align="center">&nbsp;<input type="hidden" name="name" value="User_Groups"><input type="hidden" name="op" value="updatedesc"><input type="hidden" name="id" value="12"><input type="submit" value="ثبت تغييرات"></form>&nbsp;</td></tr>

<tr><form action="modules.php" method="post"><td><span class="content"> نمايش صفحات </span></td><td><textarea name="text" rows="2" cols="30"><?=$i13;?></textarea></td><td align="center">&nbsp;<input type="hidden" name="name" value="User_Groups"><input type="hidden" name="op" value="updatedesc"><input type="hidden" name="id" value="13"><input type="submit" value="ثبت تغييرات"></form>&nbsp;</td></tr>

<tr><form action="modules.php" method="post"><td><span class="content"> بازديد از لينک </span></td><td><textarea name="text" rows="2" cols="30"><?=$i14;?></textarea></td><td align="center">&nbsp;<input type="hidden" name="name" value="User_Groups"><input type="hidden" name="op" value="updatedesc"><input type="hidden" name="id" value="14"><input type="submit" value="ثبت تغييرات"></form>&nbsp;</td></tr>

<tr><form action="modules.php" method="post"><td><span class="content"> راي به لينک ها </span></td><td><textarea name="text" rows="2" cols="30"><?=$i15;?></textarea></td><td align="center">&nbsp;<input type="hidden" name="name" value="User_Groups"><input type="hidden" name="op" value="updatedesc"><input type="hidden" name="id" value="15"><input type="submit" value="ثبت تغييرات"></form>&nbsp;</td></tr>

<tr><form action="modules.php" method="post"><td><span class="content"> نظر براي لينک ها </span></td><td><textarea name="text" rows="2" cols="30"><?=$i16;?></textarea></td><td align="center">&nbsp;<input type="hidden" name="name" value="User_Groups"><input type="hidden" name="op" value="updatedesc"><input type="hidden" name="id" value="16"><input type="submit" value="ثبت تغييرات"></form>&nbsp;</td></tr>

<tr><form action="modules.php" method="post"><td><span class="content"> دريافت فايل </span></td><td><textarea name="text" rows="2" cols="30"><?=$i17;?></textarea></td><td align="center">&nbsp;<input type="hidden" name="name" value="User_Groups"><input type="hidden" name="op" value="updatedesc"><input type="hidden" name="id" value="17"><input type="submit" value="ثبت تغييرات"></form>&nbsp;</td></tr>

<tr><form action="modules.php" method="post"><td><span class="content"> راي به فايل ها </span></td><td><textarea name="text" rows="2" cols="30"><?=$i18;?></textarea></td><td align="center">&nbsp;<input type="hidden" name="name" value="User_Groups"><input type="hidden" name="op" value="updatedesc"><input type="hidden" name="id" value="18"><input type="submit" value="ثبت تغييرات"></form>&nbsp;</td></tr>

<tr><form action="modules.php" method="post"><td><span class="content"> نظر براي دريافت ها </span></td><td><textarea name="text" rows="2" cols="30"><?=$i19;?></textarea></td><td align="center">&nbsp;<input type="hidden" name="name" value="User_Groups"><input type="hidden" name="op" value="updatedesc"><input type="hidden" name="id" value="19"><input type="submit" value="ثبت تغييرات"></form>&nbsp;</td></tr>

<tr><form action="modules.php" method="post"><td><span class="content"> پيغام همگاني </span></td><td><textarea name="text" rows="2" cols="30"><?=$i20;?></textarea></td><td align="center">&nbsp;<input type="hidden" name="name" value="User_Groups"><input type="hidden" name="op" value="updatedesc"><input type="hidden" name="id" value="20"><input type="submit" value="ثبت تغييرات"></form>&nbsp;</td></tr>

<tr><form action="modules.php" method="post"><td><span class="content"> کليک بر روي بنر </span></td><td><textarea name="text" rows="2" cols="30"><?=$i21;?></textarea></td><td align="center">&nbsp;<input type="hidden" name="name" value="User_Groups"><input type="hidden" name="op" value="updatedesc"><input type="hidden" name="id" value="21"><input type="submit" value="ثبت تغييرات"></form>&nbsp;</td></tr></table>
<?php
CloseTable();
echo '<br />';   //zero
@include("footer.php");
}

	function zero($text, $id) {
		global $prefix, $db, $admin, $id, $text;
		@include('header.php');
                ugheader();
                 OpenTable();
		if (!is_admin($admin)) {
                 die("Access Denied");
                }
		$id = intval($id);
		$text = addslashes($text);
		$db->sql_query("UPDATE  `" . $prefix . "_groups_info` SET `desc`='$text' WHERE `id`='$id' LIMIT 1");
		echo "<center>تغييرات با موفقيت ذخيره شد.</center>";
		CloseTable();
		@include("footer.php");
//	}



//CloseTable();
//$id, $textecho '<br />';
//@include("footer.php");
}

function modusers()
{
global $db, $prefix;
@include('header.php');
@ugheader();
OpenTable();
$res = $db->sql_query("SELECT username, user_id, points FROM ".$prefix."_users WHERE user_id>1 ORDER BY username");
$num = $db->sql_numrows($res);
echo "<center><span class='content'><b>تغيير امتياز کاربران</b></span></center><br /><br />
<script type=\"text/javascript\">
var unames=new Array($num)
";
while($row = $db->sql_fetchrow($res)) {
echo "unames[${row['user_id']}]=\"${row['points']}\"\n";
}
echo "
function put(form)
{
option=form.id.options[form.id.selectedIndex].value
txt=unames[option]
form.points.value=txt
}
</script>
"
      .""
      ."<center><form action=\"$PHP_SELF\" method=\"post\">
<select name=\"id\" onchange=\"put(this.form)\">";
   $query = $db->sql_query("SELECT username, user_id, points FROM ".$prefix."_users WHERE user_id>1 ORDER BY username");
   while ($row = $db->sql_fetchrow($query)) {
      $id = stripslashes($row['user_id']);
      $name = stripslashes($row['username']);
      $points = intval($row['points']);
      echo "<option value=\"${row['user_id']}\">${row['username']}</option>";
   }
   echo "</select>  
<input type=\"text\" name=\"points\" value=\"$points\" size=\"5\" maxlength=\"5\">"
   ."<input type=\"submit\" name=\"op\" value=\"ويرايش\">"
   ."</form></center>";
CloseTable();
echo '<br />';
@include("footer.php");
} 

function AddMember() {
global $db, $prefix, $id, $name, $points, $admin;
if (!is_admin($admin)) {
die("Access Denied");
}
$points = stripslashes($points);
$result=$db->sql_query("UPDATE ".$prefix."_users SET points='$points' WHERE user_id=$id LIMIT 1");
if ($result)
{
@include('header.php');
@ugheader();
OpenTable();
   @Header("Location: modules.php?name=User_Groups&op=modusers");
} else {
echo "<span class='content'>خطا : مشکلي در وارد نمودن اطلاعات وجود دارد</span>";
}
CloseTable();
echo '<br />';
@include("footer.php");
}

switch($op) {
case 'updatedesc':
@zero($text, $id);
break;

case 'group':
@group();
break;

case 'users':
@users();
break;

case 'list':
@glist();
break;

case 'alist':
@alist();
break;

case 'modusers':
@modusers();
break;

case 'Edit Member':
@AddMember();
break; 


default:
@arch();
break;
}
?>
