<?php
/***************************************************************************
 *                            lang_main_attach.php [English]
 *                              -------------------
 *     begin                : Thu Feb 07 2002
 *     copyright            : (C) 2002 Meik Sievertsen
 *     email                : acyd.burn@gmx.de
 *
 *     $Id: lang_main_attach.php,v 1.27 2003/01/16 11:11:56 acydburn Exp $
 *
 ****************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

//
// Attachment Mod Main Language Variables
//

// Auth Related Entries
$lang['Rules_attach_can'] = 'شما ميتوانيد فايل هاي خود را تالار ها اضافه نمائيد';
$lang['Rules_attach_cannot'] = 'شما نيمتوانيد فايل هاي خود را به تالار اضافه نمائيد';
$lang['Rules_download_can'] = 'شما ميتوانيد فايل هاي موجود در تالارها را دريافت نمائيد';
$lang['Rules_download_cannot'] = 'شما نيمتوانيد فايل هاي موجود در تالارها را دريافت نمائيد';
$lang['Sorry_auth_view_attach'] = 'متاسفانه به شما اين اجازه داده نشده تا فايلهاي اضافه شده را ببينيد و يا دريافت کنيد';

// Viewtopic -> Display of Attachments
$lang['Description'] = 'توضيحات'; // used in Administration Panel too...
$lang['Downloaded'] = 'دريافت شده';
$lang['Download'] = 'دريافت'; // this Language Variable is defined in lang_admin.php too, but we are unable to access it from the main Language File
$lang['Filesize'] = 'حجم فايل';
$lang['Viewed'] = 'ديده شده';
$lang['Download_number'] = 'بار %d'; // replace %d with count
$lang['Extension_disabled_after_posting'] = 'پسوند \'%s\' توسط مدیر انجمن غیر فعال شده 
است . این بدین معناست که فایل ضمیمه نشان داده نخواهد شد
.'; // used in Posts and PM's, replace %s with mime type

// Posting/PM -> Initial Display
$lang['Attach_posting_cp'] = 'بخش مديريت ارسال ضميمه';
$lang['Attach_posting_cp_explain'] = 'اگر شما روی اضافه کردن فایل ضمیمه کلیک کنید ،&nbsp; میتوانید 
محلی را برای اضافه کردن ان ببینید <br>
اگر شما روی ارسال فایل ضمیمه کلیک کنید ، میتوانید لیستی از فایل های ضمیمه از پیش 
تعیین شده را ببینید که میتوانید آنها را ویرایش کنید<br>
اگر شما میخواهید نسخه جدیدی از ضمیمه را جایگزین قبلی کنید باید روی هر دو لینک 
کلیک کنید . یک فایل ضمیمه ایجاد کنید به همان روش معمول سپس بر روی گزینه اضافه 
کردن ضمیمه کلیک نکنید ترجیحا کلیک کنید بر روی آپلود نسخه جدید فایل ضمیمه ای که 
قصد آپلود آنرا دارید .</p>
</body>.';

// Posting/PM -> Posting Attachments
$lang['Add_attachment'] = 'اضافه کردن ضميمه';
$lang['Add_attachment_title'] = 'اضافه کردن فايل ضميمه ';
$lang['Add_attachment_explain'] = 'اگر شما نميخواهيد تا فايلي ضميمه کنيد لطفا اين فيلد را خالي بگذاريد';
$lang['File_name'] = 'نام فايل';
$lang['File_comment'] = 'شرح فايل';

// Posting/PM -> Posted Attachments
$lang['Posted_attachments'] = 'ارسال زميمه';
$lang['Options'] = 'اختيارات و تنظيمات';
$lang['Update_comment'] = 'به روز رساني شرح فايل';
$lang['Delete_attachments'] = 'حذف فايل هاي ضميمه';
$lang['Delete_attachment'] = 'حذف فايل ضميمه';
$lang['Delete_thumbnail'] = 'حذف بند انگشتي';
$lang['Upload_new_version'] = 'آپلود نسخه جديد';

// Errors -> Posting Attachments
$lang['Invalid_filename'] = ' براي فايل نامعتبر است  %s نام'; // replace %s with given filename
$lang['Attachment_php_size_na'] = 'فایل ضمیمه زیاد بزرگ است';
$lang['Attachment_php_size_overrun'] = 'فایل ضمیمه بیش از حد بزرگ است<br>
نهایت حجم فایل : <span lang="en-us">%d </span>
مگابایت.'; // replace %d with ini_get('upload_max_filesize')
$lang['Disallowed_extension'] = 'مجاز نميباشد %s پسوند'; // replace %s with extension (e.g. .php) 
$lang['Disallowed_extension_within_forum'] = 'در تالار نميباشيد %s شما مجاز به آپلود فايل با پسوند '; // replace %s with the Extension
$lang['Attachment_too_big'] = 'فایل ضمیمه بیش از حد بزرگ است<br>
  %d %sنهایت حجم برای آپلود: '; // replace %d with maximum file size, %s with size var
$lang['Attach_quota_reached'] = 'با عرض تاسف ، نهایت سهمیه برای تمام فایلهای ضمیمه به تمام رسیده است . در صورتی که سوالی دارید لطفا با مدیر انجمن ها تماس بگیرید';
$lang['Too_many_attachments'] = ' آنها از حد مجاز گذشته است  %d  فايل ضميمه نميتواند اضافه شود بدليل آنکه تعداد '; // replace %d with maximum number of attachments
$lang['Error_imagesize'] = 'در ارتفاع باشد %d در عرض و %dفایل ضمیمه تصویری باید کمتر از   '; 
$lang['General_upload_error'] = '%s خطا در آپلود : ناتوانی در آپلود فایل ضمیمه به'; // replace %s with local path

$lang['Error_empty_add_attachbox'] = 'شما بايد يک مقدار در فيلد مربوط به اضافه کردن ضميمه وارد کنيد';
$lang['Error_missing_old_entry'] = 'ناتوان در به روز رضاني ضميمه بدليل پيدا نکردن فايل ضميمه قبلي';

// Errors -> PM Related
$lang['Attach_quota_sender_pm_reached'] = 'با عرض تاسف ، نهایت فضای مجاز برای استفاده شما در صندوق پیام های شخصیتان به اتمام رسیده است . لطفا تعدادی از فایلهای رسیده یا فرستاده شده را پاک کنید';
$lang['Attach_quota_receiver_pm_reached'] = 'به اتمام رسیده است. لطفا کمی اجازه دهید و صبر کنید تا او پس از مطلع شدن تعدادی از فایلهای خود را پاک کند \'%s\' با عرض تاسف ، نهایت فضای مجاز برای فایلهای موجود در صندوق پیامهای شخصی ';

// Errors -> Download
$lang['No_attachment_selected'] = 'شما هیچ فایل ضمیمه ای را برای دیدن یا دریافت کردن انتخاب نکرده اید';
$lang['Error_no_attachment'] = 'فایلهای ضمیمه انتخاب شده دیگر موجود نیستند';

// Delete Attachments
$lang['Confirm_delete_attachments'] = 'آیا از حذف کردن ضمیمه های انتخاب شده مطمئن هستید؟';
$lang['Deleted_attachments'] = 'تمامی ضمیمه ها ی انتخاب شده پاک شدند';
$lang['Error_deleted_attachments'] = 'ناتوانی در پاک کردن ضمیمه ها';
$lang['Confirm_delete_pm_attachments'] = 'آیا اطمینان دارید که میخواهید تمام فایلهای ضمیمه موجود را حذف کنید؟';

// General Error Messages
$lang['Attachment_feature_disabled'] = 'خصوصیات ضمیمه غیر فعال است';

$lang['Directory_does_not_exist'] = 'وجود ندارد و پیدا نشد \'%s\' شاخه'; // replace %s with directory
$lang['Directory_is_not_a_dir'] = 'را چک کنید \'%s\' لطفا شاخه'; // replace %s with directory
$lang['Directory_not_writeable'] = 'غیر قابل نوشتن است . لطفا حق دسترسی این فایل را به 777 تغییر دهید \'%s\' شاخه'; // replace %s with directory

$lang['Ftp_error_connect'] = 'نمیتوانید به سرور <span lang="en-us">ftp </span>وصل شوید : \'%s\'.<br>
لطفا تنظیمات <span lang="en-us">ftp </span>خود را بازبینی کنید';
$lang['Ftp_error_login'] = 'نمیتوانید به <span lang="en-us">FTP Server </span>وارد شوید . 
ممکن است نام کاربری \'%s\' یا کلمه عبور اشتباه باشد<br>
لطفا تنظیمات اف تی پی خود را چک کنید.';
$lang['Ftp_error_path'] = 'اجازه دسترسی به شاخه <span lang="en-us">ftp </span>را ندارید : 
\'%s\'.<br>
لطفا تنظیمات اف تی پی خود را بازبینی کنید.';
$lang['Ftp_error_upload'] = 'نمیتوانید در شاخه <span lang="en-us">ftp </span>آپلود کنید : 
\'%s\'.<br>
لطفا تنظیمات اف تی پی خود را بازبینی کنید.';
$lang['Ftp_error_delete'] = 'نمیوانید فایهای شاخه <span lang="en-us">ftp </span>را حذف کنید 
:  \'%s\'.<br>
&nbsp;لطفا تنظیمات <span lang="en-us">ftp </span>خود را بازبینی کنید دلیل دیگر 
میتواند این باشد که اصلا فایلی وجود نداشته باشد در وحله اول این موضوع را دوباره 
بازبینی کنید';
$lang['Ftp_error_pasv_mode'] = 'FTP Passive ناتوان از فعال/غير فعال کردن حالت ';

// Attach Rules Window
$lang['Rules_page'] = 'قاعده ضميمه کردن فايل';
$lang['Attach_rules_title'] = 'گروه فرمت هاي مجاز و سايز آنها';
$lang['Group_rule_header'] = '%s -> %s حداکثر حجم براي اپلود :'; // Replace first %s with Extension Group, second one with the Size STRING
$lang['Allowed_extensions_and_sizes'] = 'فرمت ها و سايز هاي مجاز';
$lang['Note_user_empty_group_permissions'] = 'تذکر :<br>
شما بطور معمول اجازه دارید که در تالار فایل در مطالب خود ضمیمه کنید اما از 
آنجاییکه گروهی از فرمت ها ( پسوند فایلها ) این اجازه را ندارند تا در اینجا ضمیمه 
شوند شما نمیتوانید هر چیزی را به عنوان فایل ضمیمه یا پیوست کنید . اگر مجددا سعی 
کنید پیغام خطایی را مشاهده خواهید کرد';

// Quota Variables
$lang['Upload_quota'] = 'سهميه آپلود';
$lang['Pm_quota'] = 'PM Quota';
$lang['User_upload_quota_reached'] = ' از سهميه آپلود خود استفاده کرده ايد %d %  با عزض تاسف شما بيشتر از  '; // replace %d with Size, %s with Size Lang (MB for example)

// User Attachment Control Panel
$lang['User_acp_title'] = ' ACP کاربر';
$lang['UACP'] = 'بخش مديريت ضميمه کاربران';
$lang['User_uploaded_profile'] = ' %s آپلود شده :';
$lang['User_quota_profile'] = ' %s سهميه شما :';
$lang['Upload_percent_profile'] = 'از کل %d%% ';

// Common Variables
$lang['Bytes'] = 'بايت';
$lang['KB'] = 'کيلو بايت';
$lang['MB'] = 'مگابايت';
$lang['Attach_search_query'] = 'جسجتوي ضميمه ها';
$lang['Test_settings'] = 'تنظيمات تست';
$lang['Not_assigned'] = 'Not Assigned';
$lang['No_file_comment_available'] = 'هيچ توضيحي براي اين فايل وجود ندارد';
$lang['Attachbox_limit'] = ' پر است   %d%% صندوق  ضميمه هاي شما در حال حاظر  ';
$lang['No_quota_limit'] = 'محدوديت حجم وجود ندارد';
$lang['Unlimited'] = 'نامحدود';

?>