/*Script For ThemeDesign.ir
by Mohsen Shareh*/
function changeFontSize(size)
{
	switch(size)
	{
		case "normal":
			fsize = '12px';
			break;
		case "large":
			fsize = '15px';
			break;
		case "small":
			fsize = '10px';
			break;
	}
	document.body.style.fontSize = fsize;
}

function changeStatusSlide()
{
	var clsname = document.getElementById('HeaderMenuArrow').className;
	if(clsname == 'UP')
	{
		document.getElementById('HeaderMenuArrow').className = 'DOWN';
		document.getElementById('HeaderLogo').style.display = 'none';
		slider = 0;
		setCookie('HeaderShow','hidden',1);
	}
	else
	{
		document.getElementById('HeaderMenuArrow').className = 'UP';
		document.getElementById('HeaderLogo').style.display = 'block';
		slider = 1;
		setCookie('HeaderShow','show',1);
	}
}

function setCookie(c_name,value,expiredays)
{
var exdate=new Date();
exdate.setDate(exdate.getDate()+expiredays);
document.cookie=c_name+ "=" +escape(value)+
((expiredays==null) ? "" : ";expires="+exdate.toGMTString());
}

function BlockStatChange(o)
{
	object = o.parentNode.parentNode.childNodes;
	for (i=0; i<object.length; i++)
	{
		if(object[i].className == 'Contents')
		{
			if(object[i].style.display == 'none')
			{
				object[i].style.display = 'block';
				o.className = 'CBSB CBSBMin';
			}else
			{
				object[i].style.display = 'none';
				o.className = 'CBSB CBSBPlus';
			}
		}
	}
}

function GetXmlHttpObject()
{
var xmlHttp=null;
try
  {
  // Firefox, Opera 8.0+, Safari
  xmlHttp=new XMLHttpRequest();
  }
catch (e)
  {
  // Internet Explorer
  try
    {
    xmlHttp=new ActiveXObject("Msxml2.XMLHTTP");
    }
  catch (e)
    {
    xmlHttp=new ActiveXObject("Microsoft.XMLHTTP");
    }
  }
return xmlHttp;
}

function submitRate(id,score)
{
	xmlHttp=GetXmlHttpObject();
	if (xmlHttp==null)
	{
	  alert ("Your browser does not support AJAX!");
	  return;
	}
	var theUL = document.getElementById('unit_ul'+id);
	theUL.innerHTML = '<div class="loading"></div>';
	var url="ajax.php?req=SubmitNewsRate&score="+score+"&id="+id;
	xmlHttp.onreadystatechange=loadRate;
	xmlHttp.open('GET', url, true);
	xmlHttp.send(null);
}
function loadRate()
{
	if(xmlHttp.readyState==4)
      {
		var response = xmlHttp.responseText;
        var update = new Array();

        if(response.indexOf('|') != -1) {
            update = response.split('|');
			document.getElementById(update[0]).innerHTML = update[1];
        }
	  }
}